/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: OWLAllDifferent.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.owl;

import org.eclipse.emf.common.util.EList;
import org.eclipse.eodm.rdfs.RDFSResource;

/**
 * <!-- begin-user-doc --> A representation of the model object '
 * <em><b>All Different</b></em>'. <!-- end-user-doc -->
 * 
 * <p>
 * The following features are supported:
 * <ul>
 * <li>
 * {@link org.eclipse.eodm.owl.OWLAllDifferent#getOWLDistinctMembers <em>OWL Distinct Members</em>}
 * </li>
 * </ul>
 * </p>
 * 
 * @see org.eclipse.eodm.owl.OWLPackage#getOWLAllDifferent()
 * @model
 * @generated
 */
public interface OWLAllDifferent extends RDFSResource {
    /**
     * Returns the value of the '<em><b>OWL Distinct Members</b></em>'
     * reference list. The list contents are of type
     * {@link org.eclipse.eodm.owl.Individual}. It is bidirectional and its opposite
     * is '
     * {@link org.eclipse.eodm.owl.Individual#getRefByOWLDistinctMembers <em>Ref By OWL Distinct Members</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>OWL Distinct Members</em>' reference
     *         list.
     * @see org.eclipse.eodm.owl.OWLPackage#getOWLAllDifferent_OWLDistinctMembers()
     * @see org.eclipse.eodm.owl.Individual#getRefByOWLDistinctMembers
     * @model type="org.eclipse.owl.Individual"
     *        opposite="refByOWLDistinctMembers" lower="2"
     * @generated
     */
    EList getOWLDistinctMembers();

} // OWLAllDifferent
