/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: OWLObjectProperty.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.owl;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc --> A representation of the model object '
 * <em><b>Object Property</b></em>'. <!-- end-user-doc -->
 * 
 * <p>
 * The following features are supported:
 * <ul>
 * <li>
 * {@link org.eclipse.eodm.owl.OWLObjectProperty#getInverseFunctional <em>Inverse Functional</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.OWLObjectProperty#getSymmetric <em>Symmetric</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.OWLObjectProperty#getTransitive <em>Transitive</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.OWLObjectProperty#getOWLInverseOf <em>OWL Inverse Of</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.OWLObjectProperty#getInvOWLInverseOf <em>Inv OWL Inverse Of</em>}
 * </li>
 * </ul>
 * </p>
 * 
 * @see org.eclipse.eodm.owl.OWLPackage#getOWLObjectProperty()
 * @model
 * @generated
 */
public interface OWLObjectProperty extends Property {
    /**
     * Returns the value of the '<em><b>Inverse Functional</b></em>'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc --> <!--
     * begin-model-doc --> default: false <!-- end-model-doc -->
     * 
     * @return the value of the '<em>Inverse Functional</em>' attribute.
     * @see #setInverseFunctional(Boolean)
     * @see org.eclipse.eodm.owl.OWLPackage#getOWLObjectProperty_InverseFunctional()
     * @model
     * @generated
     */
    Boolean getInverseFunctional();

    /**
     * Sets the value of the '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getInverseFunctional <em>Inverse Functional</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Inverse Functional</em>'
     *            attribute.
     * @see #getInverseFunctional()
     * @generated
     */
    void setInverseFunctional(Boolean value);

    /**
     * Returns the value of the '<em><b>Symmetric</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc --> <!-- begin-model-doc -->
     * default: false <!-- end-model-doc -->
     * 
     * @return the value of the '<em>Symmetric</em>' attribute.
     * @see #setSymmetric(Boolean)
     * @see org.eclipse.eodm.owl.OWLPackage#getOWLObjectProperty_Symmetric()
     * @model
     * @generated
     */
    Boolean getSymmetric();

    /**
     * Sets the value of the '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getSymmetric <em>Symmetric</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Symmetric</em>' attribute.
     * @see #getSymmetric()
     * @generated
     */
    void setSymmetric(Boolean value);

    /**
     * Returns the value of the '<em><b>Transitive</b></em>' attribute.
     * <!-- begin-user-doc --> <!-- end-user-doc --> <!-- begin-model-doc -->
     * default: false <!-- end-model-doc -->
     * 
     * @return the value of the '<em>Transitive</em>' attribute.
     * @see #setTransitive(Boolean)
     * @see org.eclipse.eodm.owl.OWLPackage#getOWLObjectProperty_Transitive()
     * @model
     * @generated
     */
    Boolean getTransitive();

    /**
     * Sets the value of the '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getTransitive <em>Transitive</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Transitive</em>' attribute.
     * @see #getTransitive()
     * @generated
     */
    void setTransitive(Boolean value);

    /**
     * Returns the value of the '<em><b>OWL Inverse Of</b></em>' reference.
     * It is bidirectional and its opposite is '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getInvOWLInverseOf <em>Inv OWL Inverse Of</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>OWL Inverse Of</em>' reference.
     * @see #setOWLInverseOf(OWLObjectProperty)
     * @see org.eclipse.eodm.owl.OWLPackage#getOWLObjectProperty_OWLInverseOf()
     * @see org.eclipse.eodm.owl.OWLObjectProperty#getInvOWLInverseOf
     * @model opposite="invOWLInverseOf"
     * @generated
     */
    OWLObjectProperty getOWLInverseOf();

    /**
     * Sets the value of the '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getOWLInverseOf <em>OWL Inverse Of</em>}'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>OWL Inverse Of</em>' reference.
     * @see #getOWLInverseOf()
     * @generated
     */
    void setOWLInverseOf(OWLObjectProperty value);

    /**
     * Returns the value of the '<em><b>Inv OWL Inverse Of</b></em>'
     * reference list. The list contents are of type
     * {@link org.eclipse.eodm.owl.OWLObjectProperty}. It is bidirectional and its
     * opposite is '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getOWLInverseOf <em>OWL Inverse Of</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Inv OWL Inverse Of</em>' reference
     *         list.
     * @see org.eclipse.eodm.owl.OWLPackage#getOWLObjectProperty_InvOWLInverseOf()
     * @see org.eclipse.eodm.owl.OWLObjectProperty#getOWLInverseOf
     * @model type="org.eclipse.owl.OWLObjectProperty" opposite="OWLInverseOf"
     * @generated
     */
    EList getInvOWLInverseOf();

} // OWLObjectProperty
