/**
 * <copyright>
 * </copyright>
 *
 * $Id: Property.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.owl;

import org.eclipse.emf.common.util.EList;
import org.eclipse.eodm.rdfs.RDFProperty;

/**
 * <!-- begin-user-doc --> A representation of the model object '
 * <em><b>Property</b></em>'. <!-- end-user-doc -->
 * 
 * <p>
 * The following features are supported:
 * <ul>
 * <li>{@link org.eclipse.eodm.owl.Property#getDeprecated <em>Deprecated</em>}</li>
 * <li>{@link org.eclipse.eodm.owl.Property#getFunctional <em>Functional</em>}</li>
 * <li>
 * {@link org.eclipse.eodm.owl.Property#getOWLEquivalentProperty <em>OWL Equivalent Property</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.Property#getInvOWLEquivalentProperty <em>Inv OWL Equivalent Property</em>}
 * </li>
 * </ul>
 * </p>
 * 
 * @see org.eclipse.eodm.owl.OWLPackage#getProperty()
 * @model
 * @generated
 */
public interface Property extends RDFProperty {
    /**
     * Returns the value of the '<em><b>Deprecated</b></em>' attribute.
     * <!-- begin-user-doc --> <!-- end-user-doc --> <!-- begin-model-doc -->
     * default: false <!-- end-model-doc -->
     * 
     * @return the value of the '<em>Deprecated</em>' attribute.
     * @see #setDeprecated(Boolean)
     * @see org.eclipse.eodm.owl.OWLPackage#getProperty_Deprecated()
     * @model
     * @generated
     */
    Boolean getDeprecated();

    /**
     * Sets the value of the '
     * {@link org.eclipse.eodm.owl.Property#getDeprecated <em>Deprecated</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Deprecated</em>' attribute.
     * @see #getDeprecated()
     * @generated
     */
    void setDeprecated(Boolean value);

    /**
     * Returns the value of the '<em><b>Functional</b></em>' attribute.
     * <!-- begin-user-doc --> <!-- end-user-doc --> <!-- begin-model-doc -->
     * default: false <!-- end-model-doc -->
     * 
     * @return the value of the '<em>Functional</em>' attribute.
     * @see #setFunctional(Boolean)
     * @see org.eclipse.eodm.owl.OWLPackage#getProperty_Functional()
     * @model
     * @generated
     */
    Boolean getFunctional();

    /**
     * Sets the value of the '
     * {@link org.eclipse.eodm.owl.Property#getFunctional <em>Functional</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Functional</em>' attribute.
     * @see #getFunctional()
     * @generated
     */
    void setFunctional(Boolean value);

    /**
     * Returns the value of the '<em><b>OWL Equivalent Property</b></em>'
     * reference list. The list contents are of type
     * {@link org.eclipse.eodm.owl.Property}. It is bidirectional and its opposite
     * is '
     * {@link org.eclipse.eodm.owl.Property#getInvOWLEquivalentProperty <em>Inv OWL Equivalent Property</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>OWL Equivalent Property</em>' reference
     *         list.
     * @see org.eclipse.eodm.owl.OWLPackage#getProperty_OWLEquivalentProperty()
     * @see org.eclipse.eodm.owl.Property#getInvOWLEquivalentProperty
     * @model type="org.eclipse.owl.Property"
     *        opposite="invOWLEquivalentProperty"
     * @generated
     */
    EList getOWLEquivalentProperty();

    /**
     * Returns the value of the '<em><b>Inv OWL Equivalent Property</b></em>'
     * reference list. The list contents are of type
     * {@link org.eclipse.eodm.owl.Property}. It is bidirectional and its opposite
     * is '
     * {@link org.eclipse.eodm.owl.Property#getOWLEquivalentProperty <em>OWL Equivalent Property</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Inv OWL Equivalent Property</em>'
     *         reference list.
     * @see org.eclipse.eodm.owl.OWLPackage#getProperty_InvOWLEquivalentProperty()
     * @see org.eclipse.eodm.owl.Property#getOWLEquivalentProperty
     * @model type="org.eclipse.owl.Property" opposite="OWLEquivalentProperty"
     * @generated
     */
    EList getInvOWLEquivalentProperty();

} // Property
