/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: OWLClassImpl.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.owl.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EObjectWithInverseResolvingEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.eclipse.eodm.owl.ComplementClass;
import org.eclipse.eodm.owl.IntersectionClass;
import org.eclipse.eodm.owl.OWLClass;
import org.eclipse.eodm.owl.OWLPackage;
import org.eclipse.eodm.owl.UnionClass;
import org.eclipse.eodm.rdfs.Namespace;
import org.eclipse.eodm.rdfs.impl.RDFSClassImpl;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>Class</b></em>'. <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLClassImpl#getDeprecated <em>Deprecated</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLClassImpl#getInvOWLEquivalentClass <em>Inv OWL Equivalent Class</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLClassImpl#getOWLEquivalentClass <em>OWL Equivalent Class</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLClassImpl#getOWLDisjointWith <em>OWL Disjoint With</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLClassImpl#getInvOWLDisjointWith <em>Inv OWL Disjoint With</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLClassImpl#getRefByIntersectionClass <em>Ref By Intersection Class</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLClassImpl#getRefByUnionClass <em>Ref By Union Class</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLClassImpl#getInvOWLComplementOf <em>Inv OWL Complement Of</em>}
 * </li>
 * </ul>
 * </p>
 * 
 * @generated
 */
public class OWLClassImpl extends RDFSClassImpl implements OWLClass {
    /**
     * The default value of the '{@link #getDeprecated() <em>Deprecated</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getDeprecated()
     * @generated
     * @ordered
     */
    protected static final Boolean DEPRECATED_EDEFAULT = null;

    /**
     * The cached value of the '{@link #getDeprecated() <em>Deprecated</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getDeprecated()
     * @generated
     * @ordered
     */
    protected Boolean deprecated = DEPRECATED_EDEFAULT;

    /**
     * The cached value of the '
     * {@link #getInvOWLEquivalentClass() <em>Inv OWL Equivalent Class</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getInvOWLEquivalentClass()
     * @generated
     * @ordered
     */
    protected EList invOWLEquivalentClass = null;

    /**
     * The cached value of the '
     * {@link #getOWLEquivalentClass() <em>OWL Equivalent Class</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getOWLEquivalentClass()
     * @generated
     * @ordered
     */
    protected EList owlEquivalentClass = null;

    /**
     * The cached value of the '
     * {@link #getOWLDisjointWith() <em>OWL Disjoint With</em>}' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getOWLDisjointWith()
     * @generated
     * @ordered
     */
    protected EList owlDisjointWith = null;

    /**
     * The cached value of the '
     * {@link #getInvOWLDisjointWith() <em>Inv OWL Disjoint With</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getInvOWLDisjointWith()
     * @generated
     * @ordered
     */
    protected EList invOWLDisjointWith = null;

    /**
     * The cached value of the '
     * {@link #getRefByIntersectionClass() <em>Ref By Intersection Class</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getRefByIntersectionClass()
     * @generated
     * @ordered
     */
    protected EList refByIntersectionClass = null;

    /**
     * The cached value of the '
     * {@link #getRefByUnionClass() <em>Ref By Union Class</em>}' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getRefByUnionClass()
     * @generated
     * @ordered
     */
    protected EList refByUnionClass = null;

    /**
     * The cached value of the '
     * {@link #getInvOWLComplementOf() <em>Inv OWL Complement Of</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getInvOWLComplementOf()
     * @generated
     * @ordered
     */
    protected EList invOWLComplementOf = null;

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected OWLClassImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected EClass eStaticClass() {
        return OWLPackage.eINSTANCE.getOWLClass();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Boolean getDeprecated() {
        return deprecated;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void setDeprecated(Boolean newDeprecated) {
        Boolean oldDeprecated = deprecated;
        deprecated = newDeprecated;
        if (eNotificationRequired())
            eNotify(new ENotificationImpl(this, Notification.SET,
                    OWLPackage.OWL_CLASS__DEPRECATED, oldDeprecated, deprecated));
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getInvOWLEquivalentClass() {
        if (invOWLEquivalentClass == null) {
            invOWLEquivalentClass = new EObjectWithInverseResolvingEList.ManyInverse(
                    OWLClass.class, this,
                    OWLPackage.OWL_CLASS__INV_OWL_EQUIVALENT_CLASS,
                    OWLPackage.OWL_CLASS__OWL_EQUIVALENT_CLASS);
        }
        return invOWLEquivalentClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getOWLEquivalentClass() {
        if (owlEquivalentClass == null) {
            owlEquivalentClass = new EObjectWithInverseResolvingEList.ManyInverse(
                    OWLClass.class, this,
                    OWLPackage.OWL_CLASS__OWL_EQUIVALENT_CLASS,
                    OWLPackage.OWL_CLASS__INV_OWL_EQUIVALENT_CLASS);
        }
        return owlEquivalentClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getOWLDisjointWith() {
        if (owlDisjointWith == null) {
            owlDisjointWith = new EObjectWithInverseResolvingEList.ManyInverse(
                    OWLClass.class, this,
                    OWLPackage.OWL_CLASS__OWL_DISJOINT_WITH,
                    OWLPackage.OWL_CLASS__INV_OWL_DISJOINT_WITH);
        }
        return owlDisjointWith;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getInvOWLDisjointWith() {
        if (invOWLDisjointWith == null) {
            invOWLDisjointWith = new EObjectWithInverseResolvingEList.ManyInverse(
                    OWLClass.class, this,
                    OWLPackage.OWL_CLASS__INV_OWL_DISJOINT_WITH,
                    OWLPackage.OWL_CLASS__OWL_DISJOINT_WITH);
        }
        return invOWLDisjointWith;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getRefByIntersectionClass() {
        if (refByIntersectionClass == null) {
            refByIntersectionClass = new EObjectWithInverseResolvingEList.ManyInverse(
                    IntersectionClass.class, this,
                    OWLPackage.OWL_CLASS__REF_BY_INTERSECTION_CLASS,
                    OWLPackage.INTERSECTION_CLASS__OWL_INTERSECTION_OF);
        }
        return refByIntersectionClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getRefByUnionClass() {
        if (refByUnionClass == null) {
            refByUnionClass = new EObjectWithInverseResolvingEList.ManyInverse(
                    UnionClass.class, this,
                    OWLPackage.OWL_CLASS__REF_BY_UNION_CLASS,
                    OWLPackage.UNION_CLASS__OWL_UNION_OF);
        }
        return refByUnionClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getInvOWLComplementOf() {
        if (invOWLComplementOf == null) {
            invOWLComplementOf = new EObjectWithInverseResolvingEList(
                    ComplementClass.class, this,
                    OWLPackage.OWL_CLASS__INV_OWL_COMPLEMENT_OF,
                    OWLPackage.COMPLEMENT_CLASS__OWL_COMPLEMENT_OF);
        }
        return invOWLComplementOf;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseAdd(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case OWLPackage.OWL_CLASS__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicAdd(otherEnd, msgs);
            case OWLPackage.OWL_CLASS__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__REF_BY_AVF_RESTRICTION:
                return ((InternalEList) getRefByAVFRestriction()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__REF_BY_SVF_RESTRICTION:
                return ((InternalEList) getRefBySVFRestriction()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__RDFS_SUB_CLASS_OF:
                return ((InternalEList) getRDFSSubClassOf()).basicAdd(otherEnd,
                        msgs);
            case OWLPackage.OWL_CLASS__SUB_CLASS:
                return ((InternalEList) getSubClass()).basicAdd(otherEnd, msgs);
            case OWLPackage.OWL_CLASS__OWNED_PROPERTY:
                return ((InternalEList) getOwnedProperty()).basicAdd(otherEnd,
                        msgs);
            case OWLPackage.OWL_CLASS__RANGED_BY_PROPERTY:
                return ((InternalEList) getRangedByProperty()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__INSTANCE:
                return ((InternalEList) getInstance()).basicAdd(otherEnd, msgs);
            case OWLPackage.OWL_CLASS__INV_OWL_EQUIVALENT_CLASS:
                return ((InternalEList) getInvOWLEquivalentClass()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__OWL_EQUIVALENT_CLASS:
                return ((InternalEList) getOWLEquivalentClass()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__OWL_DISJOINT_WITH:
                return ((InternalEList) getOWLDisjointWith()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__INV_OWL_DISJOINT_WITH:
                return ((InternalEList) getInvOWLDisjointWith()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__REF_BY_INTERSECTION_CLASS:
                return ((InternalEList) getRefByIntersectionClass()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__REF_BY_UNION_CLASS:
                return ((InternalEList) getRefByUnionClass()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__INV_OWL_COMPLEMENT_OF:
                return ((InternalEList) getInvOWLComplementOf()).basicAdd(
                        otherEnd, msgs);
            default:
                return eDynamicInverseAdd(otherEnd, featureID, baseClass, msgs);
            }
        }
        if (eContainer != null)
            msgs = eBasicRemoveFromContainer(msgs);
        return eBasicSetContainer(otherEnd, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseRemove(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case OWLPackage.OWL_CLASS__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicRemove(otherEnd,
                        msgs);
            case OWLPackage.OWL_CLASS__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__REF_BY_AVF_RESTRICTION:
                return ((InternalEList) getRefByAVFRestriction()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__REF_BY_SVF_RESTRICTION:
                return ((InternalEList) getRefBySVFRestriction()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__RDFS_SUB_CLASS_OF:
                return ((InternalEList) getRDFSSubClassOf()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__SUB_CLASS:
                return ((InternalEList) getSubClass()).basicRemove(otherEnd,
                        msgs);
            case OWLPackage.OWL_CLASS__OWNED_PROPERTY:
                return ((InternalEList) getOwnedProperty()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__RANGED_BY_PROPERTY:
                return ((InternalEList) getRangedByProperty()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__INSTANCE:
                return ((InternalEList) getInstance()).basicRemove(otherEnd,
                        msgs);
            case OWLPackage.OWL_CLASS__INV_OWL_EQUIVALENT_CLASS:
                return ((InternalEList) getInvOWLEquivalentClass())
                        .basicRemove(otherEnd, msgs);
            case OWLPackage.OWL_CLASS__OWL_EQUIVALENT_CLASS:
                return ((InternalEList) getOWLEquivalentClass()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__OWL_DISJOINT_WITH:
                return ((InternalEList) getOWLDisjointWith()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__INV_OWL_DISJOINT_WITH:
                return ((InternalEList) getInvOWLDisjointWith()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__REF_BY_INTERSECTION_CLASS:
                return ((InternalEList) getRefByIntersectionClass())
                        .basicRemove(otherEnd, msgs);
            case OWLPackage.OWL_CLASS__REF_BY_UNION_CLASS:
                return ((InternalEList) getRefByUnionClass()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_CLASS__INV_OWL_COMPLEMENT_OF:
                return ((InternalEList) getInvOWLComplementOf()).basicRemove(
                        otherEnd, msgs);
            default:
                return eDynamicInverseRemove(otherEnd, featureID, baseClass,
                        msgs);
            }
        }
        return eBasicSetContainer(null, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Object eGet(EStructuralFeature eFeature, boolean resolve) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_CLASS__LOCAL_NAME:
            return getLocalName();
        case OWLPackage.OWL_CLASS__URI:
            return getURI();
        case OWLPackage.OWL_CLASS__SUBJECT_STATEMENT:
            return getSubjectStatement();
        case OWLPackage.OWL_CLASS__OBJECT_STATEMENT:
            return getObjectStatement();
        case OWLPackage.OWL_CLASS__RDFS_IS_DEFINED_BY:
            return getRDFSIsDefinedBy();
        case OWLPackage.OWL_CLASS__RDF_VALUE:
            return getRDFValue();
        case OWLPackage.OWL_CLASS__RDFS_SEE_ALSO:
            return getRDFSSeeAlso();
        case OWLPackage.OWL_CLASS__RDF_TYPE:
            return getRDFType();
        case OWLPackage.OWL_CLASS__RDFS_MEMBER:
            return getRDFSMember();
        case OWLPackage.OWL_CLASS__PREDICATE_STATEMENT:
            return getPredicateStatement();
        case OWLPackage.OWL_CLASS__RDFS_COMMENT:
            return getRDFSComment();
        case OWLPackage.OWL_CLASS__RDFS_LABEL:
            return getRDFSLabel();
        case OWLPackage.OWL_CLASS__NAMESPACE:
            if (resolve)
                return getNamespace();
            return basicGetNamespace();
        case OWLPackage.OWL_CLASS__REF_BY_AVF_RESTRICTION:
            return getRefByAVFRestriction();
        case OWLPackage.OWL_CLASS__REF_BY_SVF_RESTRICTION:
            return getRefBySVFRestriction();
        case OWLPackage.OWL_CLASS__RDFS_SUB_CLASS_OF:
            return getRDFSSubClassOf();
        case OWLPackage.OWL_CLASS__SUB_CLASS:
            return getSubClass();
        case OWLPackage.OWL_CLASS__OWNED_PROPERTY:
            return getOwnedProperty();
        case OWLPackage.OWL_CLASS__RANGED_BY_PROPERTY:
            return getRangedByProperty();
        case OWLPackage.OWL_CLASS__INSTANCE:
            return getInstance();
        case OWLPackage.OWL_CLASS__DEPRECATED:
            return getDeprecated();
        case OWLPackage.OWL_CLASS__INV_OWL_EQUIVALENT_CLASS:
            return getInvOWLEquivalentClass();
        case OWLPackage.OWL_CLASS__OWL_EQUIVALENT_CLASS:
            return getOWLEquivalentClass();
        case OWLPackage.OWL_CLASS__OWL_DISJOINT_WITH:
            return getOWLDisjointWith();
        case OWLPackage.OWL_CLASS__INV_OWL_DISJOINT_WITH:
            return getInvOWLDisjointWith();
        case OWLPackage.OWL_CLASS__REF_BY_INTERSECTION_CLASS:
            return getRefByIntersectionClass();
        case OWLPackage.OWL_CLASS__REF_BY_UNION_CLASS:
            return getRefByUnionClass();
        case OWLPackage.OWL_CLASS__INV_OWL_COMPLEMENT_OF:
            return getInvOWLComplementOf();
        }
        return eDynamicGet(eFeature, resolve);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eSet(EStructuralFeature eFeature, Object newValue) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_CLASS__LOCAL_NAME:
            setLocalName((String) newValue);
            return;
        case OWLPackage.OWL_CLASS__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            getSubjectStatement().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__OBJECT_STATEMENT:
            getObjectStatement().clear();
            getObjectStatement().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            getRDFSIsDefinedBy().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__RDF_VALUE:
            getRDFValue().clear();
            getRDFValue().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            getRDFSSeeAlso().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__RDF_TYPE:
            getRDFType().clear();
            getRDFType().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__RDFS_MEMBER:
            getRDFSMember().clear();
            getRDFSMember().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            getPredicateStatement().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__RDFS_COMMENT:
            getRDFSComment().clear();
            getRDFSComment().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__RDFS_LABEL:
            getRDFSLabel().clear();
            getRDFSLabel().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__NAMESPACE:
            setNamespace((Namespace) newValue);
            return;
        case OWLPackage.OWL_CLASS__REF_BY_AVF_RESTRICTION:
            getRefByAVFRestriction().clear();
            getRefByAVFRestriction().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__REF_BY_SVF_RESTRICTION:
            getRefBySVFRestriction().clear();
            getRefBySVFRestriction().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__RDFS_SUB_CLASS_OF:
            getRDFSSubClassOf().clear();
            getRDFSSubClassOf().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__SUB_CLASS:
            getSubClass().clear();
            getSubClass().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__OWNED_PROPERTY:
            getOwnedProperty().clear();
            getOwnedProperty().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__RANGED_BY_PROPERTY:
            getRangedByProperty().clear();
            getRangedByProperty().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__INSTANCE:
            getInstance().clear();
            getInstance().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__DEPRECATED:
            setDeprecated((Boolean) newValue);
            return;
        case OWLPackage.OWL_CLASS__INV_OWL_EQUIVALENT_CLASS:
            getInvOWLEquivalentClass().clear();
            getInvOWLEquivalentClass().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__OWL_EQUIVALENT_CLASS:
            getOWLEquivalentClass().clear();
            getOWLEquivalentClass().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__OWL_DISJOINT_WITH:
            getOWLDisjointWith().clear();
            getOWLDisjointWith().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__INV_OWL_DISJOINT_WITH:
            getInvOWLDisjointWith().clear();
            getInvOWLDisjointWith().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__REF_BY_INTERSECTION_CLASS:
            getRefByIntersectionClass().clear();
            getRefByIntersectionClass().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__REF_BY_UNION_CLASS:
            getRefByUnionClass().clear();
            getRefByUnionClass().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_CLASS__INV_OWL_COMPLEMENT_OF:
            getInvOWLComplementOf().clear();
            getInvOWLComplementOf().addAll((Collection) newValue);
            return;
        }
        eDynamicSet(eFeature, newValue);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eUnset(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_CLASS__LOCAL_NAME:
            setLocalName(LOCAL_NAME_EDEFAULT);
            return;
        case OWLPackage.OWL_CLASS__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            return;
        case OWLPackage.OWL_CLASS__OBJECT_STATEMENT:
            getObjectStatement().clear();
            return;
        case OWLPackage.OWL_CLASS__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            return;
        case OWLPackage.OWL_CLASS__RDF_VALUE:
            getRDFValue().clear();
            return;
        case OWLPackage.OWL_CLASS__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            return;
        case OWLPackage.OWL_CLASS__RDF_TYPE:
            getRDFType().clear();
            return;
        case OWLPackage.OWL_CLASS__RDFS_MEMBER:
            getRDFSMember().clear();
            return;
        case OWLPackage.OWL_CLASS__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            return;
        case OWLPackage.OWL_CLASS__RDFS_COMMENT:
            getRDFSComment().clear();
            return;
        case OWLPackage.OWL_CLASS__RDFS_LABEL:
            getRDFSLabel().clear();
            return;
        case OWLPackage.OWL_CLASS__NAMESPACE:
            setNamespace((Namespace) null);
            return;
        case OWLPackage.OWL_CLASS__REF_BY_AVF_RESTRICTION:
            getRefByAVFRestriction().clear();
            return;
        case OWLPackage.OWL_CLASS__REF_BY_SVF_RESTRICTION:
            getRefBySVFRestriction().clear();
            return;
        case OWLPackage.OWL_CLASS__RDFS_SUB_CLASS_OF:
            getRDFSSubClassOf().clear();
            return;
        case OWLPackage.OWL_CLASS__SUB_CLASS:
            getSubClass().clear();
            return;
        case OWLPackage.OWL_CLASS__OWNED_PROPERTY:
            getOwnedProperty().clear();
            return;
        case OWLPackage.OWL_CLASS__RANGED_BY_PROPERTY:
            getRangedByProperty().clear();
            return;
        case OWLPackage.OWL_CLASS__INSTANCE:
            getInstance().clear();
            return;
        case OWLPackage.OWL_CLASS__DEPRECATED:
            setDeprecated(DEPRECATED_EDEFAULT);
            return;
        case OWLPackage.OWL_CLASS__INV_OWL_EQUIVALENT_CLASS:
            getInvOWLEquivalentClass().clear();
            return;
        case OWLPackage.OWL_CLASS__OWL_EQUIVALENT_CLASS:
            getOWLEquivalentClass().clear();
            return;
        case OWLPackage.OWL_CLASS__OWL_DISJOINT_WITH:
            getOWLDisjointWith().clear();
            return;
        case OWLPackage.OWL_CLASS__INV_OWL_DISJOINT_WITH:
            getInvOWLDisjointWith().clear();
            return;
        case OWLPackage.OWL_CLASS__REF_BY_INTERSECTION_CLASS:
            getRefByIntersectionClass().clear();
            return;
        case OWLPackage.OWL_CLASS__REF_BY_UNION_CLASS:
            getRefByUnionClass().clear();
            return;
        case OWLPackage.OWL_CLASS__INV_OWL_COMPLEMENT_OF:
            getInvOWLComplementOf().clear();
            return;
        }
        eDynamicUnset(eFeature);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public boolean eIsSet(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_CLASS__LOCAL_NAME:
            return LOCAL_NAME_EDEFAULT == null ? localName != null
                    : !LOCAL_NAME_EDEFAULT.equals(localName);
        case OWLPackage.OWL_CLASS__URI:
            return URI_EDEFAULT == null ? getURI() != null : !URI_EDEFAULT
                    .equals(getURI());
        case OWLPackage.OWL_CLASS__SUBJECT_STATEMENT:
            return subjectStatement != null && !subjectStatement.isEmpty();
        case OWLPackage.OWL_CLASS__OBJECT_STATEMENT:
            return objectStatement != null && !objectStatement.isEmpty();
        case OWLPackage.OWL_CLASS__RDFS_IS_DEFINED_BY:
            return rdfsIsDefinedBy != null && !rdfsIsDefinedBy.isEmpty();
        case OWLPackage.OWL_CLASS__RDF_VALUE:
            return rdfValue != null && !rdfValue.isEmpty();
        case OWLPackage.OWL_CLASS__RDFS_SEE_ALSO:
            return rdfsSeeAlso != null && !rdfsSeeAlso.isEmpty();
        case OWLPackage.OWL_CLASS__RDF_TYPE:
            return rdfType != null && !rdfType.isEmpty();
        case OWLPackage.OWL_CLASS__RDFS_MEMBER:
            return rdfsMember != null && !rdfsMember.isEmpty();
        case OWLPackage.OWL_CLASS__PREDICATE_STATEMENT:
            return predicateStatement != null && !predicateStatement.isEmpty();
        case OWLPackage.OWL_CLASS__RDFS_COMMENT:
            return rdfsComment != null && !rdfsComment.isEmpty();
        case OWLPackage.OWL_CLASS__RDFS_LABEL:
            return rdfsLabel != null && !rdfsLabel.isEmpty();
        case OWLPackage.OWL_CLASS__NAMESPACE:
            return namespace != null;
        case OWLPackage.OWL_CLASS__REF_BY_AVF_RESTRICTION:
            return refByAVFRestriction != null
                   && !refByAVFRestriction.isEmpty();
        case OWLPackage.OWL_CLASS__REF_BY_SVF_RESTRICTION:
            return refBySVFRestriction != null
                   && !refBySVFRestriction.isEmpty();
        case OWLPackage.OWL_CLASS__RDFS_SUB_CLASS_OF:
            return rdfsSubClassOf != null && !rdfsSubClassOf.isEmpty();
        case OWLPackage.OWL_CLASS__SUB_CLASS:
            return subClass != null && !subClass.isEmpty();
        case OWLPackage.OWL_CLASS__OWNED_PROPERTY:
            return ownedProperty != null && !ownedProperty.isEmpty();
        case OWLPackage.OWL_CLASS__RANGED_BY_PROPERTY:
            return rangedByProperty != null && !rangedByProperty.isEmpty();
        case OWLPackage.OWL_CLASS__INSTANCE:
            return instance != null && !instance.isEmpty();
        case OWLPackage.OWL_CLASS__DEPRECATED:
            return DEPRECATED_EDEFAULT == null ? deprecated != null
                    : !DEPRECATED_EDEFAULT.equals(deprecated);
        case OWLPackage.OWL_CLASS__INV_OWL_EQUIVALENT_CLASS:
            return invOWLEquivalentClass != null
                   && !invOWLEquivalentClass.isEmpty();
        case OWLPackage.OWL_CLASS__OWL_EQUIVALENT_CLASS:
            return owlEquivalentClass != null && !owlEquivalentClass.isEmpty();
        case OWLPackage.OWL_CLASS__OWL_DISJOINT_WITH:
            return owlDisjointWith != null && !owlDisjointWith.isEmpty();
        case OWLPackage.OWL_CLASS__INV_OWL_DISJOINT_WITH:
            return invOWLDisjointWith != null && !invOWLDisjointWith.isEmpty();
        case OWLPackage.OWL_CLASS__REF_BY_INTERSECTION_CLASS:
            return refByIntersectionClass != null
                   && !refByIntersectionClass.isEmpty();
        case OWLPackage.OWL_CLASS__REF_BY_UNION_CLASS:
            return refByUnionClass != null && !refByUnionClass.isEmpty();
        case OWLPackage.OWL_CLASS__INV_OWL_COMPLEMENT_OF:
            return invOWLComplementOf != null && !invOWLComplementOf.isEmpty();
        }
        return eDynamicIsSet(eFeature);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public String toString() {
        if (eIsProxy())
            return super.toString();

        StringBuffer result = new StringBuffer(super.toString());
        result.append(" (deprecated: ");
        result.append(deprecated);
        result.append(')');
        return result.toString();
    }

} //OWLClassImpl
