/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: OWLDatatypePropertyImpl.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.owl.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.util.InternalEList;
import org.eclipse.eodm.owl.OWLDatatypeProperty;
import org.eclipse.eodm.owl.OWLPackage;
import org.eclipse.eodm.rdfs.Namespace;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>Datatype Property</b></em>'. <!-- end-user-doc -->
 * <p>
 * </p>
 * 
 * @generated
 */
public class OWLDatatypePropertyImpl extends PropertyImpl implements
        OWLDatatypeProperty {
    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected OWLDatatypePropertyImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected EClass eStaticClass() {
        return OWLPackage.eINSTANCE.getOWLDatatypeProperty();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseAdd(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case OWLPackage.OWL_DATATYPE_PROPERTY__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicAdd(otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__REF_BY_RESTRICTION:
                return ((InternalEList) getRefByRestriction()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_SUB_PROPERTY_OF:
                return ((InternalEList) getRDFSSubPropertyOf()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__SUB_PROPERTY:
                return ((InternalEList) getSubProperty()).basicAdd(otherEnd,
                        msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_DOMAIN:
                return ((InternalEList) getRDFSDomain()).basicAdd(otherEnd,
                        msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_RANGE:
                return ((InternalEList) getRDFSRange())
                        .basicAdd(otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__OWL_EQUIVALENT_PROPERTY:
                return ((InternalEList) getOWLEquivalentProperty()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__INV_OWL_EQUIVALENT_PROPERTY:
                return ((InternalEList) getInvOWLEquivalentProperty())
                        .basicAdd(otherEnd, msgs);
            default:
                return eDynamicInverseAdd(otherEnd, featureID, baseClass, msgs);
            }
        }
        if (eContainer != null)
            msgs = eBasicRemoveFromContainer(msgs);
        return eBasicSetContainer(otherEnd, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseRemove(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case OWLPackage.OWL_DATATYPE_PROPERTY__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicRemove(otherEnd,
                        msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__REF_BY_RESTRICTION:
                return ((InternalEList) getRefByRestriction()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_SUB_PROPERTY_OF:
                return ((InternalEList) getRDFSSubPropertyOf()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__SUB_PROPERTY:
                return ((InternalEList) getSubProperty()).basicRemove(otherEnd,
                        msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_DOMAIN:
                return ((InternalEList) getRDFSDomain()).basicRemove(otherEnd,
                        msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_RANGE:
                return ((InternalEList) getRDFSRange()).basicRemove(otherEnd,
                        msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__OWL_EQUIVALENT_PROPERTY:
                return ((InternalEList) getOWLEquivalentProperty())
                        .basicRemove(otherEnd, msgs);
            case OWLPackage.OWL_DATATYPE_PROPERTY__INV_OWL_EQUIVALENT_PROPERTY:
                return ((InternalEList) getInvOWLEquivalentProperty())
                        .basicRemove(otherEnd, msgs);
            default:
                return eDynamicInverseRemove(otherEnd, featureID, baseClass,
                        msgs);
            }
        }
        return eBasicSetContainer(null, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Object eGet(EStructuralFeature eFeature, boolean resolve) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_DATATYPE_PROPERTY__LOCAL_NAME:
            return getLocalName();
        case OWLPackage.OWL_DATATYPE_PROPERTY__URI:
            return getURI();
        case OWLPackage.OWL_DATATYPE_PROPERTY__SUBJECT_STATEMENT:
            return getSubjectStatement();
        case OWLPackage.OWL_DATATYPE_PROPERTY__OBJECT_STATEMENT:
            return getObjectStatement();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_IS_DEFINED_BY:
            return getRDFSIsDefinedBy();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDF_VALUE:
            return getRDFValue();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_SEE_ALSO:
            return getRDFSSeeAlso();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDF_TYPE:
            return getRDFType();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_MEMBER:
            return getRDFSMember();
        case OWLPackage.OWL_DATATYPE_PROPERTY__PREDICATE_STATEMENT:
            return getPredicateStatement();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_COMMENT:
            return getRDFSComment();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_LABEL:
            return getRDFSLabel();
        case OWLPackage.OWL_DATATYPE_PROPERTY__NAMESPACE:
            if (resolve)
                return getNamespace();
            return basicGetNamespace();
        case OWLPackage.OWL_DATATYPE_PROPERTY__REF_BY_RESTRICTION:
            return getRefByRestriction();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_SUB_PROPERTY_OF:
            return getRDFSSubPropertyOf();
        case OWLPackage.OWL_DATATYPE_PROPERTY__SUB_PROPERTY:
            return getSubProperty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_DOMAIN:
            return getRDFSDomain();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_RANGE:
            return getRDFSRange();
        case OWLPackage.OWL_DATATYPE_PROPERTY__DEPRECATED:
            return getDeprecated();
        case OWLPackage.OWL_DATATYPE_PROPERTY__FUNCTIONAL:
            return getFunctional();
        case OWLPackage.OWL_DATATYPE_PROPERTY__OWL_EQUIVALENT_PROPERTY:
            return getOWLEquivalentProperty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__INV_OWL_EQUIVALENT_PROPERTY:
            return getInvOWLEquivalentProperty();
        }
        return eDynamicGet(eFeature, resolve);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eSet(EStructuralFeature eFeature, Object newValue) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_DATATYPE_PROPERTY__LOCAL_NAME:
            setLocalName((String) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            getSubjectStatement().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__OBJECT_STATEMENT:
            getObjectStatement().clear();
            getObjectStatement().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            getRDFSIsDefinedBy().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDF_VALUE:
            getRDFValue().clear();
            getRDFValue().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            getRDFSSeeAlso().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDF_TYPE:
            getRDFType().clear();
            getRDFType().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_MEMBER:
            getRDFSMember().clear();
            getRDFSMember().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            getPredicateStatement().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_COMMENT:
            getRDFSComment().clear();
            getRDFSComment().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_LABEL:
            getRDFSLabel().clear();
            getRDFSLabel().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__NAMESPACE:
            setNamespace((Namespace) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__REF_BY_RESTRICTION:
            getRefByRestriction().clear();
            getRefByRestriction().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_SUB_PROPERTY_OF:
            getRDFSSubPropertyOf().clear();
            getRDFSSubPropertyOf().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__SUB_PROPERTY:
            getSubProperty().clear();
            getSubProperty().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_DOMAIN:
            getRDFSDomain().clear();
            getRDFSDomain().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_RANGE:
            getRDFSRange().clear();
            getRDFSRange().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__DEPRECATED:
            setDeprecated((Boolean) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__FUNCTIONAL:
            setFunctional((Boolean) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__OWL_EQUIVALENT_PROPERTY:
            getOWLEquivalentProperty().clear();
            getOWLEquivalentProperty().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__INV_OWL_EQUIVALENT_PROPERTY:
            getInvOWLEquivalentProperty().clear();
            getInvOWLEquivalentProperty().addAll((Collection) newValue);
            return;
        }
        eDynamicSet(eFeature, newValue);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eUnset(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_DATATYPE_PROPERTY__LOCAL_NAME:
            setLocalName(LOCAL_NAME_EDEFAULT);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__OBJECT_STATEMENT:
            getObjectStatement().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDF_VALUE:
            getRDFValue().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDF_TYPE:
            getRDFType().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_MEMBER:
            getRDFSMember().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_COMMENT:
            getRDFSComment().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_LABEL:
            getRDFSLabel().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__NAMESPACE:
            setNamespace((Namespace) null);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__REF_BY_RESTRICTION:
            getRefByRestriction().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_SUB_PROPERTY_OF:
            getRDFSSubPropertyOf().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__SUB_PROPERTY:
            getSubProperty().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_DOMAIN:
            getRDFSDomain().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_RANGE:
            getRDFSRange().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__DEPRECATED:
            setDeprecated(DEPRECATED_EDEFAULT);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__FUNCTIONAL:
            setFunctional(FUNCTIONAL_EDEFAULT);
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__OWL_EQUIVALENT_PROPERTY:
            getOWLEquivalentProperty().clear();
            return;
        case OWLPackage.OWL_DATATYPE_PROPERTY__INV_OWL_EQUIVALENT_PROPERTY:
            getInvOWLEquivalentProperty().clear();
            return;
        }
        eDynamicUnset(eFeature);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public boolean eIsSet(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_DATATYPE_PROPERTY__LOCAL_NAME:
            return LOCAL_NAME_EDEFAULT == null ? localName != null
                    : !LOCAL_NAME_EDEFAULT.equals(localName);
        case OWLPackage.OWL_DATATYPE_PROPERTY__URI:
            return URI_EDEFAULT == null ? getURI() != null : !URI_EDEFAULT
                    .equals(getURI());
        case OWLPackage.OWL_DATATYPE_PROPERTY__SUBJECT_STATEMENT:
            return subjectStatement != null && !subjectStatement.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__OBJECT_STATEMENT:
            return objectStatement != null && !objectStatement.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_IS_DEFINED_BY:
            return rdfsIsDefinedBy != null && !rdfsIsDefinedBy.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDF_VALUE:
            return rdfValue != null && !rdfValue.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_SEE_ALSO:
            return rdfsSeeAlso != null && !rdfsSeeAlso.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDF_TYPE:
            return rdfType != null && !rdfType.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_MEMBER:
            return rdfsMember != null && !rdfsMember.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__PREDICATE_STATEMENT:
            return predicateStatement != null && !predicateStatement.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_COMMENT:
            return rdfsComment != null && !rdfsComment.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_LABEL:
            return rdfsLabel != null && !rdfsLabel.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__NAMESPACE:
            return namespace != null;
        case OWLPackage.OWL_DATATYPE_PROPERTY__REF_BY_RESTRICTION:
            return refByRestriction != null && !refByRestriction.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_SUB_PROPERTY_OF:
            return rdfsSubPropertyOf != null && !rdfsSubPropertyOf.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__SUB_PROPERTY:
            return subProperty != null && !subProperty.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_DOMAIN:
            return rdfsDomain != null && !rdfsDomain.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__RDFS_RANGE:
            return rdfsRange != null && !rdfsRange.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__DEPRECATED:
            return DEPRECATED_EDEFAULT == null ? deprecated != null
                    : !DEPRECATED_EDEFAULT.equals(deprecated);
        case OWLPackage.OWL_DATATYPE_PROPERTY__FUNCTIONAL:
            return FUNCTIONAL_EDEFAULT == null ? functional != null
                    : !FUNCTIONAL_EDEFAULT.equals(functional);
        case OWLPackage.OWL_DATATYPE_PROPERTY__OWL_EQUIVALENT_PROPERTY:
            return owlEquivalentProperty != null
                   && !owlEquivalentProperty.isEmpty();
        case OWLPackage.OWL_DATATYPE_PROPERTY__INV_OWL_EQUIVALENT_PROPERTY:
            return invOWLEquivalentProperty != null
                   && !invOWLEquivalentProperty.isEmpty();
        }
        return eDynamicIsSet(eFeature);
    }

} //OWLDatatypePropertyImpl
