/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: OWLFactoryImpl.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.owl.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.impl.EFactoryImpl;
import org.eclipse.eodm.owl.AllValuesFromRestriction;
import org.eclipse.eodm.owl.CardinalityRestriction;
import org.eclipse.eodm.owl.ComplementClass;
import org.eclipse.eodm.owl.DatatypeSlot;
import org.eclipse.eodm.owl.EnumeratedClass;
import org.eclipse.eodm.owl.HasValueRestriction;
import org.eclipse.eodm.owl.Individual;
import org.eclipse.eodm.owl.IntersectionClass;
import org.eclipse.eodm.owl.MaxCardinalityRestriction;
import org.eclipse.eodm.owl.MinCardinalityRestriction;
import org.eclipse.eodm.owl.OWLAllDifferent;
import org.eclipse.eodm.owl.OWLAnnotationProperty;
import org.eclipse.eodm.owl.OWLClass;
import org.eclipse.eodm.owl.OWLDataRange;
import org.eclipse.eodm.owl.OWLDatatypeProperty;
import org.eclipse.eodm.owl.OWLFactory;
import org.eclipse.eodm.owl.OWLObjectProperty;
import org.eclipse.eodm.owl.OWLOntology;
import org.eclipse.eodm.owl.OWLOntologyProperty;
import org.eclipse.eodm.owl.OWLPackage;
import org.eclipse.eodm.owl.ObjectSlot;
import org.eclipse.eodm.owl.Property;
import org.eclipse.eodm.owl.SomeValuesFromRestriction;
import org.eclipse.eodm.owl.UnionClass;
import org.eclipse.eodm.rdfs.Namespace;
import org.eclipse.eodm.rdfs.RDFSClass;
import org.eclipse.eodm.rdfs.RDFSDatatype;
import org.eclipse.eodm.rdfs.RDFSLiteral;
import org.eclipse.eodm.rdfs.RDFSResource;

/**
 * <!-- begin-user-doc --> An implementation of the model <b>Factory </b>. <!--
 * end-user-doc -->
 * 
 * @generated
 */
public class OWLFactoryImpl extends EFactoryImpl implements OWLFactory {
    /**
     * Creates and instance of the factory. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated
     */
    public OWLFactoryImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EObject create(EClass eClass) {
        switch (eClass.getClassifierID()) {
        case OWLPackage.OWL_ONTOLOGY:
            return createOWLOntology();
        case OWLPackage.OWL_ONTOLOGY_PROPERTY:
            return createOWLOntologyProperty();
        case OWLPackage.OWL_CLASS:
            return createOWLClass();
        case OWLPackage.OWL_OBJECT_PROPERTY:
            return createOWLObjectProperty();
        case OWLPackage.PROPERTY:
            return createProperty();
        case OWLPackage.INDIVIDUAL:
            return createIndividual();
        case OWLPackage.OWL_ALL_DIFFERENT:
            return createOWLAllDifferent();
        case OWLPackage.OWL_DATA_RANGE:
            return createOWLDataRange();
        case OWLPackage.OWL_ANNOTATION_PROPERTY:
            return createOWLAnnotationProperty();
        case OWLPackage.DATATYPE_SLOT:
            return createDatatypeSlot();
        case OWLPackage.OBJECT_SLOT:
            return createObjectSlot();
        case OWLPackage.ENUMERATED_CLASS:
            return createEnumeratedClass();
        case OWLPackage.INTERSECTION_CLASS:
            return createIntersectionClass();
        case OWLPackage.UNION_CLASS:
            return createUnionClass();
        case OWLPackage.HAS_VALUE_RESTRICTION:
            return createHasValueRestriction();
        case OWLPackage.ALL_VALUES_FROM_RESTRICTION:
            return createAllValuesFromRestriction();
        case OWLPackage.SOME_VALUES_FROM_RESTRICTION:
            return createSomeValuesFromRestriction();
        case OWLPackage.CARDINALITY_RESTRICTION:
            return createCardinalityRestriction();
        case OWLPackage.MAX_CARDINALITY_RESTRICTION:
            return createMaxCardinalityRestriction();
        case OWLPackage.MIN_CARDINALITY_RESTRICTION:
            return createMinCardinalityRestriction();
        case OWLPackage.COMPLEMENT_CLASS:
            return createComplementClass();
        case OWLPackage.OWL_DATATYPE_PROPERTY:
            return createOWLDatatypeProperty();
        default:
            throw new IllegalArgumentException("The class '"
                                               + eClass.getName()
                                               + "' is not a valid classifier");
        }
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public OWLOntology createOWLOntology() {
        OWLOntologyImpl owlOntology = new OWLOntologyImpl();
        return owlOntology;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public OWLOntologyProperty createOWLOntologyProperty() {
        OWLOntologyPropertyImpl owlOntologyProperty = new OWLOntologyPropertyImpl();
        return owlOntologyProperty;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public OWLClass createOWLClass() {
        OWLClassImpl owlClass = new OWLClassImpl();
        return owlClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public OWLObjectProperty createOWLObjectProperty() {
        OWLObjectPropertyImpl owlObjectProperty = new OWLObjectPropertyImpl();
        return owlObjectProperty;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Property createProperty() {
        PropertyImpl property = new PropertyImpl();
        return property;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public OWLDatatypeProperty createOWLDatatypeProperty() {
        OWLDatatypePropertyImpl owlDatatypeProperty = new OWLDatatypePropertyImpl();
        return owlDatatypeProperty;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Individual createIndividual() {
        IndividualImpl individual = new IndividualImpl();
        return individual;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public OWLAllDifferent createOWLAllDifferent() {
        OWLAllDifferentImpl owlAllDifferent = new OWLAllDifferentImpl();
        return owlAllDifferent;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public OWLDataRange createOWLDataRange() {
        OWLDataRangeImpl owlDataRange = new OWLDataRangeImpl();
        return owlDataRange;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public OWLAnnotationProperty createOWLAnnotationProperty() {
        OWLAnnotationPropertyImpl owlAnnotationProperty = new OWLAnnotationPropertyImpl();
        return owlAnnotationProperty;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public DatatypeSlot createDatatypeSlot() {
        DatatypeSlotImpl datatypeSlot = new DatatypeSlotImpl();
        return datatypeSlot;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public ObjectSlot createObjectSlot() {
        ObjectSlotImpl objectSlot = new ObjectSlotImpl();
        return objectSlot;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EnumeratedClass createEnumeratedClass() {
        EnumeratedClassImpl enumeratedClass = new EnumeratedClassImpl();
        return enumeratedClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public IntersectionClass createIntersectionClass() {
        IntersectionClassImpl intersectionClass = new IntersectionClassImpl();
        return intersectionClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public UnionClass createUnionClass() {
        UnionClassImpl unionClass = new UnionClassImpl();
        return unionClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public HasValueRestriction createHasValueRestriction() {
        HasValueRestrictionImpl hasValueRestriction = new HasValueRestrictionImpl();
        return hasValueRestriction;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public AllValuesFromRestriction createAllValuesFromRestriction() {
        AllValuesFromRestrictionImpl allValuesFromRestriction = new AllValuesFromRestrictionImpl();
        return allValuesFromRestriction;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public SomeValuesFromRestriction createSomeValuesFromRestriction() {
        SomeValuesFromRestrictionImpl someValuesFromRestriction = new SomeValuesFromRestrictionImpl();
        return someValuesFromRestriction;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public CardinalityRestriction createCardinalityRestriction() {
        CardinalityRestrictionImpl cardinalityRestriction = new CardinalityRestrictionImpl();
        return cardinalityRestriction;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public MaxCardinalityRestriction createMaxCardinalityRestriction() {
        MaxCardinalityRestrictionImpl maxCardinalityRestriction = new MaxCardinalityRestrictionImpl();
        return maxCardinalityRestriction;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public MinCardinalityRestriction createMinCardinalityRestriction() {
        MinCardinalityRestrictionImpl minCardinalityRestriction = new MinCardinalityRestrictionImpl();
        return minCardinalityRestriction;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public ComplementClass createComplementClass() {
        ComplementClassImpl complementClass = new ComplementClassImpl();
        return complementClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public OWLPackage getOWLPackage() {
        return (OWLPackage) getEPackage();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @deprecated
     * @generated
     */
    public static OWLPackage getPackage() {
        return OWLPackage.eINSTANCE;
    }

    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createAllValuesFromRestriction(org.eclipse.owl.OWLOntology, org.eclipse.owl.Property, org.eclipse.rdfs.RDFSClass)
     */
    public AllValuesFromRestriction createAllValuesFromRestriction(
            OWLOntology ontology, Property onProperty, RDFSClass value) {
        AllValuesFromRestriction avfr = createAllValuesFromRestriction();
        avfr.setOWLOnProperty(onProperty);
        avfr.setOWLAllValuesFrom(value);
        ontology.getContains().add(avfr);
        return avfr;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createCardinalityRestriction(org.eclipse.owl.OWLOntology, org.eclipse.owl.Property, org.eclipse.rdfs.RDFSLiteral)
     */
    public CardinalityRestriction createCardinalityRestriction(
            OWLOntology ontology, Property onProperty, RDFSLiteral value) {
        CardinalityRestriction cr = createCardinalityRestriction();
        cr.setOWLOnProperty(onProperty);
        cr.setOWLCardinality(value);
        ontology.getContains().add(cr);
        return cr;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createComplementClass(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace, org.eclipse.rdfs.RDFSClass)
     */
    public ComplementClass createComplementClass(OWLOntology ontology,
            String localName, Namespace ns, OWLClass complement) {
        ComplementClass cc = createComplementClass(ontology, localName, complement);
        cc.setNamespace(ns);
        return cc;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createComplementClass(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.RDFSClass)
     */
    public ComplementClass createComplementClass(OWLOntology ontology,
            String localName, OWLClass complement) {
        ComplementClass cc = createComplementClass();
        cc.setLocalName(localName);
        cc.setOWLComplementOf(complement);
        ontology.getContains().add(cc);
        return cc;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createEnumeratedClass(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public EnumeratedClass createEnumeratedClass(OWLOntology ontology,
            String localName, Namespace ns) {
        EnumeratedClass ec = createEnumeratedClass(ontology, localName);
        ec.setNamespace(ns);
        return ec;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createEnumeratedClass(org.eclipse.owl.OWLOntology, java.lang.String)
     */
    public EnumeratedClass createEnumeratedClass(OWLOntology ontology,
            String localName) {
        EnumeratedClass ec = createEnumeratedClass();
        ec.setLocalName(localName);
        ontology.getContains().add(ec);
        return ec;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createHasValueRestriction(org.eclipse.owl.OWLOntology, org.eclipse.owl.Property, org.eclipse.rdfs.RDFSResource)
     */
    public HasValueRestriction createHasValueRestriction(OWLOntology ontology,
            Property onProperty, RDFSResource value) {
        HasValueRestriction hvr = createHasValueRestriction();
        hvr.setOWLOnProperty(onProperty);
        hvr.setOWLHasValue(value);
        ontology.getContains().add(hvr);
        return hvr;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createIndividual(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace, org.eclipse.owl.OWLClass)
     */
    public Individual createIndividual(OWLOntology ontology, String localName,
            Namespace ns, OWLClass type) {
        Individual individual = createIndividual(ontology, localName, type);
        individual.setNamespace(ns);
        return individual;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createIndividual(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.owl.OWLClass)
     */
    public Individual createIndividual(OWLOntology ontology, String localName,
            OWLClass type) {
        Individual individual = createIndividual();
        individual.setLocalName(localName);
        individual.getRDFType().add(type);
        ontology.getContains().add(individual);
        return individual;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createIntersectionClass(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public IntersectionClass createIntersectionClass(OWLOntology ontology,
            String localName, Namespace ns) {
        IntersectionClass ic = createIntersectionClass(ontology, localName);
        ic.setNamespace(ns);
        return ic;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createIntersectionClass(org.eclipse.owl.OWLOntology, java.lang.String)
     */
    public IntersectionClass createIntersectionClass(OWLOntology ontology,
            String localName) {
        IntersectionClass ic = createIntersectionClass();
        ic.setLocalName(localName);
        ontology.getContains().add(ic);
        return ic;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createMaxCardinalityRestriction(org.eclipse.owl.OWLOntology, org.eclipse.owl.Property, org.eclipse.rdfs.RDFSLiteral)
     */
    public MaxCardinalityRestriction createMaxCardinalityRestriction(
            OWLOntology ontology, Property onProperty, RDFSLiteral value) {
        MaxCardinalityRestriction mcr = createMaxCardinalityRestriction();
        mcr.setOWLOnProperty(onProperty);
        mcr.setOWLMaxCardinality(value);
        ontology.getContains().add(mcr);
        return mcr;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createMinCardinalityRestriction(org.eclipse.owl.OWLOntology, org.eclipse.owl.Property, org.eclipse.rdfs.RDFSLiteral)
     */
    public MinCardinalityRestriction createMinCardinalityRestriction(
            OWLOntology ontology, Property onProperty, RDFSLiteral value) {
        MinCardinalityRestriction mcr = createMinCardinalityRestriction();
        mcr.setOWLOnProperty(onProperty);
        mcr.setOWLMinCardinality(value);
        ontology.getContains().add(mcr);
        return mcr;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLClass(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public OWLClass createOWLClass(OWLOntology ontology, String localName,
            Namespace ns) {
        OWLClass oc = createOWLClass(ontology, localName);
        oc.setNamespace(ns);
        return oc;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLClass(org.eclipse.owl.OWLOntology, java.lang.String)
     */
    public OWLClass createOWLClass(OWLOntology ontology, String localName) {
        OWLClass oc = createOWLClass();
        oc.setLocalName(localName);
        ontology.getContains().add(oc);
        return oc;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLDatatypeProperty(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace, org.eclipse.owl.OWLClass, org.eclipse.rdfs.RDFSDatatype)
     */
    public OWLDatatypeProperty createOWLDatatypeProperty(OWLOntology ontology,
            String localName, Namespace ns, OWLClass domain, RDFSDatatype range) {
        OWLDatatypeProperty dp = createOWLDatatypeProperty(ontology, localName, domain, range);
        dp.setNamespace(ns);
        return dp;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLDatatypeProperty(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public OWLDatatypeProperty createOWLDatatypeProperty(OWLOntology ontology,
            String localName, Namespace ns) {
        OWLDatatypeProperty dp = createOWLDatatypeProperty(ontology, localName);
        dp.setNamespace(ns);
        return dp;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLDatatypeProperty(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.owl.OWLClass, org.eclipse.rdfs.RDFSDatatype)
     */
    public OWLDatatypeProperty createOWLDatatypeProperty(OWLOntology ontology,
            String localName, OWLClass domain, RDFSDatatype range) {
        OWLDatatypeProperty dp = createOWLDatatypeProperty();
        dp.setLocalName(localName);
        dp.getRDFSDomain().add(domain);
        dp.getRDFSRange().add(range);
        ontology.getContains().add(dp);
        return dp;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLDatatypeProperty(org.eclipse.owl.OWLOntology, java.lang.String)
     */
    public OWLDatatypeProperty createOWLDatatypeProperty(OWLOntology ontology,
            String localName) {
        OWLDatatypeProperty dp = createOWLDatatypeProperty();
        dp.setLocalName(localName);
        ontology.getContains().add(dp);
        return dp;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLObjectProperty(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace, org.eclipse.owl.OWLClass, org.eclipse.owl.OWLClass)
     */
    public OWLObjectProperty createOWLObjectProperty(OWLOntology ontology,
            String localName, Namespace ns, OWLClass domain, OWLClass range) {
        OWLObjectProperty op = createOWLObjectProperty(ontology, localName, domain, range);
        op.setNamespace(ns);
        return op;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLObjectProperty(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public OWLObjectProperty createOWLObjectProperty(OWLOntology ontology,
            String localName, Namespace ns) {
        OWLObjectProperty op = createOWLObjectProperty(ontology, localName);
        op.setNamespace(ns);
        return op;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLObjectProperty(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.owl.OWLClass, org.eclipse.owl.OWLClass)
     */
    public OWLObjectProperty createOWLObjectProperty(OWLOntology ontology,
            String localName, OWLClass domain, OWLClass range) {
        OWLObjectProperty op = createOWLObjectProperty(ontology, localName);
        op.getRDFSDomain().add(domain);
        op.getRDFSRange().add(range);
        return op;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLObjectProperty(org.eclipse.owl.OWLOntology, java.lang.String)
     */
    public OWLObjectProperty createOWLObjectProperty(OWLOntology ontology,
            String localName) {
        OWLObjectProperty op = createOWLObjectProperty();
        op.setLocalName(localName);
        ontology.getContains().add(op);
        return op;
    }

    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLOntology(java.lang.String)
     */
    public OWLOntology createOWLOntology(String localName) {
        OWLOntology ontology = createOWLOntology();
        ontology.setLocalName(localName);
        return ontology;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createSomeValuesFromRestriction(org.eclipse.owl.OWLOntology, org.eclipse.owl.Property, org.eclipse.rdfs.RDFSClass)
     */
    public SomeValuesFromRestriction createSomeValuesFromRestriction(
            OWLOntology ontology, Property onProperty, RDFSClass value) {
        SomeValuesFromRestriction svr = createSomeValuesFromRestriction();
        svr.setOWLOnProperty(onProperty);
        svr.setOWLSomeValuesFrom(value);
        ontology.getContains().add(svr);
        return svr;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createUnionClass(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public UnionClass createUnionClass(OWLOntology ontology, String localName,
            Namespace ns) {
        UnionClass uc = createUnionClass(ontology, localName);
        uc.setNamespace(ns);
        return uc;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createUnionClass(org.eclipse.owl.OWLOntology, java.lang.String)
     */
    public UnionClass createUnionClass(OWLOntology ontology, String localName) {
        UnionClass uc = createUnionClass();
        uc.setLocalName(localName);
        ontology.getContains().add(uc);
        return uc;
    }

    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createDatatypeSlot(org.eclipse.owl.Individual, org.eclipse.owl.OWLDatatypeProperty, org.eclipse.rdfs.RDFSLiteral)
     */
    public DatatypeSlot createDatatypeSlot(Individual individual, OWLDatatypeProperty property, RDFSLiteral content) {
        DatatypeSlot ds = createDatatypeSlot();
        ds.setProperty(property);
        ds.setIndividual(individual);
        ds.getContent().add(content);
        individual.getDatatypeSlot().add(ds);
        return ds;
    }

    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createObjectSlot(org.eclipse.owl.Individual, org.eclipse.owl.OWLObjectProperty, org.eclipse.owl.Individual)
     */
    public ObjectSlot createObjectSlot(Individual individual, OWLObjectProperty property, Individual content) {
        ObjectSlot os = createObjectSlot();
        os.setProperty(property);
        os.setIndividual(individual);
        os.getContent().add(content);
        individual.getObjectSlot().add(os);
        return os;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLDataRange(org.eclipse.owl.OWLOntology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public OWLDataRange createOWLDataRange(OWLOntology ontology,
            String localName, Namespace ns) {
        OWLDataRange dr = createOWLDataRange(ontology, localName);
        dr.setNamespace(ns);
        return dr;
    }
    /* (non-Javadoc)
     * @see org.eclipse.owl.OWLFactory#createOWLDataRange(org.eclipse.owl.OWLOntology, java.lang.String)
     */
    public OWLDataRange createOWLDataRange(OWLOntology ontology,
            String localName) {
        OWLDataRange dr = createOWLDataRange();
        dr.setLocalName(localName);
        ontology.getContains().add(dr);
        return dr;
    }
} //OWLFactoryImpl
