/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: OWLOntologyImpl.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.owl.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.EObjectResolvingEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.eclipse.eodm.owl.OWLOntology;
import org.eclipse.eodm.owl.OWLPackage;
import org.eclipse.eodm.rdfs.Namespace;
import org.eclipse.eodm.rdfs.RDFSLiteral;
import org.eclipse.eodm.rdfs.impl.OntologyImpl;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>Ontology</b></em>'. <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLOntologyImpl#getOWLBackwardCompatibleWith <em>OWL Backward Compatible With</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLOntologyImpl#getOWLImports <em>OWL Imports</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLOntologyImpl#getOWLIncompatibleWith <em>OWL Incompatible With</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLOntologyImpl#getOWLPriorVersion <em>OWL Prior Version</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.owl.impl.OWLOntologyImpl#getOWLVersionInfo <em>OWL Version Info</em>}
 * </li>
 * </ul>
 * </p>
 * 
 * @generated
 */
public class OWLOntologyImpl extends OntologyImpl implements OWLOntology {
    /**
     * The cached value of the '
     * {@link #getOWLBackwardCompatibleWith() <em>OWL Backward Compatible With</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getOWLBackwardCompatibleWith()
     * @generated
     * @ordered
     */
    protected EList owlBackwardCompatibleWith = null;

    /**
     * The cached value of the '{@link #getOWLImports() <em>OWL Imports</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getOWLImports()
     * @generated
     * @ordered
     */
    protected EList owlImports = null;

    /**
     * The cached value of the '
     * {@link #getOWLIncompatibleWith() <em>OWL Incompatible With</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getOWLIncompatibleWith()
     * @generated
     * @ordered
     */
    protected EList owlIncompatibleWith = null;

    /**
     * The cached value of the '
     * {@link #getOWLPriorVersion() <em>OWL Prior Version</em>}' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getOWLPriorVersion()
     * @generated
     * @ordered
     */
    protected EList owlPriorVersion = null;

    /**
     * The cached value of the '
     * {@link #getOWLVersionInfo() <em>OWL Version Info</em>}' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getOWLVersionInfo()
     * @generated
     * @ordered
     */
    protected EList owlVersionInfo = null;

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected OWLOntologyImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected EClass eStaticClass() {
        return OWLPackage.eINSTANCE.getOWLOntology();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getOWLBackwardCompatibleWith() {
        if (owlBackwardCompatibleWith == null) {
            owlBackwardCompatibleWith = new EObjectResolvingEList(
                    OWLOntology.class, this,
                    OWLPackage.OWL_ONTOLOGY__OWL_BACKWARD_COMPATIBLE_WITH);
        }
        return owlBackwardCompatibleWith;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getOWLImports() {
        if (owlImports == null) {
            owlImports = new EObjectResolvingEList(OWLOntology.class, this,
                    OWLPackage.OWL_ONTOLOGY__OWL_IMPORTS);
        }
        return owlImports;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getOWLIncompatibleWith() {
        if (owlIncompatibleWith == null) {
            owlIncompatibleWith = new EObjectResolvingEList(OWLOntology.class,
                    this, OWLPackage.OWL_ONTOLOGY__OWL_INCOMPATIBLE_WITH);
        }
        return owlIncompatibleWith;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getOWLPriorVersion() {
        if (owlPriorVersion == null) {
            owlPriorVersion = new EObjectResolvingEList(OWLOntology.class,
                    this, OWLPackage.OWL_ONTOLOGY__OWL_PRIOR_VERSION);
        }
        return owlPriorVersion;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getOWLVersionInfo() {
        if (owlVersionInfo == null) {
            owlVersionInfo = new EObjectContainmentEList(RDFSLiteral.class,
                    this, OWLPackage.OWL_ONTOLOGY__OWL_VERSION_INFO);
        }
        return owlVersionInfo;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseAdd(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case OWLPackage.OWL_ONTOLOGY__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_ONTOLOGY__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicAdd(
                        otherEnd, msgs);
            case OWLPackage.OWL_ONTOLOGY__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicAdd(otherEnd, msgs);
            case OWLPackage.OWL_ONTOLOGY__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicAdd(
                        otherEnd, msgs);
            default:
                return eDynamicInverseAdd(otherEnd, featureID, baseClass, msgs);
            }
        }
        if (eContainer != null)
            msgs = eBasicRemoveFromContainer(msgs);
        return eBasicSetContainer(otherEnd, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseRemove(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case OWLPackage.OWL_ONTOLOGY__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_ONTOLOGY__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_ONTOLOGY__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicRemove(otherEnd,
                        msgs);
            case OWLPackage.OWL_ONTOLOGY__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_ONTOLOGY__CONTAINS:
                return ((InternalEList) getContains()).basicRemove(otherEnd,
                        msgs);
            case OWLPackage.OWL_ONTOLOGY__OWNED_NAMESPACE:
                return ((InternalEList) getOwnedNamespace()).basicRemove(
                        otherEnd, msgs);
            case OWLPackage.OWL_ONTOLOGY__OWL_VERSION_INFO:
                return ((InternalEList) getOWLVersionInfo()).basicRemove(
                        otherEnd, msgs);
            default:
                return eDynamicInverseRemove(otherEnd, featureID, baseClass,
                        msgs);
            }
        }
        return eBasicSetContainer(null, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Object eGet(EStructuralFeature eFeature, boolean resolve) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_ONTOLOGY__LOCAL_NAME:
            return getLocalName();
        case OWLPackage.OWL_ONTOLOGY__URI:
            return getURI();
        case OWLPackage.OWL_ONTOLOGY__SUBJECT_STATEMENT:
            return getSubjectStatement();
        case OWLPackage.OWL_ONTOLOGY__OBJECT_STATEMENT:
            return getObjectStatement();
        case OWLPackage.OWL_ONTOLOGY__RDFS_IS_DEFINED_BY:
            return getRDFSIsDefinedBy();
        case OWLPackage.OWL_ONTOLOGY__RDF_VALUE:
            return getRDFValue();
        case OWLPackage.OWL_ONTOLOGY__RDFS_SEE_ALSO:
            return getRDFSSeeAlso();
        case OWLPackage.OWL_ONTOLOGY__RDF_TYPE:
            return getRDFType();
        case OWLPackage.OWL_ONTOLOGY__RDFS_MEMBER:
            return getRDFSMember();
        case OWLPackage.OWL_ONTOLOGY__PREDICATE_STATEMENT:
            return getPredicateStatement();
        case OWLPackage.OWL_ONTOLOGY__RDFS_COMMENT:
            return getRDFSComment();
        case OWLPackage.OWL_ONTOLOGY__RDFS_LABEL:
            return getRDFSLabel();
        case OWLPackage.OWL_ONTOLOGY__NAMESPACE:
            if (resolve)
                return getNamespace();
            return basicGetNamespace();
        case OWLPackage.OWL_ONTOLOGY__CONTAINS:
            return getContains();
        case OWLPackage.OWL_ONTOLOGY__OWNED_NAMESPACE:
            return getOwnedNamespace();
        case OWLPackage.OWL_ONTOLOGY__OWL_BACKWARD_COMPATIBLE_WITH:
            return getOWLBackwardCompatibleWith();
        case OWLPackage.OWL_ONTOLOGY__OWL_IMPORTS:
            return getOWLImports();
        case OWLPackage.OWL_ONTOLOGY__OWL_INCOMPATIBLE_WITH:
            return getOWLIncompatibleWith();
        case OWLPackage.OWL_ONTOLOGY__OWL_PRIOR_VERSION:
            return getOWLPriorVersion();
        case OWLPackage.OWL_ONTOLOGY__OWL_VERSION_INFO:
            return getOWLVersionInfo();
        }
        return eDynamicGet(eFeature, resolve);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eSet(EStructuralFeature eFeature, Object newValue) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_ONTOLOGY__LOCAL_NAME:
            setLocalName((String) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            getSubjectStatement().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__OBJECT_STATEMENT:
            getObjectStatement().clear();
            getObjectStatement().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            getRDFSIsDefinedBy().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__RDF_VALUE:
            getRDFValue().clear();
            getRDFValue().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            getRDFSSeeAlso().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__RDF_TYPE:
            getRDFType().clear();
            getRDFType().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__RDFS_MEMBER:
            getRDFSMember().clear();
            getRDFSMember().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            getPredicateStatement().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__RDFS_COMMENT:
            getRDFSComment().clear();
            getRDFSComment().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__RDFS_LABEL:
            getRDFSLabel().clear();
            getRDFSLabel().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__NAMESPACE:
            setNamespace((Namespace) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__CONTAINS:
            getContains().clear();
            getContains().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__OWNED_NAMESPACE:
            getOwnedNamespace().clear();
            getOwnedNamespace().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__OWL_BACKWARD_COMPATIBLE_WITH:
            getOWLBackwardCompatibleWith().clear();
            getOWLBackwardCompatibleWith().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__OWL_IMPORTS:
            getOWLImports().clear();
            getOWLImports().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__OWL_INCOMPATIBLE_WITH:
            getOWLIncompatibleWith().clear();
            getOWLIncompatibleWith().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__OWL_PRIOR_VERSION:
            getOWLPriorVersion().clear();
            getOWLPriorVersion().addAll((Collection) newValue);
            return;
        case OWLPackage.OWL_ONTOLOGY__OWL_VERSION_INFO:
            getOWLVersionInfo().clear();
            getOWLVersionInfo().addAll((Collection) newValue);
            return;
        }
        eDynamicSet(eFeature, newValue);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eUnset(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_ONTOLOGY__LOCAL_NAME:
            setLocalName(LOCAL_NAME_EDEFAULT);
            return;
        case OWLPackage.OWL_ONTOLOGY__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__OBJECT_STATEMENT:
            getObjectStatement().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__RDF_VALUE:
            getRDFValue().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__RDF_TYPE:
            getRDFType().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__RDFS_MEMBER:
            getRDFSMember().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__RDFS_COMMENT:
            getRDFSComment().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__RDFS_LABEL:
            getRDFSLabel().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__NAMESPACE:
            setNamespace((Namespace) null);
            return;
        case OWLPackage.OWL_ONTOLOGY__CONTAINS:
            getContains().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__OWNED_NAMESPACE:
            getOwnedNamespace().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__OWL_BACKWARD_COMPATIBLE_WITH:
            getOWLBackwardCompatibleWith().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__OWL_IMPORTS:
            getOWLImports().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__OWL_INCOMPATIBLE_WITH:
            getOWLIncompatibleWith().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__OWL_PRIOR_VERSION:
            getOWLPriorVersion().clear();
            return;
        case OWLPackage.OWL_ONTOLOGY__OWL_VERSION_INFO:
            getOWLVersionInfo().clear();
            return;
        }
        eDynamicUnset(eFeature);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public boolean eIsSet(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case OWLPackage.OWL_ONTOLOGY__LOCAL_NAME:
            return LOCAL_NAME_EDEFAULT == null ? localName != null
                    : !LOCAL_NAME_EDEFAULT.equals(localName);
        case OWLPackage.OWL_ONTOLOGY__URI:
            return URI_EDEFAULT == null ? getURI() != null : !URI_EDEFAULT
                    .equals(getURI());
        case OWLPackage.OWL_ONTOLOGY__SUBJECT_STATEMENT:
            return subjectStatement != null && !subjectStatement.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__OBJECT_STATEMENT:
            return objectStatement != null && !objectStatement.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__RDFS_IS_DEFINED_BY:
            return rdfsIsDefinedBy != null && !rdfsIsDefinedBy.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__RDF_VALUE:
            return rdfValue != null && !rdfValue.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__RDFS_SEE_ALSO:
            return rdfsSeeAlso != null && !rdfsSeeAlso.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__RDF_TYPE:
            return rdfType != null && !rdfType.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__RDFS_MEMBER:
            return rdfsMember != null && !rdfsMember.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__PREDICATE_STATEMENT:
            return predicateStatement != null && !predicateStatement.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__RDFS_COMMENT:
            return rdfsComment != null && !rdfsComment.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__RDFS_LABEL:
            return rdfsLabel != null && !rdfsLabel.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__NAMESPACE:
            return namespace != null;
        case OWLPackage.OWL_ONTOLOGY__CONTAINS:
            return contains != null && !contains.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__OWNED_NAMESPACE:
            return ownedNamespace != null && !ownedNamespace.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__OWL_BACKWARD_COMPATIBLE_WITH:
            return owlBackwardCompatibleWith != null
                   && !owlBackwardCompatibleWith.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__OWL_IMPORTS:
            return owlImports != null && !owlImports.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__OWL_INCOMPATIBLE_WITH:
            return owlIncompatibleWith != null
                   && !owlIncompatibleWith.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__OWL_PRIOR_VERSION:
            return owlPriorVersion != null && !owlPriorVersion.isEmpty();
        case OWLPackage.OWL_ONTOLOGY__OWL_VERSION_INFO:
            return owlVersionInfo != null && !owlVersionInfo.isEmpty();
        }
        return eDynamicIsSet(eFeature);
    }

} //OWLOntologyImpl
