/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 * 
 * $Id: NodeLink.java,v 1.1.1.1 2006/01/31 09:13:26 gxie Exp $
 */

package org.eclipse.eodm.owl.reasoner.structural;

/**
 * NodeLink TODO Please add comments here.
 */
public abstract class NodeLink {
    public NodeLink(OWLClassClassificationGraph graph) {
        this.graph = graph;
    }

    public NodeLink(OWLClassClassificationGraph graph, OWLClassNode source,
            OWLClassNode target) {
        this(graph);
        setSource(source.getAlternativeNode());
        setTarget(target.getAlternativeNode());
    }

    public OWLClassNode getSource() {
        return source == null ? null : (source = source.getAlternativeNode());
    }

    abstract public void setSource(OWLClassNode source);

    public OWLClassNode getTarget() {
        return target == null ? null : (target = target.getAlternativeNode());
    }

    abstract public void setTarget(OWLClassNode target);

    OWLClassClassificationGraph graph;

    OWLClassNode source = null, target = null;
}
