/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 * 
 * $Id: OWLClassNode.java,v 1.1.1.1 2006/01/31 09:13:26 gxie Exp $
 */

package org.eclipse.eodm.owl.reasoner.structural;

import java.util.HashSet;
import java.util.Set;

import org.eclipse.eodm.owl.OWLClass;

/**
 * OWLClassNode TODO Please add comments here.
 */
public class OWLClassNode {

    public OWLClassNode(OWLClassClassificationGraph graph) {
        this.graph = graph;
        graph.addNode(this);
    }

    public OWLClassNode(OWLClassClassificationGraph graph, int classID) {
        this(graph);
        addOWLClassID(classID);
    }

    public boolean addOWLClassID(int classID) {
        if (alternativeNode != null) {
            return getAlternativeNode().addOWLClassID(classID);
        } else {
            Integer id = new Integer(classID);
            if (!classes.contains(id)) {
                classes.add(id);
                if (graph.classToNodeMap.put(id, this) != null) {
                    System.err
                            .println("Warning: Same class exporession in multiple nodes.");
                }
                return true;
            } else {
                return false;
            }
        }
    }

    public boolean addOWLClass(OWLClass c, boolean doNormalizationFirst) {
        return addOWLClassID(graph.identifier.getOWLClassID(c,
                doNormalizationFirst, true));
    }

    public Set getOWLClassIDSet() {
        return classes;
    }

    public OWLClassNode getAlternativeNode() {
        if (alternativeNode != null) {
            alternativeNode = alternativeNode.getAlternativeNode();
            return alternativeNode;
        } else {
            return this;
        }
    }

    OWLClassClassificationGraph graph;

    OWLClassNode alternativeNode = null;

    HashSet classes = new HashSet(8);

    HashSet containmentLinks = new HashSet(8);

    HashSet containmentByLinks = new HashSet(8);

    HashSet conjunctionLinks = new HashSet(8);

    HashSet disjunctionLinks = new HashSet(8);

    HashSet allValuesFromByLinks = new HashSet(8);

    HashSet someValuesFromByLinks = new HashSet(8);

    int topologicalPosition;
}
