/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 * 
 * $Id: ReferenceRecorder.java,v 1.1.1.1 2006/01/31 09:13:26 gxie Exp $
 */

package org.eclipse.eodm.owl.resource.parser.impl;

import org.eclipse.eodm.rdf.resource.parser.element.URIReference;
import org.eclipse.eodm.rdfs.RDFSClass;
import org.eclipse.eodm.rdfs.RDFSResource;

/**
 * ReferenceRecorder Class / Restriction DataRange Property must be a valid OWL
 * preserved word defined in OWL Vocabulary.
 *  
 */
public class ReferenceRecorder {
    //1. OWLDatatypeProperty / OWLObjectProperty
    //2. OWLClass
    //3. OWLRestriction
    private RDFSResource refering = null;

    //1. rdf/owl built-in properties
    //owl:intersectionOf owl:unionOf owl:complementOf
    //owl:equivalentClass owl:disjointWith
    //owl:oneOf rdf:type
    //owl:allValuesFrom owl:someValuesFrom
    //rdfs:range rdfs:domain rdfs:subClassOf
    private URIReference property = null;

    //1. OWLClass - EnumeratedClass / IntersectionClass / UnionClass /
    // ComplementClass
    //2. OWLRestriction - HasValueRestriction / AllValuesFromRestriction /
    // SomeValuesFromRestricition
    //					  CardinalityRestriction / MaxCardinalityRestriction /
    // MinCardinalityRestriction
    //3. OWLDataRange
    private RDFSClass refered = null;

    public ReferenceRecorder(RDFSResource refering, URIReference property,
            RDFSClass refered) {
        this.refering = refering;
        this.property = property;
        this.refered = refered;
    }

    public RDFSResource getReferingResource() {
        return refering;
    }

    public void setReferingResource(RDFSResource resource) {
        refering = resource;
    }

    public URIReference getProperty() {
        return property;
    }

    public void setProperty(URIReference property) {
        this.property = property;
    }

    public RDFSClass getReferedClass() {
        return refered;
    }

    public void setReferedClass(RDFSClass cls) {
        this.refered = cls;
    }
}