/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: OWLAdapterFactory.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.owl.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;
import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.eodm.owl.AllValuesFromRestriction;
import org.eclipse.eodm.owl.CardinalityRestriction;
import org.eclipse.eodm.owl.ComplementClass;
import org.eclipse.eodm.owl.DatatypeSlot;
import org.eclipse.eodm.owl.EnumeratedClass;
import org.eclipse.eodm.owl.HasValueRestriction;
import org.eclipse.eodm.owl.Individual;
import org.eclipse.eodm.owl.IntersectionClass;
import org.eclipse.eodm.owl.MaxCardinalityRestriction;
import org.eclipse.eodm.owl.MinCardinalityRestriction;
import org.eclipse.eodm.owl.OWLAllDifferent;
import org.eclipse.eodm.owl.OWLAnnotationProperty;
import org.eclipse.eodm.owl.OWLClass;
import org.eclipse.eodm.owl.OWLDataRange;
import org.eclipse.eodm.owl.OWLDatatypeProperty;
import org.eclipse.eodm.owl.OWLObjectProperty;
import org.eclipse.eodm.owl.OWLOntology;
import org.eclipse.eodm.owl.OWLOntologyProperty;
import org.eclipse.eodm.owl.OWLPackage;
import org.eclipse.eodm.owl.OWLRestriction;
import org.eclipse.eodm.owl.ObjectSlot;
import org.eclipse.eodm.owl.Property;
import org.eclipse.eodm.owl.SomeValuesFromRestriction;
import org.eclipse.eodm.owl.UnionClass;
import org.eclipse.eodm.rdfs.Ontology;
import org.eclipse.eodm.rdfs.RDFProperty;
import org.eclipse.eodm.rdfs.RDFSClass;
import org.eclipse.eodm.rdfs.RDFSResource;

/**
 * <!-- begin-user-doc --> The <b>Adapter Factory </b> for the model. It
 * provides an adapter <code>createXXX</code> method for each class of the
 * model. <!-- end-user-doc -->
 * 
 * @see org.eclipse.eodm.owl.OWLPackage
 * @generated
 */
public class OWLAdapterFactory extends AdapterFactoryImpl {
    /**
     * The cached model package. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected static OWLPackage modelPackage;

    /**
     * Creates an instance of the adapter factory. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated
     */
    public OWLAdapterFactory() {
        if (modelPackage == null) {
            modelPackage = OWLPackage.eINSTANCE;
        }
    }

    /**
     * Returns whether this factory is applicable for the type of the object.
     * <!-- begin-user-doc --> This implementation returns <code>true</code>
     * if the object is either the model's package or is an instance object of
     * the model. <!-- end-user-doc -->
     * 
     * @return whether this factory is applicable for the type of the object.
     * @generated
     */
    public boolean isFactoryForType(Object object) {
        if (object == modelPackage) {
            return true;
        }
        if (object instanceof EObject) {
            return ((EObject) object).eClass().getEPackage() == modelPackage;
        }
        return false;
    }

    /**
     * The switch the delegates to the <code>createXXX</code> methods. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected OWLSwitch modelSwitch = new OWLSwitch() {
        public Object caseOWLOntology(OWLOntology object) {
            return createOWLOntologyAdapter();
        }

        public Object caseOWLOntologyProperty(OWLOntologyProperty object) {
            return createOWLOntologyPropertyAdapter();
        }

        public Object caseOWLClass(OWLClass object) {
            return createOWLClassAdapter();
        }

        public Object caseOWLRestriction(OWLRestriction object) {
            return createOWLRestrictionAdapter();
        }

        public Object caseOWLObjectProperty(OWLObjectProperty object) {
            return createOWLObjectPropertyAdapter();
        }

        public Object caseProperty(Property object) {
            return createPropertyAdapter();
        }

        public Object caseIndividual(Individual object) {
            return createIndividualAdapter();
        }

        public Object caseOWLAllDifferent(OWLAllDifferent object) {
            return createOWLAllDifferentAdapter();
        }

        public Object caseOWLDataRange(OWLDataRange object) {
            return createOWLDataRangeAdapter();
        }

        public Object caseOWLAnnotationProperty(OWLAnnotationProperty object) {
            return createOWLAnnotationPropertyAdapter();
        }

        public Object caseDatatypeSlot(DatatypeSlot object) {
            return createDatatypeSlotAdapter();
        }

        public Object caseObjectSlot(ObjectSlot object) {
            return createObjectSlotAdapter();
        }

        public Object caseEnumeratedClass(EnumeratedClass object) {
            return createEnumeratedClassAdapter();
        }

        public Object caseIntersectionClass(IntersectionClass object) {
            return createIntersectionClassAdapter();
        }

        public Object caseUnionClass(UnionClass object) {
            return createUnionClassAdapter();
        }

        public Object caseHasValueRestriction(HasValueRestriction object) {
            return createHasValueRestrictionAdapter();
        }

        public Object caseAllValuesFromRestriction(
                AllValuesFromRestriction object) {
            return createAllValuesFromRestrictionAdapter();
        }

        public Object caseSomeValuesFromRestriction(
                SomeValuesFromRestriction object) {
            return createSomeValuesFromRestrictionAdapter();
        }

        public Object caseCardinalityRestriction(CardinalityRestriction object) {
            return createCardinalityRestrictionAdapter();
        }

        public Object caseMaxCardinalityRestriction(
                MaxCardinalityRestriction object) {
            return createMaxCardinalityRestrictionAdapter();
        }

        public Object caseMinCardinalityRestriction(
                MinCardinalityRestriction object) {
            return createMinCardinalityRestrictionAdapter();
        }

        public Object caseComplementClass(ComplementClass object) {
            return createComplementClassAdapter();
        }

        public Object caseOWLDatatypeProperty(OWLDatatypeProperty object) {
            return createOWLDatatypePropertyAdapter();
        }

        public Object caseRDFSResource(RDFSResource object) {
            return createRDFSResourceAdapter();
        }

        public Object caseOntology(Ontology object) {
            return createOntologyAdapter();
        }

        public Object caseRDFProperty(RDFProperty object) {
            return createRDFPropertyAdapter();
        }

        public Object caseRDFSClass(RDFSClass object) {
            return createRDFSClassAdapter();
        }

        public Object defaultCase(EObject object) {
            return createEObjectAdapter();
        }
    };

    /**
     * Creates an adapter for the <code>target</code>. <!-- begin-user-doc
     * --> <!-- end-user-doc -->
     * 
     * @param target
     *            the object to adapt.
     * @return the adapter for the <code>target</code>.
     * @generated
     */
    public Adapter createAdapter(Notifier target) {
        return (Adapter) modelSwitch.doSwitch((EObject) target);
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.OWLOntology <em>Ontology</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.OWLOntology
     * @generated
     */
    public Adapter createOWLOntologyAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.OWLOntologyProperty <em>Ontology Property</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.OWLOntologyProperty
     * @generated
     */
    public Adapter createOWLOntologyPropertyAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.OWLClass <em>Class</em>}'. <!-- begin-user-doc
     * --> This default implementation returns null so that we can easily ignore
     * cases; it's useful to ignore a case when inheritance will catch all the
     * cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.OWLClass
     * @generated
     */
    public Adapter createOWLClassAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.OWLRestriction <em>Restriction</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.OWLRestriction
     * @generated
     */
    public Adapter createOWLRestrictionAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.OWLObjectProperty <em>Object Property</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.OWLObjectProperty
     * @generated
     */
    public Adapter createOWLObjectPropertyAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.Property <em>Property</em>}'. <!-- begin-user-doc
     * --> This default implementation returns null so that we can easily ignore
     * cases; it's useful to ignore a case when inheritance will catch all the
     * cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.Property
     * @generated
     */
    public Adapter createPropertyAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.Individual <em>Individual</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.Individual
     * @generated
     */
    public Adapter createIndividualAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.OWLAllDifferent <em>All Different</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.OWLAllDifferent
     * @generated
     */
    public Adapter createOWLAllDifferentAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.OWLDataRange <em>Data Range</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.OWLDataRange
     * @generated
     */
    public Adapter createOWLDataRangeAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.OWLAnnotationProperty <em>Annotation Property</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.OWLAnnotationProperty
     * @generated
     */
    public Adapter createOWLAnnotationPropertyAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.DatatypeSlot <em>Datatype Slot</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.DatatypeSlot
     * @generated
     */
    public Adapter createDatatypeSlotAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.ObjectSlot <em>Object Slot</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.ObjectSlot
     * @generated
     */
    public Adapter createObjectSlotAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.EnumeratedClass <em>Enumerated Class</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.EnumeratedClass
     * @generated
     */
    public Adapter createEnumeratedClassAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.IntersectionClass <em>Intersection Class</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.IntersectionClass
     * @generated
     */
    public Adapter createIntersectionClassAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.UnionClass <em>Union Class</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.UnionClass
     * @generated
     */
    public Adapter createUnionClassAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.HasValueRestriction <em>Has Value Restriction</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.HasValueRestriction
     * @generated
     */
    public Adapter createHasValueRestrictionAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.AllValuesFromRestriction <em>All Values From Restriction</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.AllValuesFromRestriction
     * @generated
     */
    public Adapter createAllValuesFromRestrictionAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.SomeValuesFromRestriction <em>Some Values From Restriction</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.SomeValuesFromRestriction
     * @generated
     */
    public Adapter createSomeValuesFromRestrictionAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.CardinalityRestriction <em>Cardinality Restriction</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.CardinalityRestriction
     * @generated
     */
    public Adapter createCardinalityRestrictionAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.MaxCardinalityRestriction <em>Max Cardinality Restriction</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.MaxCardinalityRestriction
     * @generated
     */
    public Adapter createMaxCardinalityRestrictionAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.MinCardinalityRestriction <em>Min Cardinality Restriction</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.MinCardinalityRestriction
     * @generated
     */
    public Adapter createMinCardinalityRestrictionAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.ComplementClass <em>Complement Class</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.ComplementClass
     * @generated
     */
    public Adapter createComplementClassAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.owl.OWLDatatypeProperty <em>Datatype Property</em>}'.
     * <!-- begin-user-doc --> This default implementation returns null so that
     * we can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.owl.OWLDatatypeProperty
     * @generated
     */
    public Adapter createOWLDatatypePropertyAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.rdfs.RDFSResource <em>Resource</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.rdfs.RDFSResource
     * @generated
     */
    public Adapter createRDFSResourceAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.rdfs.Ontology <em>Ontology</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.rdfs.Ontology
     * @generated
     */
    public Adapter createOntologyAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.rdfs.RDFProperty <em>RDF Property</em>}'. <!--
     * begin-user-doc --> This default implementation returns null so that we
     * can easily ignore cases; it's useful to ignore a case when inheritance
     * will catch all the cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.rdfs.RDFProperty
     * @generated
     */
    public Adapter createRDFPropertyAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for an object of class '
     * {@link org.eclipse.rdfs.RDFSClass <em>Class</em>}'. <!-- begin-user-doc
     * --> This default implementation returns null so that we can easily ignore
     * cases; it's useful to ignore a case when inheritance will catch all the
     * cases anyway. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @see org.eclipse.eodm.rdfs.RDFSClass
     * @generated
     */
    public Adapter createRDFSClassAdapter() {
        return null;
    }

    /**
     * Creates a new adapter for the default case. <!-- begin-user-doc --> This
     * default implementation returns null. <!-- end-user-doc -->
     * 
     * @return the new adapter.
     * @generated
     */
    public Adapter createEObjectAdapter() {
        return null;
    }

} //OWLAdapterFactory
