/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: RDFSLiteral.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.rdfs;

import org.eclipse.eodm.owl.DatatypeSlot;

/**
 * <!-- begin-user-doc --> A representation of the model object '
 * <em><b>RDFS Literal</b></em>'. <!-- end-user-doc -->
 * 
 * <p>
 * The following features are supported:
 * <ul>
 * <li>
 * {@link org.eclipse.eodm.rdfs.RDFSLiteral#getDatatypeSlot <em>Datatype Slot</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.RDFSLiteral#getLexicalForm <em>Lexical Form</em>}
 * </li>
 * </ul>
 * </p>
 * 
 * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSLiteral()
 * @model
 * @generated
 */
public interface RDFSLiteral extends RDFSResource {
    /**
     * Returns the value of the '<em><b>Datatype Slot</b></em>' container
     * reference. It is bidirectional and its opposite is '
     * {@link org.eclipse.eodm.owl.DatatypeSlot#getContent <em>Content</em>}'. <!--
     * begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Datatype Slot</em>' container
     *         reference.
     * @see #setDatatypeSlot(DatatypeSlot)
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSLiteral_DatatypeSlot()
     * @see org.eclipse.eodm.owl.DatatypeSlot#getContent
     * @model opposite="content"
     * @generated
     */
    DatatypeSlot getDatatypeSlot();

    /**
     * Sets the value of the '
     * {@link org.eclipse.eodm.rdfs.RDFSLiteral#getDatatypeSlot <em>Datatype Slot</em>}'
     * container reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Datatype Slot</em>' container
     *            reference.
     * @see #getDatatypeSlot()
     * @generated
     */
    void setDatatypeSlot(DatatypeSlot value);

    /**
     * Returns the value of the '<em><b>Lexical Form</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Lexical Form</em>' attribute.
     * @see #setLexicalForm(String)
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSLiteral_LexicalForm()
     * @model
     * @generated
     */
    String getLexicalForm();

    /**
     * Sets the value of the '
     * {@link org.eclipse.eodm.rdfs.RDFSLiteral#getLexicalForm <em>Lexical Form</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Lexical Form</em>' attribute.
     * @see #getLexicalForm()
     * @generated
     */
    void setLexicalForm(String value);

} // RDFSLiteral
