/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: RDFSResource.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.rdfs;

import java.util.List;

import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc --> A representation of the model object '
 * <em><b>RDFS Resource</b></em>'. <!-- end-user-doc -->
 * 
 * <p>
 * The following features are supported:
 * <ul>
 * <li>{@link org.eclipse.eodm.rdfs.RDFSResource#getLocalName <em>Local Name</em>}
 * </li>
 * <li>{@link org.eclipse.eodm.rdfs.RDFSResource#getURI <em>URI</em>}</li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.RDFSResource#getSubjectStatement <em>Subject Statement</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.RDFSResource#getObjectStatement <em>Object Statement</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.RDFSResource#getRDFSIsDefinedBy <em>RDFS Is Defined By</em>}
 * </li>
 * <li>{@link org.eclipse.eodm.rdfs.RDFSResource#getRDFValue <em>RDF Value</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.RDFSResource#getRDFSSeeAlso <em>RDFS See Also</em>}
 * </li>
 * <li>{@link org.eclipse.eodm.rdfs.RDFSResource#getRDFType <em>RDF Type</em>}</li>
 * <li>{@link org.eclipse.eodm.rdfs.RDFSResource#getRDFSMember <em>RDFS Member</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.RDFSResource#getPredicateStatement <em>Predicate Statement</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.RDFSResource#getRDFSComment <em>RDFS Comment</em>}
 * </li>
 * <li>{@link org.eclipse.eodm.rdfs.RDFSResource#getRDFSLabel <em>RDFS Label</em>}
 * </li>
 * <li>{@link org.eclipse.eodm.rdfs.RDFSResource#getNamespace <em>Namespace</em>}
 * </li>
 * </ul>
 * </p>
 * 
 * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource()
 * @model
 * @generated
 */
public interface RDFSResource extends EObject {
    /**
     * Returns the value of the '<em><b>Local Name</b></em>' attribute.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Local Name</em>' attribute.
     * @see #setLocalName(String)
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_LocalName()
     * @model
     * @generated
     */
    String getLocalName();

    /**
     * Sets the value of the '
     * {@link org.eclipse.eodm.rdfs.RDFSResource#getLocalName <em>Local Name</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Local Name</em>' attribute.
     * @see #getLocalName()
     * @generated
     */
    void setLocalName(String value);

    /**
     * Returns the value of the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>URI</em>' attribute.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_URI()
     * @model changeable="false" volatile="true" derived="true"
     * @generated
     */
    String getURI();

    /**
     * Returns the value of the '<em><b>Subject Statement</b></em>'
     * reference list. The list contents are of type
     * {@link org.eclipse.eodm.rdfs.RDFStatement}. It is bidirectional and its
     * opposite is '
     * {@link org.eclipse.eodm.rdfs.RDFStatement#getRDFSubject <em>RDF Subject</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Subject Statement</em>' reference list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_SubjectStatement()
     * @see org.eclipse.eodm.rdfs.RDFStatement#getRDFSubject
     * @model type="org.eclipse.rdfs.RDFStatement" opposite="RDFSubject"
     * @generated
     */
    EList getSubjectStatement();

    /**
     * Returns the value of the '<em><b>Object Statement</b></em>'
     * reference list. The list contents are of type
     * {@link org.eclipse.eodm.rdfs.RDFStatement}. It is bidirectional and its
     * opposite is '
     * {@link org.eclipse.eodm.rdfs.RDFStatement#getRDFObject <em>RDF Object</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Object Statement</em>' reference list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_ObjectStatement()
     * @see org.eclipse.eodm.rdfs.RDFStatement#getRDFObject
     * @model type="org.eclipse.rdfs.RDFStatement" opposite="RDFObject"
     * @generated
     */
    EList getObjectStatement();

    /**
     * Returns the value of the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. The list contents are of type
     * {@link org.eclipse.eodm.rdfs.RDFSResource}. <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>RDFS Is Defined By</em>' reference
     *         list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_RDFSIsDefinedBy()
     * @model type="org.eclipse.rdfs.RDFSResource"
     * @generated
     */
    EList getRDFSIsDefinedBy();

    /**
     * Returns the value of the '<em><b>RDF Value</b></em>' reference list.
     * The list contents are of type {@link org.eclipse.eodm.rdfs.RDFSResource}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>RDF Value</em>' reference list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_RDFValue()
     * @model type="org.eclipse.rdfs.RDFSResource"
     * @generated
     */
    EList getRDFValue();

    /**
     * Returns the value of the '<em><b>RDFS See Also</b></em>' reference
     * list. The list contents are of type {@link org.eclipse.eodm.rdfs.RDFSResource}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>RDFS See Also</em>' reference list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_RDFSSeeAlso()
     * @model type="org.eclipse.rdfs.RDFSResource"
     * @generated
     */
    EList getRDFSSeeAlso();

    /**
     * Returns the value of the '<em><b>RDF Type</b></em>' reference list.
     * The list contents are of type {@link org.eclipse.eodm.rdfs.RDFSClass}. It is
     * bidirectional and its opposite is '
     * {@link org.eclipse.eodm.rdfs.RDFSClass#getInstance <em>Instance</em>}'. <!--
     * begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>RDF Type</em>' reference list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_RDFType()
     * @see org.eclipse.eodm.rdfs.RDFSClass#getInstance
     * @model type="org.eclipse.rdfs.RDFSClass" opposite="instance"
     * @generated
     */
    EList getRDFType();

    /**
     * Returns the value of the '<em><b>RDFS Member</b></em>' reference
     * list. The list contents are of type {@link org.eclipse.eodm.rdfs.RDFSResource}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>RDFS Member</em>' reference list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_RDFSMember()
     * @model type="org.eclipse.rdfs.RDFSResource"
     * @generated
     */
    EList getRDFSMember();

    /**
     * Returns the value of the '<em><b>Predicate Statement</b></em>'
     * reference list. The list contents are of type
     * {@link org.eclipse.eodm.rdfs.RDFStatement}. It is bidirectional and its
     * opposite is '
     * {@link org.eclipse.eodm.rdfs.RDFStatement#getRDFPredicate <em>RDF Predicate</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Predicate Statement</em>' reference
     *         list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_PredicateStatement()
     * @see org.eclipse.eodm.rdfs.RDFStatement#getRDFPredicate
     * @model type="org.eclipse.rdfs.RDFStatement" opposite="RDFPredicate"
     * @generated
     */
    EList getPredicateStatement();

    /**
     * Returns the value of the '<em><b>Predicate Statement</b></em>'
     * reference list. The list contents are of type
     * {@link org.eclipse.eodm.rdfs.RDFStatement}. It is bidirectional and its
     * opposite is '
     * {@link org.eclipse.eodm.rdfs.RDFStatement#getRDFPredicate <em>RDF Predicate</em>}'.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @param if
     *            bInference is true, it will give an answer after inference
     * @return the value of the '<em>Predicate Statement</em>' reference
     *         list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_PredicateStatement()
     * @see org.eclipse.eodm.rdfs.RDFStatement#getRDFPredicate
     * @model type="org.eclipse.rdfs.RDFStatement" opposite="RDFPredicate"
     */
    EList getPredicateStatement(boolean bInference);

    /**
     * Returns the value of the '<em><b>RDFS Comment</b></em>' reference
     * list. The list contents are of type {@link org.eclipse.eodm.rdfs.PlainLiteral}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>RDFS Comment</em>' reference list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_RDFSComment()
     * @model type="org.eclipse.rdfs.PlainLiteral"
     * @generated
     */
    EList getRDFSComment();

    /**
     * Returns the value of the '<em><b>RDFS Label</b></em>' reference
     * list. The list contents are of type {@link org.eclipse.eodm.rdfs.PlainLiteral}.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>RDFS Label</em>' reference list.
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_RDFSLabel()
     * @model type="org.eclipse.rdfs.PlainLiteral"
     * @generated
     */
    EList getRDFSLabel();

    /**
     * Returns the value of the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @return the value of the '<em>Namespace</em>' reference.
     * @see #setNamespace(Namespace)
     * @see org.eclipse.eodm.rdfs.RDFSPackage#getRDFSResource_Namespace()
     * @model required="true"
     * @generated
     */
    Namespace getNamespace();

    /**
     * Sets the value of the '
     * {@link org.eclipse.eodm.rdfs.RDFSResource#getNamespace <em>Namespace</em>}'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @param value
     *            the new value of the '<em>Namespace</em>' reference.
     * @see #getNamespace()
     * @generated
     */
    void setNamespace(Namespace value);

    /**
     * Get values for the specific property, for an individual resource
     * 
     * @param property,
     *            property name
     * @return
     */
    List getPropertyValues(RDFProperty property);

    /**
     * add a value to the specific property, for an individual resource
     * 
     * @param property,
     *            property name
     * @param resource,
     *            property value
     * @return true if add succeed
     */
    boolean addPropertyValue(RDFProperty property, RDFSResource resource);

} // RDFSResource
