/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: RDFPropertyImpl.java,v 1.1.1.1 2006/01/31 09:13:25 gxie Exp $
 */
package org.eclipse.eodm.rdfs.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.BasicEList;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.util.EObjectWithInverseResolvingEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.eclipse.eodm.owl.OWLPackage;
import org.eclipse.eodm.owl.OWLRestriction;
import org.eclipse.eodm.rdfs.Namespace;
import org.eclipse.eodm.rdfs.Ontology;
import org.eclipse.eodm.rdfs.RDFProperty;
import org.eclipse.eodm.rdfs.RDFSClass;
import org.eclipse.eodm.rdfs.RDFSPackage;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>RDF Property</b></em>'. <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 * <li>
 * {@link org.eclipse.eodm.rdfs.impl.RDFPropertyImpl#getRefByRestriction <em>Ref By Restriction</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.impl.RDFPropertyImpl#getRDFSSubPropertyOf <em>RDFS Sub Property Of</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.impl.RDFPropertyImpl#getSubProperty <em>Sub Property</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.impl.RDFPropertyImpl#getRDFSDomain <em>RDFS Domain</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.impl.RDFPropertyImpl#getRDFSRange <em>RDFS Range</em>}
 * </li>
 * </ul>
 * </p>
 * 
 * @generated
 */
public class RDFPropertyImpl extends RDFSResourceImpl implements RDFProperty {
    /**
     * The cached value of the '
     * {@link #getRefByRestriction() <em>Ref By Restriction</em>}' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getRefByRestriction()
     * @generated
     * @ordered
     */
    protected EList refByRestriction = null;

    /**
     * The cached value of the '
     * {@link #getRDFSSubPropertyOf() <em>RDFS Sub Property Of</em>}' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getRDFSSubPropertyOf()
     * @generated
     * @ordered
     */
    protected EList rdfsSubPropertyOf = null;

    /**
     * The cached value of the '{@link #getSubProperty() <em>Sub Property</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getSubProperty()
     * @generated
     * @ordered
     */
    protected EList subProperty = null;

    /**
     * The cached value of the '{@link #getRDFSDomain() <em>RDFS Domain</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getRDFSDomain()
     * @generated
     * @ordered
     */
    protected EList rdfsDomain = null;

    /**
     * The cached value of the '{@link #getRDFSRange() <em>RDFS Range</em>}'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getRDFSRange()
     * @generated
     * @ordered
     */
    protected EList rdfsRange = null;

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected RDFPropertyImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected EClass eStaticClass() {
        return RDFSPackage.eINSTANCE.getRDFProperty();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getRefByRestriction() {
        if (refByRestriction == null) {
            refByRestriction = new EObjectWithInverseResolvingEList(
                    OWLRestriction.class, this,
                    RDFSPackage.RDF_PROPERTY__REF_BY_RESTRICTION,
                    OWLPackage.OWL_RESTRICTION__OWL_ON_PROPERTY);
        }
        return refByRestriction;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getRDFSSubPropertyOf() {
        if (rdfsSubPropertyOf == null) {
            rdfsSubPropertyOf = new EObjectWithInverseResolvingEList.ManyInverse(
                    RDFProperty.class, this,
                    RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF,
                    RDFSPackage.RDF_PROPERTY__SUB_PROPERTY);
        }
        return rdfsSubPropertyOf;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getSubProperty() {
        if (subProperty == null) {
            subProperty = new EObjectWithInverseResolvingEList.ManyInverse(
                    RDFProperty.class, this,
                    RDFSPackage.RDF_PROPERTY__SUB_PROPERTY,
                    RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF);
        }
        return subProperty;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getRDFSDomain() {
        if (rdfsDomain == null) {
            rdfsDomain = new EObjectWithInverseResolvingEList.ManyInverse(
                    RDFSClass.class, this,
                    RDFSPackage.RDF_PROPERTY__RDFS_DOMAIN,
                    RDFSPackage.RDFS_CLASS__OWNED_PROPERTY);
        }
        return rdfsDomain;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EList getRDFSRange() {
        if (rdfsRange == null) {
            rdfsRange = new EObjectWithInverseResolvingEList.ManyInverse(
                    RDFSClass.class, this,
                    RDFSPackage.RDF_PROPERTY__RDFS_RANGE,
                    RDFSPackage.RDFS_CLASS__RANGED_BY_PROPERTY);
        }
        return rdfsRange;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseAdd(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case RDFSPackage.RDF_PROPERTY__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicAdd(otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__REF_BY_RESTRICTION:
                return ((InternalEList) getRefByRestriction()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF:
                return ((InternalEList) getRDFSSubPropertyOf()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__SUB_PROPERTY:
                return ((InternalEList) getSubProperty()).basicAdd(otherEnd,
                        msgs);
            case RDFSPackage.RDF_PROPERTY__RDFS_DOMAIN:
                return ((InternalEList) getRDFSDomain()).basicAdd(otherEnd,
                        msgs);
            case RDFSPackage.RDF_PROPERTY__RDFS_RANGE:
                return ((InternalEList) getRDFSRange())
                        .basicAdd(otherEnd, msgs);
            default:
                return eDynamicInverseAdd(otherEnd, featureID, baseClass, msgs);
            }
        }
        if (eContainer != null)
            msgs = eBasicRemoveFromContainer(msgs);
        return eBasicSetContainer(otherEnd, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseRemove(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case RDFSPackage.RDF_PROPERTY__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicRemove(otherEnd,
                        msgs);
            case RDFSPackage.RDF_PROPERTY__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__REF_BY_RESTRICTION:
                return ((InternalEList) getRefByRestriction()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF:
                return ((InternalEList) getRDFSSubPropertyOf()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDF_PROPERTY__SUB_PROPERTY:
                return ((InternalEList) getSubProperty()).basicRemove(otherEnd,
                        msgs);
            case RDFSPackage.RDF_PROPERTY__RDFS_DOMAIN:
                return ((InternalEList) getRDFSDomain()).basicRemove(otherEnd,
                        msgs);
            case RDFSPackage.RDF_PROPERTY__RDFS_RANGE:
                return ((InternalEList) getRDFSRange()).basicRemove(otherEnd,
                        msgs);
            default:
                return eDynamicInverseRemove(otherEnd, featureID, baseClass,
                        msgs);
            }
        }
        return eBasicSetContainer(null, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Object eGet(EStructuralFeature eFeature, boolean resolve) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDF_PROPERTY__LOCAL_NAME:
            return getLocalName();
        case RDFSPackage.RDF_PROPERTY__URI:
            return getURI();
        case RDFSPackage.RDF_PROPERTY__SUBJECT_STATEMENT:
            return getSubjectStatement();
        case RDFSPackage.RDF_PROPERTY__OBJECT_STATEMENT:
            return getObjectStatement();
        case RDFSPackage.RDF_PROPERTY__RDFS_IS_DEFINED_BY:
            return getRDFSIsDefinedBy();
        case RDFSPackage.RDF_PROPERTY__RDF_VALUE:
            return getRDFValue();
        case RDFSPackage.RDF_PROPERTY__RDFS_SEE_ALSO:
            return getRDFSSeeAlso();
        case RDFSPackage.RDF_PROPERTY__RDF_TYPE:
            return getRDFType();
        case RDFSPackage.RDF_PROPERTY__RDFS_MEMBER:
            return getRDFSMember();
        case RDFSPackage.RDF_PROPERTY__PREDICATE_STATEMENT:
            return getPredicateStatement();
        case RDFSPackage.RDF_PROPERTY__RDFS_COMMENT:
            return getRDFSComment();
        case RDFSPackage.RDF_PROPERTY__RDFS_LABEL:
            return getRDFSLabel();
        case RDFSPackage.RDF_PROPERTY__NAMESPACE:
            if (resolve)
                return getNamespace();
            return basicGetNamespace();
        case RDFSPackage.RDF_PROPERTY__REF_BY_RESTRICTION:
            return getRefByRestriction();
        case RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF:
            return getRDFSSubPropertyOf();
        case RDFSPackage.RDF_PROPERTY__SUB_PROPERTY:
            return getSubProperty();
        case RDFSPackage.RDF_PROPERTY__RDFS_DOMAIN:
            return getRDFSDomain();
        case RDFSPackage.RDF_PROPERTY__RDFS_RANGE:
            return getRDFSRange();
        }
        return eDynamicGet(eFeature, resolve);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eSet(EStructuralFeature eFeature, Object newValue) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDF_PROPERTY__LOCAL_NAME:
            setLocalName((String) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            getSubjectStatement().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__OBJECT_STATEMENT:
            getObjectStatement().clear();
            getObjectStatement().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            getRDFSIsDefinedBy().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__RDF_VALUE:
            getRDFValue().clear();
            getRDFValue().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            getRDFSSeeAlso().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__RDF_TYPE:
            getRDFType().clear();
            getRDFType().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_MEMBER:
            getRDFSMember().clear();
            getRDFSMember().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            getPredicateStatement().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_COMMENT:
            getRDFSComment().clear();
            getRDFSComment().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_LABEL:
            getRDFSLabel().clear();
            getRDFSLabel().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__NAMESPACE:
            setNamespace((Namespace) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__REF_BY_RESTRICTION:
            getRefByRestriction().clear();
            getRefByRestriction().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF:
            getRDFSSubPropertyOf().clear();
            getRDFSSubPropertyOf().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__SUB_PROPERTY:
            getSubProperty().clear();
            getSubProperty().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_DOMAIN:
            getRDFSDomain().clear();
            getRDFSDomain().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_RANGE:
            getRDFSRange().clear();
            getRDFSRange().addAll((Collection) newValue);
            return;
        }
        eDynamicSet(eFeature, newValue);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eUnset(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDF_PROPERTY__LOCAL_NAME:
            setLocalName(LOCAL_NAME_EDEFAULT);
            return;
        case RDFSPackage.RDF_PROPERTY__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__OBJECT_STATEMENT:
            getObjectStatement().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__RDF_VALUE:
            getRDFValue().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__RDF_TYPE:
            getRDFType().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_MEMBER:
            getRDFSMember().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_COMMENT:
            getRDFSComment().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_LABEL:
            getRDFSLabel().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__NAMESPACE:
            setNamespace((Namespace) null);
            return;
        case RDFSPackage.RDF_PROPERTY__REF_BY_RESTRICTION:
            getRefByRestriction().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF:
            getRDFSSubPropertyOf().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__SUB_PROPERTY:
            getSubProperty().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_DOMAIN:
            getRDFSDomain().clear();
            return;
        case RDFSPackage.RDF_PROPERTY__RDFS_RANGE:
            getRDFSRange().clear();
            return;
        }
        eDynamicUnset(eFeature);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public boolean eIsSet(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDF_PROPERTY__LOCAL_NAME:
            return LOCAL_NAME_EDEFAULT == null ? localName != null
                    : !LOCAL_NAME_EDEFAULT.equals(localName);
        case RDFSPackage.RDF_PROPERTY__URI:
            return URI_EDEFAULT == null ? getURI() != null : !URI_EDEFAULT
                    .equals(getURI());
        case RDFSPackage.RDF_PROPERTY__SUBJECT_STATEMENT:
            return subjectStatement != null && !subjectStatement.isEmpty();
        case RDFSPackage.RDF_PROPERTY__OBJECT_STATEMENT:
            return objectStatement != null && !objectStatement.isEmpty();
        case RDFSPackage.RDF_PROPERTY__RDFS_IS_DEFINED_BY:
            return rdfsIsDefinedBy != null && !rdfsIsDefinedBy.isEmpty();
        case RDFSPackage.RDF_PROPERTY__RDF_VALUE:
            return rdfValue != null && !rdfValue.isEmpty();
        case RDFSPackage.RDF_PROPERTY__RDFS_SEE_ALSO:
            return rdfsSeeAlso != null && !rdfsSeeAlso.isEmpty();
        case RDFSPackage.RDF_PROPERTY__RDF_TYPE:
            return rdfType != null && !rdfType.isEmpty();
        case RDFSPackage.RDF_PROPERTY__RDFS_MEMBER:
            return rdfsMember != null && !rdfsMember.isEmpty();
        case RDFSPackage.RDF_PROPERTY__PREDICATE_STATEMENT:
            return predicateStatement != null && !predicateStatement.isEmpty();
        case RDFSPackage.RDF_PROPERTY__RDFS_COMMENT:
            return rdfsComment != null && !rdfsComment.isEmpty();
        case RDFSPackage.RDF_PROPERTY__RDFS_LABEL:
            return rdfsLabel != null && !rdfsLabel.isEmpty();
        case RDFSPackage.RDF_PROPERTY__NAMESPACE:
            return namespace != null;
        case RDFSPackage.RDF_PROPERTY__REF_BY_RESTRICTION:
            return refByRestriction != null && !refByRestriction.isEmpty();
        case RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF:
            return rdfsSubPropertyOf != null && !rdfsSubPropertyOf.isEmpty();
        case RDFSPackage.RDF_PROPERTY__SUB_PROPERTY:
            return subProperty != null && !subProperty.isEmpty();
        case RDFSPackage.RDF_PROPERTY__RDFS_DOMAIN:
            return rdfsDomain != null && !rdfsDomain.isEmpty();
        case RDFSPackage.RDF_PROPERTY__RDFS_RANGE:
            return rdfsRange != null && !rdfsRange.isEmpty();
        }
        return eDynamicIsSet(eFeature);
    }

    public EList getRDFSSubPropertyOf(boolean bInference) {
        if (bInference) {
            return new BasicEList(((Ontology) this.eContainer()).getReasoner()
                    .getAncestorProperties(this));
        } else {
            return getRDFSSubPropertyOf();
        }
    }

    public EList getSubProperty(boolean bInference) {
        if (bInference) {
            return new BasicEList(((Ontology) this.eContainer()).getReasoner()
                    .getDescendantProperties(this));
        } else {
            return getSubProperty();
        }
    }

} // RDFPropertyImpl
