/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: RDFSDatatypeImpl.java,v 1.1.1.1 2006/01/31 09:13:25 gxie Exp $
 */
package org.eclipse.eodm.rdfs.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.util.InternalEList;
import org.eclipse.eodm.rdfs.Namespace;
import org.eclipse.eodm.rdfs.RDFSDatatype;
import org.eclipse.eodm.rdfs.RDFSPackage;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>RDFS Datatype</b></em>'. <!-- end-user-doc -->
 * <p>
 * </p>
 * 
 * @generated
 */
public class RDFSDatatypeImpl extends RDFSClassImpl implements RDFSDatatype {
    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected RDFSDatatypeImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected EClass eStaticClass() {
        return RDFSPackage.eINSTANCE.getRDFSDatatype();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseAdd(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case RDFSPackage.RDFS_DATATYPE__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicAdd(otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__REF_BY_AVF_RESTRICTION:
                return ((InternalEList) getRefByAVFRestriction()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__REF_BY_SVF_RESTRICTION:
                return ((InternalEList) getRefBySVFRestriction()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__RDFS_SUB_CLASS_OF:
                return ((InternalEList) getRDFSSubClassOf()).basicAdd(otherEnd,
                        msgs);
            case RDFSPackage.RDFS_DATATYPE__SUB_CLASS:
                return ((InternalEList) getSubClass()).basicAdd(otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__OWNED_PROPERTY:
                return ((InternalEList) getOwnedProperty()).basicAdd(otherEnd,
                        msgs);
            case RDFSPackage.RDFS_DATATYPE__RANGED_BY_PROPERTY:
                return ((InternalEList) getRangedByProperty()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__INSTANCE:
                return ((InternalEList) getInstance()).basicAdd(otherEnd, msgs);
            default:
                return eDynamicInverseAdd(otherEnd, featureID, baseClass, msgs);
            }
        }
        if (eContainer != null)
            msgs = eBasicRemoveFromContainer(msgs);
        return eBasicSetContainer(otherEnd, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseRemove(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case RDFSPackage.RDFS_DATATYPE__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicRemove(otherEnd,
                        msgs);
            case RDFSPackage.RDFS_DATATYPE__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__REF_BY_AVF_RESTRICTION:
                return ((InternalEList) getRefByAVFRestriction()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__REF_BY_SVF_RESTRICTION:
                return ((InternalEList) getRefBySVFRestriction()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__RDFS_SUB_CLASS_OF:
                return ((InternalEList) getRDFSSubClassOf()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__SUB_CLASS:
                return ((InternalEList) getSubClass()).basicRemove(otherEnd,
                        msgs);
            case RDFSPackage.RDFS_DATATYPE__OWNED_PROPERTY:
                return ((InternalEList) getOwnedProperty()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__RANGED_BY_PROPERTY:
                return ((InternalEList) getRangedByProperty()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_DATATYPE__INSTANCE:
                return ((InternalEList) getInstance()).basicRemove(otherEnd,
                        msgs);
            default:
                return eDynamicInverseRemove(otherEnd, featureID, baseClass,
                        msgs);
            }
        }
        return eBasicSetContainer(null, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Object eGet(EStructuralFeature eFeature, boolean resolve) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDFS_DATATYPE__LOCAL_NAME:
            return getLocalName();
        case RDFSPackage.RDFS_DATATYPE__URI:
            return getURI();
        case RDFSPackage.RDFS_DATATYPE__SUBJECT_STATEMENT:
            return getSubjectStatement();
        case RDFSPackage.RDFS_DATATYPE__OBJECT_STATEMENT:
            return getObjectStatement();
        case RDFSPackage.RDFS_DATATYPE__RDFS_IS_DEFINED_BY:
            return getRDFSIsDefinedBy();
        case RDFSPackage.RDFS_DATATYPE__RDF_VALUE:
            return getRDFValue();
        case RDFSPackage.RDFS_DATATYPE__RDFS_SEE_ALSO:
            return getRDFSSeeAlso();
        case RDFSPackage.RDFS_DATATYPE__RDF_TYPE:
            return getRDFType();
        case RDFSPackage.RDFS_DATATYPE__RDFS_MEMBER:
            return getRDFSMember();
        case RDFSPackage.RDFS_DATATYPE__PREDICATE_STATEMENT:
            return getPredicateStatement();
        case RDFSPackage.RDFS_DATATYPE__RDFS_COMMENT:
            return getRDFSComment();
        case RDFSPackage.RDFS_DATATYPE__RDFS_LABEL:
            return getRDFSLabel();
        case RDFSPackage.RDFS_DATATYPE__NAMESPACE:
            if (resolve)
                return getNamespace();
            return basicGetNamespace();
        case RDFSPackage.RDFS_DATATYPE__REF_BY_AVF_RESTRICTION:
            return getRefByAVFRestriction();
        case RDFSPackage.RDFS_DATATYPE__REF_BY_SVF_RESTRICTION:
            return getRefBySVFRestriction();
        case RDFSPackage.RDFS_DATATYPE__RDFS_SUB_CLASS_OF:
            return getRDFSSubClassOf();
        case RDFSPackage.RDFS_DATATYPE__SUB_CLASS:
            return getSubClass();
        case RDFSPackage.RDFS_DATATYPE__OWNED_PROPERTY:
            return getOwnedProperty();
        case RDFSPackage.RDFS_DATATYPE__RANGED_BY_PROPERTY:
            return getRangedByProperty();
        case RDFSPackage.RDFS_DATATYPE__INSTANCE:
            return getInstance();
        }
        return eDynamicGet(eFeature, resolve);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eSet(EStructuralFeature eFeature, Object newValue) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDFS_DATATYPE__LOCAL_NAME:
            setLocalName((String) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            getSubjectStatement().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__OBJECT_STATEMENT:
            getObjectStatement().clear();
            getObjectStatement().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            getRDFSIsDefinedBy().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__RDF_VALUE:
            getRDFValue().clear();
            getRDFValue().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            getRDFSSeeAlso().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__RDF_TYPE:
            getRDFType().clear();
            getRDFType().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_MEMBER:
            getRDFSMember().clear();
            getRDFSMember().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            getPredicateStatement().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_COMMENT:
            getRDFSComment().clear();
            getRDFSComment().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_LABEL:
            getRDFSLabel().clear();
            getRDFSLabel().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__NAMESPACE:
            setNamespace((Namespace) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__REF_BY_AVF_RESTRICTION:
            getRefByAVFRestriction().clear();
            getRefByAVFRestriction().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__REF_BY_SVF_RESTRICTION:
            getRefBySVFRestriction().clear();
            getRefBySVFRestriction().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_SUB_CLASS_OF:
            getRDFSSubClassOf().clear();
            getRDFSSubClassOf().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__SUB_CLASS:
            getSubClass().clear();
            getSubClass().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__OWNED_PROPERTY:
            getOwnedProperty().clear();
            getOwnedProperty().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__RANGED_BY_PROPERTY:
            getRangedByProperty().clear();
            getRangedByProperty().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_DATATYPE__INSTANCE:
            getInstance().clear();
            getInstance().addAll((Collection) newValue);
            return;
        }
        eDynamicSet(eFeature, newValue);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eUnset(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDFS_DATATYPE__LOCAL_NAME:
            setLocalName(LOCAL_NAME_EDEFAULT);
            return;
        case RDFSPackage.RDFS_DATATYPE__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__OBJECT_STATEMENT:
            getObjectStatement().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__RDF_VALUE:
            getRDFValue().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__RDF_TYPE:
            getRDFType().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_MEMBER:
            getRDFSMember().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_COMMENT:
            getRDFSComment().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_LABEL:
            getRDFSLabel().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__NAMESPACE:
            setNamespace((Namespace) null);
            return;
        case RDFSPackage.RDFS_DATATYPE__REF_BY_AVF_RESTRICTION:
            getRefByAVFRestriction().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__REF_BY_SVF_RESTRICTION:
            getRefBySVFRestriction().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__RDFS_SUB_CLASS_OF:
            getRDFSSubClassOf().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__SUB_CLASS:
            getSubClass().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__OWNED_PROPERTY:
            getOwnedProperty().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__RANGED_BY_PROPERTY:
            getRangedByProperty().clear();
            return;
        case RDFSPackage.RDFS_DATATYPE__INSTANCE:
            getInstance().clear();
            return;
        }
        eDynamicUnset(eFeature);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public boolean eIsSet(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDFS_DATATYPE__LOCAL_NAME:
            return LOCAL_NAME_EDEFAULT == null ? localName != null
                    : !LOCAL_NAME_EDEFAULT.equals(localName);
        case RDFSPackage.RDFS_DATATYPE__URI:
            return URI_EDEFAULT == null ? getURI() != null : !URI_EDEFAULT
                    .equals(getURI());
        case RDFSPackage.RDFS_DATATYPE__SUBJECT_STATEMENT:
            return subjectStatement != null && !subjectStatement.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__OBJECT_STATEMENT:
            return objectStatement != null && !objectStatement.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__RDFS_IS_DEFINED_BY:
            return rdfsIsDefinedBy != null && !rdfsIsDefinedBy.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__RDF_VALUE:
            return rdfValue != null && !rdfValue.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__RDFS_SEE_ALSO:
            return rdfsSeeAlso != null && !rdfsSeeAlso.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__RDF_TYPE:
            return rdfType != null && !rdfType.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__RDFS_MEMBER:
            return rdfsMember != null && !rdfsMember.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__PREDICATE_STATEMENT:
            return predicateStatement != null && !predicateStatement.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__RDFS_COMMENT:
            return rdfsComment != null && !rdfsComment.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__RDFS_LABEL:
            return rdfsLabel != null && !rdfsLabel.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__NAMESPACE:
            return namespace != null;
        case RDFSPackage.RDFS_DATATYPE__REF_BY_AVF_RESTRICTION:
            return refByAVFRestriction != null
                   && !refByAVFRestriction.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__REF_BY_SVF_RESTRICTION:
            return refBySVFRestriction != null
                   && !refBySVFRestriction.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__RDFS_SUB_CLASS_OF:
            return rdfsSubClassOf != null && !rdfsSubClassOf.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__SUB_CLASS:
            return subClass != null && !subClass.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__OWNED_PROPERTY:
            return ownedProperty != null && !ownedProperty.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__RANGED_BY_PROPERTY:
            return rangedByProperty != null && !rangedByProperty.isEmpty();
        case RDFSPackage.RDFS_DATATYPE__INSTANCE:
            return instance != null && !instance.isEmpty();
        }
        return eDynamicIsSet(eFeature);
    }

} //RDFSDatatypeImpl
