/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: RDFSFactoryImpl.java,v 1.1.1.1 2006/01/31 09:13:25 gxie Exp $
 */
package org.eclipse.eodm.rdfs.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.impl.EFactoryImpl;
import org.eclipse.eodm.rdfs.Namespace;
import org.eclipse.eodm.rdfs.Ontology;
import org.eclipse.eodm.rdfs.PlainLiteral;
import org.eclipse.eodm.rdfs.RDFAlt;
import org.eclipse.eodm.rdfs.RDFBag;
import org.eclipse.eodm.rdfs.RDFList;
import org.eclipse.eodm.rdfs.RDFProperty;
import org.eclipse.eodm.rdfs.RDFSClass;
import org.eclipse.eodm.rdfs.RDFSContainer;
import org.eclipse.eodm.rdfs.RDFSContainerMembershipProperty;
import org.eclipse.eodm.rdfs.RDFSDatatype;
import org.eclipse.eodm.rdfs.RDFSFactory;
import org.eclipse.eodm.rdfs.RDFSLiteral;
import org.eclipse.eodm.rdfs.RDFSPackage;
import org.eclipse.eodm.rdfs.RDFSResource;
import org.eclipse.eodm.rdfs.RDFSeq;
import org.eclipse.eodm.rdfs.RDFStatement;
import org.eclipse.eodm.rdfs.RDFXMLLiteral;
import org.eclipse.eodm.rdfs.TypedLiteral;

/**
 * <!-- begin-user-doc --> An implementation of the model <b>Factory </b>. <!--
 * end-user-doc -->
 * 
 * @generated
 */
public class RDFSFactoryImpl extends EFactoryImpl implements RDFSFactory {
    /**
     * Creates and instance of the factory. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated
     */
    public RDFSFactoryImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public EObject create(EClass eClass) {
        switch (eClass.getClassifierID()) {
        case RDFSPackage.RDFS_RESOURCE:
            return createRDFSResource();
        case RDFSPackage.RDFS_CLASS:
            return createRDFSClass();
        case RDFSPackage.RDFS_LITERAL:
            return createRDFSLiteral();
        case RDFSPackage.RDFS_DATATYPE:
            return createRDFSDatatype();
        case RDFSPackage.RDFXML_LITERAL:
            return createRDFXMLLiteral();
        case RDFSPackage.RDF_PROPERTY:
            return createRDFProperty();
        case RDFSPackage.RDF_LIST:
            return createRDFList();
        case RDFSPackage.RDFS_CONTAINER:
            return createRDFSContainer();
        case RDFSPackage.RDF_ALT:
            return createRDFAlt();
        case RDFSPackage.RDF_BAG:
            return createRDFBag();
        case RDFSPackage.RDFS_EQ:
            return createRDFSeq();
        case RDFSPackage.RDFS_CONTAINER_MEMBERSHIP_PROPERTY:
            return createRDFSContainerMembershipProperty();
        case RDFSPackage.RDFS_TATEMENT:
            return createRDFStatement();
        case RDFSPackage.ONTOLOGY:
            return createOntology();
        case RDFSPackage.PLAIN_LITERAL:
            return createPlainLiteral();
        case RDFSPackage.TYPED_LITERAL:
            return createTypedLiteral();
        case RDFSPackage.NAMESPACE:
            return createNamespace();
        default:
            throw new IllegalArgumentException("The class '"
                                               + eClass.getName()
                                               + "' is not a valid classifier");
        }
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFSResource createRDFSResource() {
        RDFSResourceImpl rdfsResource = new RDFSResourceImpl();
        return rdfsResource;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFSClass createRDFSClass() {
        RDFSClassImpl rdfsClass = new RDFSClassImpl();
        return rdfsClass;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFSLiteral createRDFSLiteral() {
        RDFSLiteralImpl rdfsLiteral = new RDFSLiteralImpl();
        return rdfsLiteral;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFSDatatype createRDFSDatatype() {
        RDFSDatatypeImpl rdfsDatatype = new RDFSDatatypeImpl();
        return rdfsDatatype;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFXMLLiteral createRDFXMLLiteral() {
        RDFXMLLiteralImpl rdfxmlLiteral = new RDFXMLLiteralImpl();
        return rdfxmlLiteral;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFProperty createRDFProperty() {
        RDFPropertyImpl rdfProperty = new RDFPropertyImpl();
        return rdfProperty;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFList createRDFList() {
        RDFListImpl rdfList = new RDFListImpl();
        return rdfList;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFSContainer createRDFSContainer() {
        RDFSContainerImpl rdfsContainer = new RDFSContainerImpl();
        return rdfsContainer;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFAlt createRDFAlt() {
        RDFAltImpl rdfAlt = new RDFAltImpl();
        return rdfAlt;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFBag createRDFBag() {
        RDFBagImpl rdfBag = new RDFBagImpl();
        return rdfBag;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFSeq createRDFSeq() {
        RDFSeqImpl rdfSeq = new RDFSeqImpl();
        return rdfSeq;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFSContainerMembershipProperty createRDFSContainerMembershipProperty() {
        RDFSContainerMembershipPropertyImpl rdfsContainerMembershipProperty = new RDFSContainerMembershipPropertyImpl();
        return rdfsContainerMembershipProperty;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFStatement createRDFStatement() {
        RDFStatementImpl rdfStatement = new RDFStatementImpl();
        return rdfStatement;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Ontology createOntology() {
        OntologyImpl ontology = new OntologyImpl();
        return ontology;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public PlainLiteral createPlainLiteral() {
        PlainLiteralImpl plainLiteral = new PlainLiteralImpl();
        return plainLiteral;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public TypedLiteral createTypedLiteral() {
        TypedLiteralImpl typedLiteral = new TypedLiteralImpl();
        return typedLiteral;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Namespace createNamespace() {
        NamespaceImpl namespace = new NamespaceImpl();
        return namespace;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public RDFSPackage getRDFSPackage() {
        return (RDFSPackage) getEPackage();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @deprecated
     * @generated
     */
    public static RDFSPackage getPackage() {
        return RDFSPackage.eINSTANCE;
    }

    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createNamespace(org.eclipse.rdfs.Ontology, java.lang.String, java.lang.String)
     */
    public Namespace createNamespace(Ontology ontology, String name, String uri) {
        Namespace ns = createNamespace();
        ns.setName(name);
        ns.setURI(uri);
        ontology.getOwnedNamespace().add(ns);
        return ns;
    }
    
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createOntology(java.lang.String)
     */
    public Ontology createOntology(String localName) {
        Ontology ontology = createOntology();
        ontology.setLocalName(localName);
        return ontology;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createPlainLiteral(org.eclipse.rdfs.Ontology, java.lang.String, java.lang.String)
     */
    public PlainLiteral createPlainLiteral(Ontology ontology,
            String lexicalForm, String language) {
        PlainLiteral literal = createPlainLiteral();
        ontology.getContains().add(literal);
        literal.setLexicalForm(lexicalForm);
        literal.setLanguage(language);
        return literal;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFAlt(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public RDFAlt createRDFAlt(Ontology ontology, String localName, Namespace ns) {
        RDFAlt alt = createRDFAlt(ontology,localName);
        alt.setNamespace(ns);
        return alt;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFAlt(org.eclipse.rdfs.Ontology, java.lang.String)
     */
    public RDFAlt createRDFAlt(Ontology ontology, String localName) {
        RDFAlt alt = createRDFAlt();
        ontology.getContains().add(alt);
        alt.setLocalName(localName);
        return alt;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFBag(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public RDFBag createRDFBag(Ontology ontology, String localName, Namespace ns) {
        RDFBag bag = createRDFBag(ontology, localName);
        bag.setNamespace(ns);
        return bag;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFBag(org.eclipse.rdfs.Ontology, java.lang.String)
     */
    public RDFBag createRDFBag(Ontology ontology, String localName) {
        RDFBag bag = createRDFBag();
        bag.setLocalName(localName);
        ontology.getContains().add(bag);
        return bag;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFList(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public RDFList createRDFList(Ontology ontology, String localName, Namespace ns) {
        RDFList list = createRDFList(ontology, localName);
        list.setNamespace(ns);
        return list;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFList(org.eclipse.rdfs.Ontology, java.lang.String)
     */
    public RDFList createRDFList(Ontology ontology, String localName) {
        RDFList list = createRDFList();
        list.setLocalName(localName);
        ontology.getContains().add(list);
        return list;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFProperty(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.Namespace, org.eclipse.rdfs.RDFSClass, org.eclipse.rdfs.RDFSClass)
     */
    public RDFProperty createRDFProperty(Ontology ontology, String localName,
            Namespace ns, RDFSClass domain, RDFSClass range) {
        RDFProperty property = createRDFProperty(ontology, localName, domain, range);
        property.setNamespace(ns);
        return property;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFProperty(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public RDFProperty createRDFProperty(Ontology ontology, String localName,
            Namespace ns) {
        RDFProperty property = createRDFProperty(ontology, localName);
        property.setNamespace(ns);
        return property;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFProperty(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.RDFSClass, org.eclipse.rdfs.RDFSClass)
     */
    public RDFProperty createRDFProperty(Ontology ontology, String localName,
            RDFSClass domain, RDFSClass range) {
        RDFProperty property = createRDFProperty(ontology, localName);
        property.getRDFSDomain().add(domain);
        property.getRDFSRange().add(range);
        return property;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFProperty(org.eclipse.rdfs.Ontology, java.lang.String)
     */
    public RDFProperty createRDFProperty(Ontology ontology, String localName) {
        RDFProperty property = createRDFProperty();
        property.setLocalName(localName);
        ontology.getContains().add(property);
        return property;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSClass(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public RDFSClass createRDFSClass(Ontology ontology, String localName,
            Namespace ns) {
        RDFSClass cls = createRDFSClass(ontology, localName);
        cls.setNamespace(ns);
        return cls;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSClass(org.eclipse.rdfs.Ontology, java.lang.String)
     */
    public RDFSClass createRDFSClass(Ontology ontology, String localName) {
        RDFSClass cls = createRDFSClass();
        cls.setLocalName(localName);
        ontology.getContains().add(cls);
        return cls;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSContainer(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public RDFSContainer createRDFSContainer(Ontology ontology,
            String localName, Namespace ns) {
        RDFSContainer container = createRDFSContainer(ontology, localName);
        container.setNamespace(ns);
        return container;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSContainer(org.eclipse.rdfs.Ontology, java.lang.String)
     */
    public RDFSContainer createRDFSContainer(Ontology ontology, String localName) {
        RDFSContainer container = createRDFSContainer();
        container.setLocalName(localName);
        ontology.getContains().add(container);
        return container;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSDatatype(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public RDFSDatatype createRDFSDatatype(Ontology ontology, String localName, Namespace ns) {
        RDFSDatatype dataType = createRDFSDatatype(ontology, localName);
        dataType.setNamespace(ns);
        return dataType;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSDatatype(org.eclipse.rdfs.Ontology, java.lang.String)
     */
    public RDFSDatatype createRDFSDatatype(Ontology ontology, String localName) {
        RDFSDatatype dataType = createRDFSDatatype();
        dataType.setLocalName(localName);
        ontology.getContains().add(dataType);
        
        return dataType;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSeq(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public RDFSeq createRDFSeq(Ontology ontology, String localName, Namespace ns) {
        RDFSeq seq = createRDFSeq(ontology, localName);
        seq.setNamespace(ns);
        return seq;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSeq(org.eclipse.rdfs.Ontology, java.lang.String)
     */
    public RDFSeq createRDFSeq(Ontology ontology, String localName) {
        RDFSeq seq = createRDFSeq();
        seq.setLocalName(localName);
        ontology.getContains().add(seq);
        return seq;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSLiteral(org.eclipse.rdfs.Ontology, java.lang.String)
     */
    public RDFSLiteral createRDFSLiteral(Ontology ontology, String lexicalForm) {
        RDFSLiteral literal = createRDFSLiteral();
        literal.setLexicalForm(lexicalForm);
        ontology.getContains().add(literal);
        return literal;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSResource(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.Namespace)
     */
    public RDFSResource createRDFSResource(Ontology ontology, String localName,
            Namespace ns) {
        RDFSResource resource = createRDFSResource(ontology, localName);
        resource.setNamespace(ns);
        return resource;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFSResource(org.eclipse.rdfs.Ontology, java.lang.String)
     */
    public RDFSResource createRDFSResource(Ontology ontology, String localName) {
        RDFSResource resource = createRDFSResource();
        resource.setLocalName(localName);
        ontology.getContains().add(resource);
        return resource;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFStatement(org.eclipse.rdfs.Ontology, org.eclipse.rdfs.RDFSResource, org.eclipse.rdfs.RDFSResource, org.eclipse.rdfs.RDFSResource)
     */
    public RDFStatement createRDFStatement(Ontology ontology,
            RDFSResource subject, RDFSResource predicate, RDFSResource object) {
        RDFStatement stmt = createRDFStatement();
        stmt.setRDFSubject(subject);
        stmt.setRDFObject(object);
        stmt.setRDFPredicate(predicate);
        ontology.getContains().add(stmt);
        return stmt;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createRDFXMLLiteral(org.eclipse.rdfs.Ontology, java.lang.String, java.lang.String)
     */
    public RDFXMLLiteral createRDFXMLLiteral(Ontology ontology,
            String lexicalForm, String language) {
        RDFXMLLiteral literal = createRDFXMLLiteral();
        literal.setLexicalForm(lexicalForm);
        literal.setLanguage(language);
        ontology.getContains().add(literal);
        return literal;
    }
    /* (non-Javadoc)
     * @see org.eclipse.rdfs.RDFSFactory#createTypedLiteral(org.eclipse.rdfs.Ontology, java.lang.String, org.eclipse.rdfs.RDFSDatatype)
     */
    public TypedLiteral createTypedLiteral(Ontology ontology,
            String lexicalForm, RDFSDatatype dataType) {
        TypedLiteral literal = createTypedLiteral();
        literal.setLexicalForm(lexicalForm);
        literal.setDatatype(dataType);
        ontology.getContains().add(literal);
        return literal;
    }
} //RdfsFactoryImpl
