/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: RDFSLiteralImpl.java,v 1.1.1.1 2006/01/31 09:13:25 gxie Exp $
 */
package org.eclipse.eodm.rdfs.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.util.InternalEList;
import org.eclipse.eodm.owl.DatatypeSlot;
import org.eclipse.eodm.owl.OWLPackage;
import org.eclipse.eodm.rdfs.Namespace;
import org.eclipse.eodm.rdfs.RDFSLiteral;
import org.eclipse.eodm.rdfs.RDFSPackage;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>RDFS Literal</b></em>'. <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 * <li>
 * {@link org.eclipse.eodm.rdfs.impl.RDFSLiteralImpl#getDatatypeSlot <em>Datatype Slot</em>}
 * </li>
 * <li>
 * {@link org.eclipse.eodm.rdfs.impl.RDFSLiteralImpl#getLexicalForm <em>Lexical Form</em>}
 * </li>
 * </ul>
 * </p>
 * 
 * @generated
 */
public class RDFSLiteralImpl extends RDFSResourceImpl implements RDFSLiteral {
    /**
     * The default value of the '
     * {@link #getLexicalForm() <em>Lexical Form</em>}' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getLexicalForm()
     * @generated
     * @ordered
     */
    protected static final String LEXICAL_FORM_EDEFAULT = null;

    /**
     * The cached value of the '{@link #getLexicalForm() <em>Lexical Form</em>}'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see #getLexicalForm()
     * @generated
     * @ordered
     */
    protected String lexicalForm = LEXICAL_FORM_EDEFAULT;

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected RDFSLiteralImpl() {
        super();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    protected EClass eStaticClass() {
        return RDFSPackage.eINSTANCE.getRDFSLiteral();
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public DatatypeSlot getDatatypeSlot() {
        if (eContainerFeatureID != RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT)
            return null;
        return (DatatypeSlot) eContainer;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void setDatatypeSlot(DatatypeSlot newDatatypeSlot) {
        if (newDatatypeSlot != eContainer
            || (eContainerFeatureID != RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT && newDatatypeSlot != null)) {
            if (EcoreUtil.isAncestor(this, newDatatypeSlot))
                throw new IllegalArgumentException(
                        "Recursive containment not allowed for " + toString());
            NotificationChain msgs = null;
            if (eContainer != null)
                msgs = eBasicRemoveFromContainer(msgs);
            if (newDatatypeSlot != null)
                msgs = ((InternalEObject) newDatatypeSlot).eInverseAdd(this,
                        OWLPackage.DATATYPE_SLOT__CONTENT, DatatypeSlot.class,
                        msgs);
            msgs = eBasicSetContainer((InternalEObject) newDatatypeSlot,
                    RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT, msgs);
            if (msgs != null)
                msgs.dispatch();
        } else if (eNotificationRequired())
            eNotify(new ENotificationImpl(this, Notification.SET,
                    RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT, newDatatypeSlot,
                    newDatatypeSlot));
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public String getLexicalForm() {
        return lexicalForm;
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void setLexicalForm(String newLexicalForm) {
        String oldLexicalForm = lexicalForm;
        lexicalForm = newLexicalForm;
        if (eNotificationRequired())
            eNotify(new ENotificationImpl(this, Notification.SET,
                    RDFSPackage.RDFS_LITERAL__LEXICAL_FORM, oldLexicalForm,
                    lexicalForm));
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseAdd(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case RDFSPackage.RDFS_LITERAL__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_LITERAL__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_LITERAL__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicAdd(otherEnd, msgs);
            case RDFSPackage.RDFS_LITERAL__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicAdd(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT:
                if (eContainer != null)
                    msgs = eBasicRemoveFromContainer(msgs);
                return eBasicSetContainer(otherEnd,
                        RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT, msgs);
            default:
                return eDynamicInverseAdd(otherEnd, featureID, baseClass, msgs);
            }
        }
        if (eContainer != null)
            msgs = eBasicRemoveFromContainer(msgs);
        return eBasicSetContainer(otherEnd, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eInverseRemove(InternalEObject otherEnd,
            int featureID, Class baseClass, NotificationChain msgs) {
        if (featureID >= 0) {
            switch (eDerivedStructuralFeatureID(featureID, baseClass)) {
            case RDFSPackage.RDFS_LITERAL__SUBJECT_STATEMENT:
                return ((InternalEList) getSubjectStatement()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_LITERAL__OBJECT_STATEMENT:
                return ((InternalEList) getObjectStatement()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_LITERAL__RDF_TYPE:
                return ((InternalEList) getRDFType()).basicRemove(otherEnd,
                        msgs);
            case RDFSPackage.RDFS_LITERAL__PREDICATE_STATEMENT:
                return ((InternalEList) getPredicateStatement()).basicRemove(
                        otherEnd, msgs);
            case RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT:
                return eBasicSetContainer(null,
                        RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT, msgs);
            default:
                return eDynamicInverseRemove(otherEnd, featureID, baseClass,
                        msgs);
            }
        }
        return eBasicSetContainer(null, featureID, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs) {
        if (eContainerFeatureID >= 0) {
            switch (eContainerFeatureID) {
            case RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT:
                return ((InternalEObject) eContainer).eInverseRemove(this,
                        OWLPackage.DATATYPE_SLOT__CONTENT, DatatypeSlot.class,
                        msgs);
            default:
                return eDynamicBasicRemoveFromContainer(msgs);
            }
        }
        return ((InternalEObject) eContainer).eInverseRemove(this,
                EOPPOSITE_FEATURE_BASE - eContainerFeatureID, null, msgs);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public Object eGet(EStructuralFeature eFeature, boolean resolve) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDFS_LITERAL__LOCAL_NAME:
            return getLocalName();
        case RDFSPackage.RDFS_LITERAL__URI:
            return getURI();
        case RDFSPackage.RDFS_LITERAL__SUBJECT_STATEMENT:
            return getSubjectStatement();
        case RDFSPackage.RDFS_LITERAL__OBJECT_STATEMENT:
            return getObjectStatement();
        case RDFSPackage.RDFS_LITERAL__RDFS_IS_DEFINED_BY:
            return getRDFSIsDefinedBy();
        case RDFSPackage.RDFS_LITERAL__RDF_VALUE:
            return getRDFValue();
        case RDFSPackage.RDFS_LITERAL__RDFS_SEE_ALSO:
            return getRDFSSeeAlso();
        case RDFSPackage.RDFS_LITERAL__RDF_TYPE:
            return getRDFType();
        case RDFSPackage.RDFS_LITERAL__RDFS_MEMBER:
            return getRDFSMember();
        case RDFSPackage.RDFS_LITERAL__PREDICATE_STATEMENT:
            return getPredicateStatement();
        case RDFSPackage.RDFS_LITERAL__RDFS_COMMENT:
            return getRDFSComment();
        case RDFSPackage.RDFS_LITERAL__RDFS_LABEL:
            return getRDFSLabel();
        case RDFSPackage.RDFS_LITERAL__NAMESPACE:
            if (resolve)
                return getNamespace();
            return basicGetNamespace();
        case RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT:
            return getDatatypeSlot();
        case RDFSPackage.RDFS_LITERAL__LEXICAL_FORM:
            return getLexicalForm();
        }
        return eDynamicGet(eFeature, resolve);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eSet(EStructuralFeature eFeature, Object newValue) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDFS_LITERAL__LOCAL_NAME:
            setLocalName((String) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            getSubjectStatement().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__OBJECT_STATEMENT:
            getObjectStatement().clear();
            getObjectStatement().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            getRDFSIsDefinedBy().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__RDF_VALUE:
            getRDFValue().clear();
            getRDFValue().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            getRDFSSeeAlso().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__RDF_TYPE:
            getRDFType().clear();
            getRDFType().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__RDFS_MEMBER:
            getRDFSMember().clear();
            getRDFSMember().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            getPredicateStatement().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__RDFS_COMMENT:
            getRDFSComment().clear();
            getRDFSComment().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__RDFS_LABEL:
            getRDFSLabel().clear();
            getRDFSLabel().addAll((Collection) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__NAMESPACE:
            setNamespace((Namespace) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT:
            setDatatypeSlot((DatatypeSlot) newValue);
            return;
        case RDFSPackage.RDFS_LITERAL__LEXICAL_FORM:
            setLexicalForm((String) newValue);
            return;
        }
        eDynamicSet(eFeature, newValue);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public void eUnset(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDFS_LITERAL__LOCAL_NAME:
            setLocalName(LOCAL_NAME_EDEFAULT);
            return;
        case RDFSPackage.RDFS_LITERAL__SUBJECT_STATEMENT:
            getSubjectStatement().clear();
            return;
        case RDFSPackage.RDFS_LITERAL__OBJECT_STATEMENT:
            getObjectStatement().clear();
            return;
        case RDFSPackage.RDFS_LITERAL__RDFS_IS_DEFINED_BY:
            getRDFSIsDefinedBy().clear();
            return;
        case RDFSPackage.RDFS_LITERAL__RDF_VALUE:
            getRDFValue().clear();
            return;
        case RDFSPackage.RDFS_LITERAL__RDFS_SEE_ALSO:
            getRDFSSeeAlso().clear();
            return;
        case RDFSPackage.RDFS_LITERAL__RDF_TYPE:
            getRDFType().clear();
            return;
        case RDFSPackage.RDFS_LITERAL__RDFS_MEMBER:
            getRDFSMember().clear();
            return;
        case RDFSPackage.RDFS_LITERAL__PREDICATE_STATEMENT:
            getPredicateStatement().clear();
            return;
        case RDFSPackage.RDFS_LITERAL__RDFS_COMMENT:
            getRDFSComment().clear();
            return;
        case RDFSPackage.RDFS_LITERAL__RDFS_LABEL:
            getRDFSLabel().clear();
            return;
        case RDFSPackage.RDFS_LITERAL__NAMESPACE:
            setNamespace((Namespace) null);
            return;
        case RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT:
            setDatatypeSlot((DatatypeSlot) null);
            return;
        case RDFSPackage.RDFS_LITERAL__LEXICAL_FORM:
            setLexicalForm(LEXICAL_FORM_EDEFAULT);
            return;
        }
        eDynamicUnset(eFeature);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public boolean eIsSet(EStructuralFeature eFeature) {
        switch (eDerivedStructuralFeatureID(eFeature)) {
        case RDFSPackage.RDFS_LITERAL__LOCAL_NAME:
            return LOCAL_NAME_EDEFAULT == null ? localName != null
                    : !LOCAL_NAME_EDEFAULT.equals(localName);
        case RDFSPackage.RDFS_LITERAL__URI:
            return URI_EDEFAULT == null ? getURI() != null : !URI_EDEFAULT
                    .equals(getURI());
        case RDFSPackage.RDFS_LITERAL__SUBJECT_STATEMENT:
            return subjectStatement != null && !subjectStatement.isEmpty();
        case RDFSPackage.RDFS_LITERAL__OBJECT_STATEMENT:
            return objectStatement != null && !objectStatement.isEmpty();
        case RDFSPackage.RDFS_LITERAL__RDFS_IS_DEFINED_BY:
            return rdfsIsDefinedBy != null && !rdfsIsDefinedBy.isEmpty();
        case RDFSPackage.RDFS_LITERAL__RDF_VALUE:
            return rdfValue != null && !rdfValue.isEmpty();
        case RDFSPackage.RDFS_LITERAL__RDFS_SEE_ALSO:
            return rdfsSeeAlso != null && !rdfsSeeAlso.isEmpty();
        case RDFSPackage.RDFS_LITERAL__RDF_TYPE:
            return rdfType != null && !rdfType.isEmpty();
        case RDFSPackage.RDFS_LITERAL__RDFS_MEMBER:
            return rdfsMember != null && !rdfsMember.isEmpty();
        case RDFSPackage.RDFS_LITERAL__PREDICATE_STATEMENT:
            return predicateStatement != null && !predicateStatement.isEmpty();
        case RDFSPackage.RDFS_LITERAL__RDFS_COMMENT:
            return rdfsComment != null && !rdfsComment.isEmpty();
        case RDFSPackage.RDFS_LITERAL__RDFS_LABEL:
            return rdfsLabel != null && !rdfsLabel.isEmpty();
        case RDFSPackage.RDFS_LITERAL__NAMESPACE:
            return namespace != null;
        case RDFSPackage.RDFS_LITERAL__DATATYPE_SLOT:
            return getDatatypeSlot() != null;
        case RDFSPackage.RDFS_LITERAL__LEXICAL_FORM:
            return LEXICAL_FORM_EDEFAULT == null ? lexicalForm != null
                    : !LEXICAL_FORM_EDEFAULT.equals(lexicalForm);
        }
        return eDynamicIsSet(eFeature);
    }

    /**
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    public String toString() {
        if (eIsProxy())
            return super.toString();

        StringBuffer result = new StringBuffer(super.toString());
        result.append(" (lexicalForm: ");
        result.append(lexicalForm);
        result.append(')');
        return result.toString();
    }

} //RDFSLiteralImpl

