/**
 * <copyright> 
 * 
 * Copyright (c) 2004-2005 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License - v 1.0 
 * which accompanies this distribution, and is available at 
 * http://opensource.org/licenses/eclipse-1.0.txt 
 * 
 * Contributors: 
 *   IBM - Initial API and implementation 
 * 
 * </copyright> 
 *
 * $Id: OWLPackage.java,v 1.1.1.1 2006/01/31 09:13:24 gxie Exp $
 */
package org.eclipse.eodm.owl;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.eodm.rdfs.RDFSPackage;

/**
 * <!-- begin-user-doc --> The <b>Package </b> for the model. It contains
 * accessors for the meta objects to represent
 * <ul>
 * <li>each class,</li>
 * <li>each feature of each class,</li>
 * <li>each enum,</li>
 * <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * 
 * @see org.eclipse.eodm.owl.OWLFactory
 * @generated
 */
public interface OWLPackage extends EPackage {
    /**
     * The package name. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    String eNAME = "owl";

    /**
     * The package namespace URI. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    String eNS_URI = "http:///org/eclipse/owl.ecore";

    /**
     * The package namespace name. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     */
    String eNS_PREFIX = "org.eclipse.eodm.owl";

    /**
     * The singleton instance of the package. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated
     */
    OWLPackage eINSTANCE = org.eclipse.eodm.owl.impl.OWLPackageImpl.init();

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.OWLOntologyImpl <em>Ontology</em>}' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.OWLOntologyImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getOWLOntology()
     * @generated
     */
    int OWL_ONTOLOGY = 0;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__LOCAL_NAME = RDFSPackage.ONTOLOGY__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__URI = RDFSPackage.ONTOLOGY__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__SUBJECT_STATEMENT = RDFSPackage.ONTOLOGY__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__OBJECT_STATEMENT = RDFSPackage.ONTOLOGY__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__RDFS_IS_DEFINED_BY = RDFSPackage.ONTOLOGY__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__RDF_VALUE = RDFSPackage.ONTOLOGY__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__RDFS_SEE_ALSO = RDFSPackage.ONTOLOGY__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__RDF_TYPE = RDFSPackage.ONTOLOGY__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__RDFS_MEMBER = RDFSPackage.ONTOLOGY__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__PREDICATE_STATEMENT = RDFSPackage.ONTOLOGY__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__RDFS_COMMENT = RDFSPackage.ONTOLOGY__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__RDFS_LABEL = RDFSPackage.ONTOLOGY__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__NAMESPACE = RDFSPackage.ONTOLOGY__NAMESPACE;

    /**
     * The feature id for the '<em><b>Contains</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__CONTAINS = RDFSPackage.ONTOLOGY__CONTAINS;

    /**
     * The feature id for the '<em><b>Owned Namespace</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__OWNED_NAMESPACE = RDFSPackage.ONTOLOGY__OWNED_NAMESPACE;

    /**
     * The feature id for the '<em><b>OWL Backward Compatible With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__OWL_BACKWARD_COMPATIBLE_WITH = RDFSPackage.ONTOLOGY_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>OWL Imports</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__OWL_IMPORTS = RDFSPackage.ONTOLOGY_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>OWL Incompatible With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__OWL_INCOMPATIBLE_WITH = RDFSPackage.ONTOLOGY_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>OWL Prior Version</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__OWL_PRIOR_VERSION = RDFSPackage.ONTOLOGY_FEATURE_COUNT + 3;

    /**
     * The feature id for the '<em><b>OWL Version Info</b></em>'
     * containment reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY__OWL_VERSION_INFO = RDFSPackage.ONTOLOGY_FEATURE_COUNT + 4;

    /**
     * The number of structural features of the the '<em>Ontology</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_FEATURE_COUNT = RDFSPackage.ONTOLOGY_FEATURE_COUNT + 5;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.OWLOntologyPropertyImpl <em>Ontology Property</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.OWLOntologyPropertyImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getOWLOntologyProperty()
     * @generated
     */
    int OWL_ONTOLOGY_PROPERTY = 1;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__LOCAL_NAME = RDFSPackage.RDF_PROPERTY__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__URI = RDFSPackage.RDF_PROPERTY__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__SUBJECT_STATEMENT = RDFSPackage.RDF_PROPERTY__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__OBJECT_STATEMENT = RDFSPackage.RDF_PROPERTY__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__RDFS_IS_DEFINED_BY = RDFSPackage.RDF_PROPERTY__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__RDF_VALUE = RDFSPackage.RDF_PROPERTY__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__RDFS_SEE_ALSO = RDFSPackage.RDF_PROPERTY__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__RDF_TYPE = RDFSPackage.RDF_PROPERTY__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__RDFS_MEMBER = RDFSPackage.RDF_PROPERTY__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__PREDICATE_STATEMENT = RDFSPackage.RDF_PROPERTY__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__RDFS_COMMENT = RDFSPackage.RDF_PROPERTY__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__RDFS_LABEL = RDFSPackage.RDF_PROPERTY__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__NAMESPACE = RDFSPackage.RDF_PROPERTY__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__REF_BY_RESTRICTION = RDFSPackage.RDF_PROPERTY__REF_BY_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Property Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__RDFS_SUB_PROPERTY_OF = RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF;

    /**
     * The feature id for the '<em><b>Sub Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__SUB_PROPERTY = RDFSPackage.RDF_PROPERTY__SUB_PROPERTY;

    /**
     * The feature id for the '<em><b>RDFS Domain</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__RDFS_DOMAIN = RDFSPackage.RDF_PROPERTY__RDFS_DOMAIN;

    /**
     * The feature id for the '<em><b>RDFS Range</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY__RDFS_RANGE = RDFSPackage.RDF_PROPERTY__RDFS_RANGE;

    /**
     * The number of structural features of the the '<em>Ontology Property</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ONTOLOGY_PROPERTY_FEATURE_COUNT = RDFSPackage.RDF_PROPERTY_FEATURE_COUNT + 0;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.OWLClassImpl <em>Class</em>}' class. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.OWLClassImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getOWLClass()
     * @generated
     */
    int OWL_CLASS = 2;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__LOCAL_NAME = RDFSPackage.RDFS_CLASS__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__URI = RDFSPackage.RDFS_CLASS__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__SUBJECT_STATEMENT = RDFSPackage.RDFS_CLASS__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__OBJECT_STATEMENT = RDFSPackage.RDFS_CLASS__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__RDFS_IS_DEFINED_BY = RDFSPackage.RDFS_CLASS__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__RDF_VALUE = RDFSPackage.RDFS_CLASS__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__RDFS_SEE_ALSO = RDFSPackage.RDFS_CLASS__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__RDF_TYPE = RDFSPackage.RDFS_CLASS__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__RDFS_MEMBER = RDFSPackage.RDFS_CLASS__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__PREDICATE_STATEMENT = RDFSPackage.RDFS_CLASS__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__RDFS_COMMENT = RDFSPackage.RDFS_CLASS__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__RDFS_LABEL = RDFSPackage.RDFS_CLASS__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__NAMESPACE = RDFSPackage.RDFS_CLASS__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__REF_BY_AVF_RESTRICTION = RDFSPackage.RDFS_CLASS__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__REF_BY_SVF_RESTRICTION = RDFSPackage.RDFS_CLASS__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__RDFS_SUB_CLASS_OF = RDFSPackage.RDFS_CLASS__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__SUB_CLASS = RDFSPackage.RDFS_CLASS__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__OWNED_PROPERTY = RDFSPackage.RDFS_CLASS__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__RANGED_BY_PROPERTY = RDFSPackage.RDFS_CLASS__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__INSTANCE = RDFSPackage.RDFS_CLASS__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__DEPRECATED = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__INV_OWL_EQUIVALENT_CLASS = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__OWL_EQUIVALENT_CLASS = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__OWL_DISJOINT_WITH = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 3;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__INV_OWL_DISJOINT_WITH = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 4;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__REF_BY_INTERSECTION_CLASS = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 5;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__REF_BY_UNION_CLASS = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 6;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS__INV_OWL_COMPLEMENT_OF = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 7;

    /**
     * The number of structural features of the the '<em>Class</em>' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_CLASS_FEATURE_COUNT = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 8;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.OWLRestrictionImpl <em>Restriction</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.OWLRestrictionImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getOWLRestriction()
     * @generated
     */
    int OWL_RESTRICTION = 3;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__LOCAL_NAME = OWL_CLASS__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__URI = OWL_CLASS__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__SUBJECT_STATEMENT = OWL_CLASS__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__OBJECT_STATEMENT = OWL_CLASS__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__RDFS_IS_DEFINED_BY = OWL_CLASS__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__RDF_VALUE = OWL_CLASS__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__RDFS_SEE_ALSO = OWL_CLASS__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__RDF_TYPE = OWL_CLASS__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__RDFS_MEMBER = OWL_CLASS__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__PREDICATE_STATEMENT = OWL_CLASS__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__RDFS_COMMENT = OWL_CLASS__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__RDFS_LABEL = OWL_CLASS__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__NAMESPACE = OWL_CLASS__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__REF_BY_AVF_RESTRICTION = OWL_CLASS__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__REF_BY_SVF_RESTRICTION = OWL_CLASS__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__RDFS_SUB_CLASS_OF = OWL_CLASS__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__SUB_CLASS = OWL_CLASS__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__OWNED_PROPERTY = OWL_CLASS__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__RANGED_BY_PROPERTY = OWL_CLASS__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__INSTANCE = OWL_CLASS__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__DEPRECATED = OWL_CLASS__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__INV_OWL_EQUIVALENT_CLASS = OWL_CLASS__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__OWL_EQUIVALENT_CLASS = OWL_CLASS__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__OWL_DISJOINT_WITH = OWL_CLASS__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__INV_OWL_DISJOINT_WITH = OWL_CLASS__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__REF_BY_INTERSECTION_CLASS = OWL_CLASS__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__REF_BY_UNION_CLASS = OWL_CLASS__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__INV_OWL_COMPLEMENT_OF = OWL_CLASS__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL On Property</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION__OWL_ON_PROPERTY = OWL_CLASS_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '<em>Restriction</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_RESTRICTION_FEATURE_COUNT = OWL_CLASS_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.PropertyImpl <em>Property</em>}' class. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.PropertyImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getProperty()
     * @generated
     */
    int PROPERTY = 5;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__LOCAL_NAME = RDFSPackage.RDF_PROPERTY__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__URI = RDFSPackage.RDF_PROPERTY__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__SUBJECT_STATEMENT = RDFSPackage.RDF_PROPERTY__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__OBJECT_STATEMENT = RDFSPackage.RDF_PROPERTY__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__RDFS_IS_DEFINED_BY = RDFSPackage.RDF_PROPERTY__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__RDF_VALUE = RDFSPackage.RDF_PROPERTY__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__RDFS_SEE_ALSO = RDFSPackage.RDF_PROPERTY__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__RDF_TYPE = RDFSPackage.RDF_PROPERTY__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__RDFS_MEMBER = RDFSPackage.RDF_PROPERTY__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__PREDICATE_STATEMENT = RDFSPackage.RDF_PROPERTY__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__RDFS_COMMENT = RDFSPackage.RDF_PROPERTY__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__RDFS_LABEL = RDFSPackage.RDF_PROPERTY__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__NAMESPACE = RDFSPackage.RDF_PROPERTY__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__REF_BY_RESTRICTION = RDFSPackage.RDF_PROPERTY__REF_BY_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Property Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__RDFS_SUB_PROPERTY_OF = RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF;

    /**
     * The feature id for the '<em><b>Sub Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__SUB_PROPERTY = RDFSPackage.RDF_PROPERTY__SUB_PROPERTY;

    /**
     * The feature id for the '<em><b>RDFS Domain</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__RDFS_DOMAIN = RDFSPackage.RDF_PROPERTY__RDFS_DOMAIN;

    /**
     * The feature id for the '<em><b>RDFS Range</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__RDFS_RANGE = RDFSPackage.RDF_PROPERTY__RDFS_RANGE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__DEPRECATED = RDFSPackage.RDF_PROPERTY_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Functional</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__FUNCTIONAL = RDFSPackage.RDF_PROPERTY_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>OWL Equivalent Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__OWL_EQUIVALENT_PROPERTY = RDFSPackage.RDF_PROPERTY_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY__INV_OWL_EQUIVALENT_PROPERTY = RDFSPackage.RDF_PROPERTY_FEATURE_COUNT + 3;

    /**
     * The number of structural features of the the '<em>Property</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int PROPERTY_FEATURE_COUNT = RDFSPackage.RDF_PROPERTY_FEATURE_COUNT + 4;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.OWLObjectPropertyImpl <em>Object Property</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.OWLObjectPropertyImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getOWLObjectProperty()
     * @generated
     */
    int OWL_OBJECT_PROPERTY = 4;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__LOCAL_NAME = PROPERTY__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__URI = PROPERTY__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__SUBJECT_STATEMENT = PROPERTY__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__OBJECT_STATEMENT = PROPERTY__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__RDFS_IS_DEFINED_BY = PROPERTY__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__RDF_VALUE = PROPERTY__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__RDFS_SEE_ALSO = PROPERTY__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__RDF_TYPE = PROPERTY__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__RDFS_MEMBER = PROPERTY__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__PREDICATE_STATEMENT = PROPERTY__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__RDFS_COMMENT = PROPERTY__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__RDFS_LABEL = PROPERTY__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__NAMESPACE = PROPERTY__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__REF_BY_RESTRICTION = PROPERTY__REF_BY_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Property Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__RDFS_SUB_PROPERTY_OF = PROPERTY__RDFS_SUB_PROPERTY_OF;

    /**
     * The feature id for the '<em><b>Sub Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__SUB_PROPERTY = PROPERTY__SUB_PROPERTY;

    /**
     * The feature id for the '<em><b>RDFS Domain</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__RDFS_DOMAIN = PROPERTY__RDFS_DOMAIN;

    /**
     * The feature id for the '<em><b>RDFS Range</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__RDFS_RANGE = PROPERTY__RDFS_RANGE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__DEPRECATED = PROPERTY__DEPRECATED;

    /**
     * The feature id for the '<em><b>Functional</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__FUNCTIONAL = PROPERTY__FUNCTIONAL;

    /**
     * The feature id for the '<em><b>OWL Equivalent Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__OWL_EQUIVALENT_PROPERTY = PROPERTY__OWL_EQUIVALENT_PROPERTY;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__INV_OWL_EQUIVALENT_PROPERTY = PROPERTY__INV_OWL_EQUIVALENT_PROPERTY;

    /**
     * The feature id for the '<em><b>Inverse Functional</b></em>'
     * attribute. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__INVERSE_FUNCTIONAL = PROPERTY_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Symmetric</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__SYMMETRIC = PROPERTY_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>Transitive</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__TRANSITIVE = PROPERTY_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>OWL Inverse Of</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__OWL_INVERSE_OF = PROPERTY_FEATURE_COUNT + 3;

    /**
     * The feature id for the '<em><b>Inv OWL Inverse Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY__INV_OWL_INVERSE_OF = PROPERTY_FEATURE_COUNT + 4;

    /**
     * The number of structural features of the the '<em>Object Property</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_OBJECT_PROPERTY_FEATURE_COUNT = PROPERTY_FEATURE_COUNT + 5;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.OWLDatatypePropertyImpl <em>Datatype Property</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.OWLDatatypePropertyImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getOWLDatatypeProperty()
     * @generated
     */
    int OWL_DATATYPE_PROPERTY = 22;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.IndividualImpl <em>Individual</em>}' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.IndividualImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getIndividual()
     * @generated
     */
    int INDIVIDUAL = 6;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__LOCAL_NAME = RDFSPackage.RDFS_RESOURCE__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__URI = RDFSPackage.RDFS_RESOURCE__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__SUBJECT_STATEMENT = RDFSPackage.RDFS_RESOURCE__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__OBJECT_STATEMENT = RDFSPackage.RDFS_RESOURCE__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__RDFS_IS_DEFINED_BY = RDFSPackage.RDFS_RESOURCE__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__RDF_VALUE = RDFSPackage.RDFS_RESOURCE__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__RDFS_SEE_ALSO = RDFSPackage.RDFS_RESOURCE__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__RDF_TYPE = RDFSPackage.RDFS_RESOURCE__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__RDFS_MEMBER = RDFSPackage.RDFS_RESOURCE__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__PREDICATE_STATEMENT = RDFSPackage.RDFS_RESOURCE__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__RDFS_COMMENT = RDFSPackage.RDFS_RESOURCE__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__RDFS_LABEL = RDFSPackage.RDFS_RESOURCE__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__NAMESPACE = RDFSPackage.RDFS_RESOURCE__NAMESPACE;

    /**
     * The feature id for the '<em><b>OWL Different From</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__OWL_DIFFERENT_FROM = RDFSPackage.RDFS_RESOURCE_FEATURE_COUNT + 0;

    /**
     * The feature id for the '<em><b>Inv OWL Different From</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__INV_OWL_DIFFERENT_FROM = RDFSPackage.RDFS_RESOURCE_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>Ref By OWL Distinct Members</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__REF_BY_OWL_DISTINCT_MEMBERS = RDFSPackage.RDFS_RESOURCE_FEATURE_COUNT + 2;

    /**
     * The feature id for the '<em><b>OWL Same As</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__OWL_SAME_AS = RDFSPackage.RDFS_RESOURCE_FEATURE_COUNT + 3;

    /**
     * The feature id for the '<em><b>Inv OWL Same As</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__INV_OWL_SAME_AS = RDFSPackage.RDFS_RESOURCE_FEATURE_COUNT + 4;

    /**
     * The feature id for the '<em><b>Datatype Slot</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__DATATYPE_SLOT = RDFSPackage.RDFS_RESOURCE_FEATURE_COUNT + 5;

    /**
     * The feature id for the '<em><b>Object Slot</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL__OBJECT_SLOT = RDFSPackage.RDFS_RESOURCE_FEATURE_COUNT + 6;

    /**
     * The number of structural features of the the '<em>Individual</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INDIVIDUAL_FEATURE_COUNT = RDFSPackage.RDFS_RESOURCE_FEATURE_COUNT + 7;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.OWLAllDifferentImpl <em>All Different</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.OWLAllDifferentImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getOWLAllDifferent()
     * @generated
     */
    int OWL_ALL_DIFFERENT = 7;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__LOCAL_NAME = RDFSPackage.RDFS_RESOURCE__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__URI = RDFSPackage.RDFS_RESOURCE__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__SUBJECT_STATEMENT = RDFSPackage.RDFS_RESOURCE__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__OBJECT_STATEMENT = RDFSPackage.RDFS_RESOURCE__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__RDFS_IS_DEFINED_BY = RDFSPackage.RDFS_RESOURCE__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__RDF_VALUE = RDFSPackage.RDFS_RESOURCE__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__RDFS_SEE_ALSO = RDFSPackage.RDFS_RESOURCE__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__RDF_TYPE = RDFSPackage.RDFS_RESOURCE__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__RDFS_MEMBER = RDFSPackage.RDFS_RESOURCE__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__PREDICATE_STATEMENT = RDFSPackage.RDFS_RESOURCE__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__RDFS_COMMENT = RDFSPackage.RDFS_RESOURCE__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__RDFS_LABEL = RDFSPackage.RDFS_RESOURCE__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__NAMESPACE = RDFSPackage.RDFS_RESOURCE__NAMESPACE;

    /**
     * The feature id for the '<em><b>OWL Distinct Members</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT__OWL_DISTINCT_MEMBERS = RDFSPackage.RDFS_RESOURCE_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '<em>All Different</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ALL_DIFFERENT_FEATURE_COUNT = RDFSPackage.RDFS_RESOURCE_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.OWLDataRangeImpl <em>Data Range</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.OWLDataRangeImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getOWLDataRange()
     * @generated
     */
    int OWL_DATA_RANGE = 8;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__LOCAL_NAME = RDFSPackage.RDFS_CLASS__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__URI = RDFSPackage.RDFS_CLASS__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__SUBJECT_STATEMENT = RDFSPackage.RDFS_CLASS__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__OBJECT_STATEMENT = RDFSPackage.RDFS_CLASS__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__RDFS_IS_DEFINED_BY = RDFSPackage.RDFS_CLASS__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__RDF_VALUE = RDFSPackage.RDFS_CLASS__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__RDFS_SEE_ALSO = RDFSPackage.RDFS_CLASS__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__RDF_TYPE = RDFSPackage.RDFS_CLASS__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__RDFS_MEMBER = RDFSPackage.RDFS_CLASS__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__PREDICATE_STATEMENT = RDFSPackage.RDFS_CLASS__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__RDFS_COMMENT = RDFSPackage.RDFS_CLASS__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__RDFS_LABEL = RDFSPackage.RDFS_CLASS__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__NAMESPACE = RDFSPackage.RDFS_CLASS__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__REF_BY_AVF_RESTRICTION = RDFSPackage.RDFS_CLASS__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__REF_BY_SVF_RESTRICTION = RDFSPackage.RDFS_CLASS__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__RDFS_SUB_CLASS_OF = RDFSPackage.RDFS_CLASS__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__SUB_CLASS = RDFSPackage.RDFS_CLASS__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__OWNED_PROPERTY = RDFSPackage.RDFS_CLASS__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__RANGED_BY_PROPERTY = RDFSPackage.RDFS_CLASS__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__INSTANCE = RDFSPackage.RDFS_CLASS__INSTANCE;

    /**
     * The feature id for the '<em><b>OWL One Of</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE__OWL_ONE_OF = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '<em>Data Range</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATA_RANGE_FEATURE_COUNT = RDFSPackage.RDFS_CLASS_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.OWLAnnotationPropertyImpl <em>Annotation Property</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.OWLAnnotationPropertyImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getOWLAnnotationProperty()
     * @generated
     */
    int OWL_ANNOTATION_PROPERTY = 9;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__LOCAL_NAME = RDFSPackage.RDF_PROPERTY__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__URI = RDFSPackage.RDF_PROPERTY__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__SUBJECT_STATEMENT = RDFSPackage.RDF_PROPERTY__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__OBJECT_STATEMENT = RDFSPackage.RDF_PROPERTY__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__RDFS_IS_DEFINED_BY = RDFSPackage.RDF_PROPERTY__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__RDF_VALUE = RDFSPackage.RDF_PROPERTY__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__RDFS_SEE_ALSO = RDFSPackage.RDF_PROPERTY__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__RDF_TYPE = RDFSPackage.RDF_PROPERTY__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__RDFS_MEMBER = RDFSPackage.RDF_PROPERTY__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__PREDICATE_STATEMENT = RDFSPackage.RDF_PROPERTY__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__RDFS_COMMENT = RDFSPackage.RDF_PROPERTY__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__RDFS_LABEL = RDFSPackage.RDF_PROPERTY__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__NAMESPACE = RDFSPackage.RDF_PROPERTY__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__REF_BY_RESTRICTION = RDFSPackage.RDF_PROPERTY__REF_BY_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Property Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__RDFS_SUB_PROPERTY_OF = RDFSPackage.RDF_PROPERTY__RDFS_SUB_PROPERTY_OF;

    /**
     * The feature id for the '<em><b>Sub Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__SUB_PROPERTY = RDFSPackage.RDF_PROPERTY__SUB_PROPERTY;

    /**
     * The feature id for the '<em><b>RDFS Domain</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__RDFS_DOMAIN = RDFSPackage.RDF_PROPERTY__RDFS_DOMAIN;

    /**
     * The feature id for the '<em><b>RDFS Range</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY__RDFS_RANGE = RDFSPackage.RDF_PROPERTY__RDFS_RANGE;

    /**
     * The number of structural features of the the '
     * <em>Annotation Property</em>' class. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_ANNOTATION_PROPERTY_FEATURE_COUNT = RDFSPackage.RDF_PROPERTY_FEATURE_COUNT + 0;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.DatatypeSlotImpl <em>Datatype Slot</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.DatatypeSlotImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getDatatypeSlot()
     * @generated
     */
    int DATATYPE_SLOT = 10;

    /**
     * The feature id for the '<em><b>Individual</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int DATATYPE_SLOT__INDIVIDUAL = 0;

    /**
     * The feature id for the '<em><b>Content</b></em>' containment
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int DATATYPE_SLOT__CONTENT = 1;

    /**
     * The feature id for the '<em><b>Property</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int DATATYPE_SLOT__PROPERTY = 2;

    /**
     * The number of structural features of the the '<em>Datatype Slot</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int DATATYPE_SLOT_FEATURE_COUNT = 3;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.ObjectSlotImpl <em>Object Slot</em>}' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.ObjectSlotImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getObjectSlot()
     * @generated
     */
    int OBJECT_SLOT = 11;

    /**
     * The feature id for the '<em><b>Individual</b></em>' container
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OBJECT_SLOT__INDIVIDUAL = 0;

    /**
     * The feature id for the '<em><b>Content</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OBJECT_SLOT__CONTENT = 1;

    /**
     * The feature id for the '<em><b>Property</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OBJECT_SLOT__PROPERTY = 2;

    /**
     * The number of structural features of the the '<em>Object Slot</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OBJECT_SLOT_FEATURE_COUNT = 3;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.EnumeratedClassImpl <em>Enumerated Class</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.EnumeratedClassImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getEnumeratedClass()
     * @generated
     */
    int ENUMERATED_CLASS = 12;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__LOCAL_NAME = OWL_CLASS__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__URI = OWL_CLASS__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__SUBJECT_STATEMENT = OWL_CLASS__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__OBJECT_STATEMENT = OWL_CLASS__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__RDFS_IS_DEFINED_BY = OWL_CLASS__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__RDF_VALUE = OWL_CLASS__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__RDFS_SEE_ALSO = OWL_CLASS__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__RDF_TYPE = OWL_CLASS__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__RDFS_MEMBER = OWL_CLASS__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__PREDICATE_STATEMENT = OWL_CLASS__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__RDFS_COMMENT = OWL_CLASS__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__RDFS_LABEL = OWL_CLASS__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__NAMESPACE = OWL_CLASS__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__REF_BY_AVF_RESTRICTION = OWL_CLASS__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__REF_BY_SVF_RESTRICTION = OWL_CLASS__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__RDFS_SUB_CLASS_OF = OWL_CLASS__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__SUB_CLASS = OWL_CLASS__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__OWNED_PROPERTY = OWL_CLASS__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__RANGED_BY_PROPERTY = OWL_CLASS__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__INSTANCE = OWL_CLASS__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__DEPRECATED = OWL_CLASS__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__INV_OWL_EQUIVALENT_CLASS = OWL_CLASS__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__OWL_EQUIVALENT_CLASS = OWL_CLASS__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__OWL_DISJOINT_WITH = OWL_CLASS__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__INV_OWL_DISJOINT_WITH = OWL_CLASS__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__REF_BY_INTERSECTION_CLASS = OWL_CLASS__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__REF_BY_UNION_CLASS = OWL_CLASS__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__INV_OWL_COMPLEMENT_OF = OWL_CLASS__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL One Of</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS__OWL_ONE_OF = OWL_CLASS_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '<em>Enumerated Class</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ENUMERATED_CLASS_FEATURE_COUNT = OWL_CLASS_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.IntersectionClassImpl <em>Intersection Class</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.IntersectionClassImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getIntersectionClass()
     * @generated
     */
    int INTERSECTION_CLASS = 13;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__LOCAL_NAME = OWL_CLASS__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__URI = OWL_CLASS__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__SUBJECT_STATEMENT = OWL_CLASS__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__OBJECT_STATEMENT = OWL_CLASS__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__RDFS_IS_DEFINED_BY = OWL_CLASS__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__RDF_VALUE = OWL_CLASS__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__RDFS_SEE_ALSO = OWL_CLASS__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__RDF_TYPE = OWL_CLASS__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__RDFS_MEMBER = OWL_CLASS__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__PREDICATE_STATEMENT = OWL_CLASS__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__RDFS_COMMENT = OWL_CLASS__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__RDFS_LABEL = OWL_CLASS__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__NAMESPACE = OWL_CLASS__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__REF_BY_AVF_RESTRICTION = OWL_CLASS__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__REF_BY_SVF_RESTRICTION = OWL_CLASS__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__RDFS_SUB_CLASS_OF = OWL_CLASS__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__SUB_CLASS = OWL_CLASS__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__OWNED_PROPERTY = OWL_CLASS__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__RANGED_BY_PROPERTY = OWL_CLASS__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__INSTANCE = OWL_CLASS__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__DEPRECATED = OWL_CLASS__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__INV_OWL_EQUIVALENT_CLASS = OWL_CLASS__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__OWL_EQUIVALENT_CLASS = OWL_CLASS__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__OWL_DISJOINT_WITH = OWL_CLASS__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__INV_OWL_DISJOINT_WITH = OWL_CLASS__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__REF_BY_INTERSECTION_CLASS = OWL_CLASS__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__REF_BY_UNION_CLASS = OWL_CLASS__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__INV_OWL_COMPLEMENT_OF = OWL_CLASS__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL Intersection Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS__OWL_INTERSECTION_OF = OWL_CLASS_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '
     * <em>Intersection Class</em>' class. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int INTERSECTION_CLASS_FEATURE_COUNT = OWL_CLASS_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.UnionClassImpl <em>Union Class</em>}' class.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.UnionClassImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getUnionClass()
     * @generated
     */
    int UNION_CLASS = 14;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__LOCAL_NAME = OWL_CLASS__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__URI = OWL_CLASS__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__SUBJECT_STATEMENT = OWL_CLASS__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__OBJECT_STATEMENT = OWL_CLASS__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__RDFS_IS_DEFINED_BY = OWL_CLASS__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__RDF_VALUE = OWL_CLASS__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__RDFS_SEE_ALSO = OWL_CLASS__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__RDF_TYPE = OWL_CLASS__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__RDFS_MEMBER = OWL_CLASS__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__PREDICATE_STATEMENT = OWL_CLASS__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__RDFS_COMMENT = OWL_CLASS__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__RDFS_LABEL = OWL_CLASS__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__NAMESPACE = OWL_CLASS__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__REF_BY_AVF_RESTRICTION = OWL_CLASS__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__REF_BY_SVF_RESTRICTION = OWL_CLASS__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__RDFS_SUB_CLASS_OF = OWL_CLASS__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__SUB_CLASS = OWL_CLASS__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__OWNED_PROPERTY = OWL_CLASS__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__RANGED_BY_PROPERTY = OWL_CLASS__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__INSTANCE = OWL_CLASS__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__DEPRECATED = OWL_CLASS__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__INV_OWL_EQUIVALENT_CLASS = OWL_CLASS__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__OWL_EQUIVALENT_CLASS = OWL_CLASS__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__OWL_DISJOINT_WITH = OWL_CLASS__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__INV_OWL_DISJOINT_WITH = OWL_CLASS__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__REF_BY_INTERSECTION_CLASS = OWL_CLASS__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__REF_BY_UNION_CLASS = OWL_CLASS__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__INV_OWL_COMPLEMENT_OF = OWL_CLASS__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL Union Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS__OWL_UNION_OF = OWL_CLASS_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '<em>Union Class</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int UNION_CLASS_FEATURE_COUNT = OWL_CLASS_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.HasValueRestrictionImpl <em>Has Value Restriction</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.HasValueRestrictionImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getHasValueRestriction()
     * @generated
     */
    int HAS_VALUE_RESTRICTION = 15;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__LOCAL_NAME = OWL_RESTRICTION__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__URI = OWL_RESTRICTION__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__SUBJECT_STATEMENT = OWL_RESTRICTION__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__OBJECT_STATEMENT = OWL_RESTRICTION__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__RDFS_IS_DEFINED_BY = OWL_RESTRICTION__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__RDF_VALUE = OWL_RESTRICTION__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__RDFS_SEE_ALSO = OWL_RESTRICTION__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__RDF_TYPE = OWL_RESTRICTION__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__RDFS_MEMBER = OWL_RESTRICTION__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__PREDICATE_STATEMENT = OWL_RESTRICTION__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__RDFS_COMMENT = OWL_RESTRICTION__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__RDFS_LABEL = OWL_RESTRICTION__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__NAMESPACE = OWL_RESTRICTION__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__REF_BY_AVF_RESTRICTION = OWL_RESTRICTION__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__REF_BY_SVF_RESTRICTION = OWL_RESTRICTION__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__RDFS_SUB_CLASS_OF = OWL_RESTRICTION__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__SUB_CLASS = OWL_RESTRICTION__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__OWNED_PROPERTY = OWL_RESTRICTION__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__RANGED_BY_PROPERTY = OWL_RESTRICTION__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__INSTANCE = OWL_RESTRICTION__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__DEPRECATED = OWL_RESTRICTION__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__INV_OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__OWL_DISJOINT_WITH = OWL_RESTRICTION__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__INV_OWL_DISJOINT_WITH = OWL_RESTRICTION__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__REF_BY_INTERSECTION_CLASS = OWL_RESTRICTION__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__REF_BY_UNION_CLASS = OWL_RESTRICTION__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__INV_OWL_COMPLEMENT_OF = OWL_RESTRICTION__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL On Property</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__OWL_ON_PROPERTY = OWL_RESTRICTION__OWL_ON_PROPERTY;

    /**
     * The feature id for the '<em><b>OWL Has Value</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION__OWL_HAS_VALUE = OWL_RESTRICTION_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '
     * <em>Has Value Restriction</em>' class. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int HAS_VALUE_RESTRICTION_FEATURE_COUNT = OWL_RESTRICTION_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.AllValuesFromRestrictionImpl <em>All Values From Restriction</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.AllValuesFromRestrictionImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getAllValuesFromRestriction()
     * @generated
     */
    int ALL_VALUES_FROM_RESTRICTION = 16;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__LOCAL_NAME = OWL_RESTRICTION__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__URI = OWL_RESTRICTION__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__SUBJECT_STATEMENT = OWL_RESTRICTION__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__OBJECT_STATEMENT = OWL_RESTRICTION__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__RDFS_IS_DEFINED_BY = OWL_RESTRICTION__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__RDF_VALUE = OWL_RESTRICTION__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__RDFS_SEE_ALSO = OWL_RESTRICTION__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__RDF_TYPE = OWL_RESTRICTION__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__RDFS_MEMBER = OWL_RESTRICTION__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__PREDICATE_STATEMENT = OWL_RESTRICTION__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__RDFS_COMMENT = OWL_RESTRICTION__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__RDFS_LABEL = OWL_RESTRICTION__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__NAMESPACE = OWL_RESTRICTION__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__REF_BY_AVF_RESTRICTION = OWL_RESTRICTION__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__REF_BY_SVF_RESTRICTION = OWL_RESTRICTION__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__RDFS_SUB_CLASS_OF = OWL_RESTRICTION__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__SUB_CLASS = OWL_RESTRICTION__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__OWNED_PROPERTY = OWL_RESTRICTION__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__RANGED_BY_PROPERTY = OWL_RESTRICTION__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__INSTANCE = OWL_RESTRICTION__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__DEPRECATED = OWL_RESTRICTION__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__INV_OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__OWL_DISJOINT_WITH = OWL_RESTRICTION__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__INV_OWL_DISJOINT_WITH = OWL_RESTRICTION__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__REF_BY_INTERSECTION_CLASS = OWL_RESTRICTION__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__REF_BY_UNION_CLASS = OWL_RESTRICTION__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__INV_OWL_COMPLEMENT_OF = OWL_RESTRICTION__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL On Property</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__OWL_ON_PROPERTY = OWL_RESTRICTION__OWL_ON_PROPERTY;

    /**
     * The feature id for the '<em><b>OWL All Values From</b></em>'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION__OWL_ALL_VALUES_FROM = OWL_RESTRICTION_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '
     * <em>All Values From Restriction</em>' class. <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int ALL_VALUES_FROM_RESTRICTION_FEATURE_COUNT = OWL_RESTRICTION_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.SomeValuesFromRestrictionImpl <em>Some Values From Restriction</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.SomeValuesFromRestrictionImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getSomeValuesFromRestriction()
     * @generated
     */
    int SOME_VALUES_FROM_RESTRICTION = 17;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__LOCAL_NAME = OWL_RESTRICTION__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__URI = OWL_RESTRICTION__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__SUBJECT_STATEMENT = OWL_RESTRICTION__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__OBJECT_STATEMENT = OWL_RESTRICTION__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__RDFS_IS_DEFINED_BY = OWL_RESTRICTION__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__RDF_VALUE = OWL_RESTRICTION__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__RDFS_SEE_ALSO = OWL_RESTRICTION__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__RDF_TYPE = OWL_RESTRICTION__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__RDFS_MEMBER = OWL_RESTRICTION__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__PREDICATE_STATEMENT = OWL_RESTRICTION__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__RDFS_COMMENT = OWL_RESTRICTION__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__RDFS_LABEL = OWL_RESTRICTION__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__NAMESPACE = OWL_RESTRICTION__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__REF_BY_AVF_RESTRICTION = OWL_RESTRICTION__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__REF_BY_SVF_RESTRICTION = OWL_RESTRICTION__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__RDFS_SUB_CLASS_OF = OWL_RESTRICTION__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__SUB_CLASS = OWL_RESTRICTION__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__OWNED_PROPERTY = OWL_RESTRICTION__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__RANGED_BY_PROPERTY = OWL_RESTRICTION__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__INSTANCE = OWL_RESTRICTION__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__DEPRECATED = OWL_RESTRICTION__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__INV_OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__OWL_DISJOINT_WITH = OWL_RESTRICTION__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__INV_OWL_DISJOINT_WITH = OWL_RESTRICTION__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__REF_BY_INTERSECTION_CLASS = OWL_RESTRICTION__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__REF_BY_UNION_CLASS = OWL_RESTRICTION__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__INV_OWL_COMPLEMENT_OF = OWL_RESTRICTION__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL On Property</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__OWL_ON_PROPERTY = OWL_RESTRICTION__OWL_ON_PROPERTY;

    /**
     * The feature id for the '<em><b>OWL Some Values From</b></em>'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION__OWL_SOME_VALUES_FROM = OWL_RESTRICTION_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '
     * <em>Some Values From Restriction</em>' class. <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int SOME_VALUES_FROM_RESTRICTION_FEATURE_COUNT = OWL_RESTRICTION_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.CardinalityRestrictionImpl <em>Cardinality Restriction</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.CardinalityRestrictionImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getCardinalityRestriction()
     * @generated
     */
    int CARDINALITY_RESTRICTION = 18;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__LOCAL_NAME = OWL_RESTRICTION__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__URI = OWL_RESTRICTION__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__SUBJECT_STATEMENT = OWL_RESTRICTION__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__OBJECT_STATEMENT = OWL_RESTRICTION__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__RDFS_IS_DEFINED_BY = OWL_RESTRICTION__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__RDF_VALUE = OWL_RESTRICTION__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__RDFS_SEE_ALSO = OWL_RESTRICTION__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__RDF_TYPE = OWL_RESTRICTION__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__RDFS_MEMBER = OWL_RESTRICTION__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__PREDICATE_STATEMENT = OWL_RESTRICTION__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__RDFS_COMMENT = OWL_RESTRICTION__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__RDFS_LABEL = OWL_RESTRICTION__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__NAMESPACE = OWL_RESTRICTION__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__REF_BY_AVF_RESTRICTION = OWL_RESTRICTION__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__REF_BY_SVF_RESTRICTION = OWL_RESTRICTION__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__RDFS_SUB_CLASS_OF = OWL_RESTRICTION__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__SUB_CLASS = OWL_RESTRICTION__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__OWNED_PROPERTY = OWL_RESTRICTION__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__RANGED_BY_PROPERTY = OWL_RESTRICTION__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__INSTANCE = OWL_RESTRICTION__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__DEPRECATED = OWL_RESTRICTION__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__INV_OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__OWL_DISJOINT_WITH = OWL_RESTRICTION__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__INV_OWL_DISJOINT_WITH = OWL_RESTRICTION__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__REF_BY_INTERSECTION_CLASS = OWL_RESTRICTION__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__REF_BY_UNION_CLASS = OWL_RESTRICTION__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__INV_OWL_COMPLEMENT_OF = OWL_RESTRICTION__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL On Property</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__OWL_ON_PROPERTY = OWL_RESTRICTION__OWL_ON_PROPERTY;

    /**
     * The feature id for the '<em><b>OWL Cardinality</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION__OWL_CARDINALITY = OWL_RESTRICTION_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '
     * <em>Cardinality Restriction</em>' class. <!-- begin-user-doc --> <!--
     * end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int CARDINALITY_RESTRICTION_FEATURE_COUNT = OWL_RESTRICTION_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.MaxCardinalityRestrictionImpl <em>Max Cardinality Restriction</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.MaxCardinalityRestrictionImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getMaxCardinalityRestriction()
     * @generated
     */
    int MAX_CARDINALITY_RESTRICTION = 19;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__LOCAL_NAME = OWL_RESTRICTION__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__URI = OWL_RESTRICTION__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__SUBJECT_STATEMENT = OWL_RESTRICTION__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__OBJECT_STATEMENT = OWL_RESTRICTION__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__RDFS_IS_DEFINED_BY = OWL_RESTRICTION__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__RDF_VALUE = OWL_RESTRICTION__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__RDFS_SEE_ALSO = OWL_RESTRICTION__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__RDF_TYPE = OWL_RESTRICTION__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__RDFS_MEMBER = OWL_RESTRICTION__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__PREDICATE_STATEMENT = OWL_RESTRICTION__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__RDFS_COMMENT = OWL_RESTRICTION__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__RDFS_LABEL = OWL_RESTRICTION__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__NAMESPACE = OWL_RESTRICTION__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__REF_BY_AVF_RESTRICTION = OWL_RESTRICTION__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__REF_BY_SVF_RESTRICTION = OWL_RESTRICTION__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__RDFS_SUB_CLASS_OF = OWL_RESTRICTION__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__SUB_CLASS = OWL_RESTRICTION__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__OWNED_PROPERTY = OWL_RESTRICTION__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__RANGED_BY_PROPERTY = OWL_RESTRICTION__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__INSTANCE = OWL_RESTRICTION__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__DEPRECATED = OWL_RESTRICTION__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__INV_OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__OWL_DISJOINT_WITH = OWL_RESTRICTION__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__INV_OWL_DISJOINT_WITH = OWL_RESTRICTION__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__REF_BY_INTERSECTION_CLASS = OWL_RESTRICTION__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__REF_BY_UNION_CLASS = OWL_RESTRICTION__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__INV_OWL_COMPLEMENT_OF = OWL_RESTRICTION__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL On Property</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__OWL_ON_PROPERTY = OWL_RESTRICTION__OWL_ON_PROPERTY;

    /**
     * The feature id for the '<em><b>OWL Max Cardinality</b></em>'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION__OWL_MAX_CARDINALITY = OWL_RESTRICTION_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '
     * <em>Max Cardinality Restriction</em>' class. <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MAX_CARDINALITY_RESTRICTION_FEATURE_COUNT = OWL_RESTRICTION_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.MinCardinalityRestrictionImpl <em>Min Cardinality Restriction</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.MinCardinalityRestrictionImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getMinCardinalityRestriction()
     * @generated
     */
    int MIN_CARDINALITY_RESTRICTION = 20;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__LOCAL_NAME = OWL_RESTRICTION__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__URI = OWL_RESTRICTION__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__SUBJECT_STATEMENT = OWL_RESTRICTION__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__OBJECT_STATEMENT = OWL_RESTRICTION__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__RDFS_IS_DEFINED_BY = OWL_RESTRICTION__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__RDF_VALUE = OWL_RESTRICTION__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__RDFS_SEE_ALSO = OWL_RESTRICTION__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__RDF_TYPE = OWL_RESTRICTION__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__RDFS_MEMBER = OWL_RESTRICTION__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__PREDICATE_STATEMENT = OWL_RESTRICTION__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__RDFS_COMMENT = OWL_RESTRICTION__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__RDFS_LABEL = OWL_RESTRICTION__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__NAMESPACE = OWL_RESTRICTION__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__REF_BY_AVF_RESTRICTION = OWL_RESTRICTION__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__REF_BY_SVF_RESTRICTION = OWL_RESTRICTION__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__RDFS_SUB_CLASS_OF = OWL_RESTRICTION__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__SUB_CLASS = OWL_RESTRICTION__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__OWNED_PROPERTY = OWL_RESTRICTION__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__RANGED_BY_PROPERTY = OWL_RESTRICTION__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__INSTANCE = OWL_RESTRICTION__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__DEPRECATED = OWL_RESTRICTION__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__INV_OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__OWL_EQUIVALENT_CLASS = OWL_RESTRICTION__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__OWL_DISJOINT_WITH = OWL_RESTRICTION__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__INV_OWL_DISJOINT_WITH = OWL_RESTRICTION__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__REF_BY_INTERSECTION_CLASS = OWL_RESTRICTION__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__REF_BY_UNION_CLASS = OWL_RESTRICTION__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__INV_OWL_COMPLEMENT_OF = OWL_RESTRICTION__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL On Property</b></em>' reference.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__OWL_ON_PROPERTY = OWL_RESTRICTION__OWL_ON_PROPERTY;

    /**
     * The feature id for the '<em><b>OWL Min Cardinality</b></em>'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION__OWL_MIN_CARDINALITY = OWL_RESTRICTION_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '
     * <em>Min Cardinality Restriction</em>' class. <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int MIN_CARDINALITY_RESTRICTION_FEATURE_COUNT = OWL_RESTRICTION_FEATURE_COUNT + 1;

    /**
     * The meta object id for the '
     * {@link org.eclipse.owl.impl.ComplementClassImpl <em>Complement Class</em>}'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @see org.eclipse.eodm.owl.impl.ComplementClassImpl
     * @see org.eclipse.eodm.owl.impl.OWLPackageImpl#getComplementClass()
     * @generated
     */
    int COMPLEMENT_CLASS = 21;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__LOCAL_NAME = OWL_CLASS__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__URI = OWL_CLASS__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__SUBJECT_STATEMENT = OWL_CLASS__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__OBJECT_STATEMENT = OWL_CLASS__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__RDFS_IS_DEFINED_BY = OWL_CLASS__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__RDF_VALUE = OWL_CLASS__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__RDFS_SEE_ALSO = OWL_CLASS__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__RDF_TYPE = OWL_CLASS__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__RDFS_MEMBER = OWL_CLASS__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__PREDICATE_STATEMENT = OWL_CLASS__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__RDFS_COMMENT = OWL_CLASS__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__RDFS_LABEL = OWL_CLASS__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__NAMESPACE = OWL_CLASS__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By AVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__REF_BY_AVF_RESTRICTION = OWL_CLASS__REF_BY_AVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>Ref By SVF Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__REF_BY_SVF_RESTRICTION = OWL_CLASS__REF_BY_SVF_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Class Of</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__RDFS_SUB_CLASS_OF = OWL_CLASS__RDFS_SUB_CLASS_OF;

    /**
     * The feature id for the '<em><b>Sub Class</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__SUB_CLASS = OWL_CLASS__SUB_CLASS;

    /**
     * The feature id for the '<em><b>Owned Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__OWNED_PROPERTY = OWL_CLASS__OWNED_PROPERTY;

    /**
     * The feature id for the '<em><b>Ranged By Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__RANGED_BY_PROPERTY = OWL_CLASS__RANGED_BY_PROPERTY;

    /**
     * The feature id for the '<em><b>Instance</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__INSTANCE = OWL_CLASS__INSTANCE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__DEPRECATED = OWL_CLASS__DEPRECATED;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__INV_OWL_EQUIVALENT_CLASS = OWL_CLASS__INV_OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Equivalent Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__OWL_EQUIVALENT_CLASS = OWL_CLASS__OWL_EQUIVALENT_CLASS;

    /**
     * The feature id for the '<em><b>OWL Disjoint With</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__OWL_DISJOINT_WITH = OWL_CLASS__OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Inv OWL Disjoint With</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__INV_OWL_DISJOINT_WITH = OWL_CLASS__INV_OWL_DISJOINT_WITH;

    /**
     * The feature id for the '<em><b>Ref By Intersection Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__REF_BY_INTERSECTION_CLASS = OWL_CLASS__REF_BY_INTERSECTION_CLASS;

    /**
     * The feature id for the '<em><b>Ref By Union Class</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__REF_BY_UNION_CLASS = OWL_CLASS__REF_BY_UNION_CLASS;

    /**
     * The feature id for the '<em><b>Inv OWL Complement Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__INV_OWL_COMPLEMENT_OF = OWL_CLASS__INV_OWL_COMPLEMENT_OF;

    /**
     * The feature id for the '<em><b>OWL Complement Of</b></em>'
     * reference. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS__OWL_COMPLEMENT_OF = OWL_CLASS_FEATURE_COUNT + 0;

    /**
     * The number of structural features of the the '<em>Complement Class</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int COMPLEMENT_CLASS_FEATURE_COUNT = OWL_CLASS_FEATURE_COUNT + 1;

    /**
     * The feature id for the '<em><b>Local Name</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__LOCAL_NAME = PROPERTY__LOCAL_NAME;

    /**
     * The feature id for the '<em><b>URI</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__URI = PROPERTY__URI;

    /**
     * The feature id for the '<em><b>Subject Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__SUBJECT_STATEMENT = PROPERTY__SUBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>Object Statement</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__OBJECT_STATEMENT = PROPERTY__OBJECT_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Is Defined By</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__RDFS_IS_DEFINED_BY = PROPERTY__RDFS_IS_DEFINED_BY;

    /**
     * The feature id for the '<em><b>RDF Value</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__RDF_VALUE = PROPERTY__RDF_VALUE;

    /**
     * The feature id for the '<em><b>RDFS See Also</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__RDFS_SEE_ALSO = PROPERTY__RDFS_SEE_ALSO;

    /**
     * The feature id for the '<em><b>RDF Type</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__RDF_TYPE = PROPERTY__RDF_TYPE;

    /**
     * The feature id for the '<em><b>RDFS Member</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__RDFS_MEMBER = PROPERTY__RDFS_MEMBER;

    /**
     * The feature id for the '<em><b>Predicate Statement</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__PREDICATE_STATEMENT = PROPERTY__PREDICATE_STATEMENT;

    /**
     * The feature id for the '<em><b>RDFS Comment</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__RDFS_COMMENT = PROPERTY__RDFS_COMMENT;

    /**
     * The feature id for the '<em><b>RDFS Label</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__RDFS_LABEL = PROPERTY__RDFS_LABEL;

    /**
     * The feature id for the '<em><b>Namespace</b></em>' reference. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__NAMESPACE = PROPERTY__NAMESPACE;

    /**
     * The feature id for the '<em><b>Ref By Restriction</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__REF_BY_RESTRICTION = PROPERTY__REF_BY_RESTRICTION;

    /**
     * The feature id for the '<em><b>RDFS Sub Property Of</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__RDFS_SUB_PROPERTY_OF = PROPERTY__RDFS_SUB_PROPERTY_OF;

    /**
     * The feature id for the '<em><b>Sub Property</b></em>' reference
     * list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__SUB_PROPERTY = PROPERTY__SUB_PROPERTY;

    /**
     * The feature id for the '<em><b>RDFS Domain</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__RDFS_DOMAIN = PROPERTY__RDFS_DOMAIN;

    /**
     * The feature id for the '<em><b>RDFS Range</b></em>' reference list.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__RDFS_RANGE = PROPERTY__RDFS_RANGE;

    /**
     * The feature id for the '<em><b>Deprecated</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__DEPRECATED = PROPERTY__DEPRECATED;

    /**
     * The feature id for the '<em><b>Functional</b></em>' attribute. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__FUNCTIONAL = PROPERTY__FUNCTIONAL;

    /**
     * The feature id for the '<em><b>OWL Equivalent Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__OWL_EQUIVALENT_PROPERTY = PROPERTY__OWL_EQUIVALENT_PROPERTY;

    /**
     * The feature id for the '<em><b>Inv OWL Equivalent Property</b></em>'
     * reference list. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY__INV_OWL_EQUIVALENT_PROPERTY = PROPERTY__INV_OWL_EQUIVALENT_PROPERTY;

    /**
     * The number of structural features of the the '<em>Datatype Property</em>'
     * class. <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @generated
     * @ordered
     */
    int OWL_DATATYPE_PROPERTY_FEATURE_COUNT = PROPERTY_FEATURE_COUNT + 0;

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.OWLOntology <em>Ontology</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Ontology</em>'.
     * @see org.eclipse.eodm.owl.OWLOntology
     * @generated
     */
    EClass getOWLOntology();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLOntology#getOWLBackwardCompatibleWith <em>OWL Backward Compatible With</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>OWL Backward Compatible With</em>'.
     * @see org.eclipse.eodm.owl.OWLOntology#getOWLBackwardCompatibleWith()
     * @see #getOWLOntology()
     * @generated
     */
    EReference getOWLOntology_OWLBackwardCompatibleWith();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLOntology#getOWLImports <em>OWL Imports</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '<em>OWL Imports</em>'.
     * @see org.eclipse.eodm.owl.OWLOntology#getOWLImports()
     * @see #getOWLOntology()
     * @generated
     */
    EReference getOWLOntology_OWLImports();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLOntology#getOWLIncompatibleWith <em>OWL Incompatible With</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>OWL Incompatible With</em>'.
     * @see org.eclipse.eodm.owl.OWLOntology#getOWLIncompatibleWith()
     * @see #getOWLOntology()
     * @generated
     */
    EReference getOWLOntology_OWLIncompatibleWith();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLOntology#getOWLPriorVersion <em>OWL Prior Version</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>OWL Prior Version</em>'.
     * @see org.eclipse.eodm.owl.OWLOntology#getOWLPriorVersion()
     * @see #getOWLOntology()
     * @generated
     */
    EReference getOWLOntology_OWLPriorVersion();

    /**
     * Returns the meta object for the containment reference list '
     * {@link org.eclipse.eodm.owl.OWLOntology#getOWLVersionInfo <em>OWL Version Info</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the containment reference list '
     *         <em>OWL Version Info</em>'.
     * @see org.eclipse.eodm.owl.OWLOntology#getOWLVersionInfo()
     * @see #getOWLOntology()
     * @generated
     */
    EReference getOWLOntology_OWLVersionInfo();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.OWLOntologyProperty <em>Ontology Property</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Ontology Property</em>'.
     * @see org.eclipse.eodm.owl.OWLOntologyProperty
     * @generated
     */
    EClass getOWLOntologyProperty();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.OWLClass <em>Class</em>}'. <!-- begin-user-doc
     * --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Class</em>'.
     * @see org.eclipse.eodm.owl.OWLClass
     * @generated
     */
    EClass getOWLClass();

    /**
     * Returns the meta object for the attribute '
     * {@link org.eclipse.eodm.owl.OWLClass#getDeprecated <em>Deprecated</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Deprecated</em>'.
     * @see org.eclipse.eodm.owl.OWLClass#getDeprecated()
     * @see #getOWLClass()
     * @generated
     */
    EAttribute getOWLClass_Deprecated();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLClass#getInvOWLEquivalentClass <em>Inv OWL Equivalent Class</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>Inv OWL Equivalent Class</em>'.
     * @see org.eclipse.eodm.owl.OWLClass#getInvOWLEquivalentClass()
     * @see #getOWLClass()
     * @generated
     */
    EReference getOWLClass_InvOWLEquivalentClass();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLClass#getOWLEquivalentClass <em>OWL Equivalent Class</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>OWL Equivalent Class</em>'.
     * @see org.eclipse.eodm.owl.OWLClass#getOWLEquivalentClass()
     * @see #getOWLClass()
     * @generated
     */
    EReference getOWLClass_OWLEquivalentClass();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLClass#getOWLDisjointWith <em>OWL Disjoint With</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>OWL Disjoint With</em>'.
     * @see org.eclipse.eodm.owl.OWLClass#getOWLDisjointWith()
     * @see #getOWLClass()
     * @generated
     */
    EReference getOWLClass_OWLDisjointWith();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLClass#getInvOWLDisjointWith <em>Inv OWL Disjoint With</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>Inv OWL Disjoint With</em>'.
     * @see org.eclipse.eodm.owl.OWLClass#getInvOWLDisjointWith()
     * @see #getOWLClass()
     * @generated
     */
    EReference getOWLClass_InvOWLDisjointWith();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLClass#getRefByIntersectionClass <em>Ref By Intersection Class</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>Ref By Intersection Class</em>'.
     * @see org.eclipse.eodm.owl.OWLClass#getRefByIntersectionClass()
     * @see #getOWLClass()
     * @generated
     */
    EReference getOWLClass_RefByIntersectionClass();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLClass#getRefByUnionClass <em>Ref By Union Class</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>Ref By Union Class</em>'.
     * @see org.eclipse.eodm.owl.OWLClass#getRefByUnionClass()
     * @see #getOWLClass()
     * @generated
     */
    EReference getOWLClass_RefByUnionClass();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLClass#getInvOWLComplementOf <em>Inv OWL Complement Of</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>Inv OWL Complement Of</em>'.
     * @see org.eclipse.eodm.owl.OWLClass#getInvOWLComplementOf()
     * @see #getOWLClass()
     * @generated
     */
    EReference getOWLClass_InvOWLComplementOf();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.OWLRestriction <em>Restriction</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Restriction</em>'.
     * @see org.eclipse.eodm.owl.OWLRestriction
     * @generated
     */
    EClass getOWLRestriction();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.OWLRestriction#getOWLOnProperty <em>OWL On Property</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>OWL On Property</em>'.
     * @see org.eclipse.eodm.owl.OWLRestriction#getOWLOnProperty()
     * @see #getOWLRestriction()
     * @generated
     */
    EReference getOWLRestriction_OWLOnProperty();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.OWLObjectProperty <em>Object Property</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Object Property</em>'.
     * @see org.eclipse.eodm.owl.OWLObjectProperty
     * @generated
     */
    EClass getOWLObjectProperty();

    /**
     * Returns the meta object for the attribute '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getInverseFunctional <em>Inverse Functional</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Inverse Functional</em>'.
     * @see org.eclipse.eodm.owl.OWLObjectProperty#getInverseFunctional()
     * @see #getOWLObjectProperty()
     * @generated
     */
    EAttribute getOWLObjectProperty_InverseFunctional();

    /**
     * Returns the meta object for the attribute '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getSymmetric <em>Symmetric</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Symmetric</em>'.
     * @see org.eclipse.eodm.owl.OWLObjectProperty#getSymmetric()
     * @see #getOWLObjectProperty()
     * @generated
     */
    EAttribute getOWLObjectProperty_Symmetric();

    /**
     * Returns the meta object for the attribute '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getTransitive <em>Transitive</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Transitive</em>'.
     * @see org.eclipse.eodm.owl.OWLObjectProperty#getTransitive()
     * @see #getOWLObjectProperty()
     * @generated
     */
    EAttribute getOWLObjectProperty_Transitive();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getOWLInverseOf <em>OWL Inverse Of</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>OWL Inverse Of</em>'.
     * @see org.eclipse.eodm.owl.OWLObjectProperty#getOWLInverseOf()
     * @see #getOWLObjectProperty()
     * @generated
     */
    EReference getOWLObjectProperty_OWLInverseOf();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLObjectProperty#getInvOWLInverseOf <em>Inv OWL Inverse Of</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>Inv OWL Inverse Of</em>'.
     * @see org.eclipse.eodm.owl.OWLObjectProperty#getInvOWLInverseOf()
     * @see #getOWLObjectProperty()
     * @generated
     */
    EReference getOWLObjectProperty_InvOWLInverseOf();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.Property <em>Property</em>}'. <!-- begin-user-doc
     * --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Property</em>'.
     * @see org.eclipse.eodm.owl.Property
     * @generated
     */
    EClass getProperty();

    /**
     * Returns the meta object for the attribute '
     * {@link org.eclipse.eodm.owl.Property#getDeprecated <em>Deprecated</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Deprecated</em>'.
     * @see org.eclipse.eodm.owl.Property#getDeprecated()
     * @see #getProperty()
     * @generated
     */
    EAttribute getProperty_Deprecated();

    /**
     * Returns the meta object for the attribute '
     * {@link org.eclipse.eodm.owl.Property#getFunctional <em>Functional</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the attribute '<em>Functional</em>'.
     * @see org.eclipse.eodm.owl.Property#getFunctional()
     * @see #getProperty()
     * @generated
     */
    EAttribute getProperty_Functional();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.Property#getOWLEquivalentProperty <em>OWL Equivalent Property</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>OWL Equivalent Property</em>'.
     * @see org.eclipse.eodm.owl.Property#getOWLEquivalentProperty()
     * @see #getProperty()
     * @generated
     */
    EReference getProperty_OWLEquivalentProperty();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.Property#getInvOWLEquivalentProperty <em>Inv OWL Equivalent Property</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>Inv OWL Equivalent Property</em>'.
     * @see org.eclipse.eodm.owl.Property#getInvOWLEquivalentProperty()
     * @see #getProperty()
     * @generated
     */
    EReference getProperty_InvOWLEquivalentProperty();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.OWLDatatypeProperty <em>Datatype Property</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Datatype Property</em>'.
     * @see org.eclipse.eodm.owl.OWLDatatypeProperty
     * @generated
     */
    EClass getOWLDatatypeProperty();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.Individual <em>Individual</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Individual</em>'.
     * @see org.eclipse.eodm.owl.Individual
     * @generated
     */
    EClass getIndividual();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.Individual#getOWLDifferentFrom <em>OWL Different From</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>OWL Different From</em>'.
     * @see org.eclipse.eodm.owl.Individual#getOWLDifferentFrom()
     * @see #getIndividual()
     * @generated
     */
    EReference getIndividual_OWLDifferentFrom();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.Individual#getInvOWLDifferentFrom <em>Inv OWL Different From</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>Inv OWL Different From</em>'.
     * @see org.eclipse.eodm.owl.Individual#getInvOWLDifferentFrom()
     * @see #getIndividual()
     * @generated
     */
    EReference getIndividual_InvOWLDifferentFrom();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.Individual#getRefByOWLDistinctMembers <em>Ref By OWL Distinct Members</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>Ref By OWL Distinct Members</em>'.
     * @see org.eclipse.eodm.owl.Individual#getRefByOWLDistinctMembers()
     * @see #getIndividual()
     * @generated
     */
    EReference getIndividual_RefByOWLDistinctMembers();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.Individual#getOWLSameAs <em>OWL Same As</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '<em>OWL Same As</em>'.
     * @see org.eclipse.eodm.owl.Individual#getOWLSameAs()
     * @see #getIndividual()
     * @generated
     */
    EReference getIndividual_OWLSameAs();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.Individual#getInvOWLSameAs <em>Inv OWL Same As</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '<em>Inv OWL Same As</em>'.
     * @see org.eclipse.eodm.owl.Individual#getInvOWLSameAs()
     * @see #getIndividual()
     * @generated
     */
    EReference getIndividual_InvOWLSameAs();

    /**
     * Returns the meta object for the containment reference list '
     * {@link org.eclipse.eodm.owl.Individual#getDatatypeSlot <em>Datatype Slot</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the containment reference list '
     *         <em>Datatype Slot</em>'.
     * @see org.eclipse.eodm.owl.Individual#getDatatypeSlot()
     * @see #getIndividual()
     * @generated
     */
    EReference getIndividual_DatatypeSlot();

    /**
     * Returns the meta object for the containment reference list '
     * {@link org.eclipse.eodm.owl.Individual#getObjectSlot <em>Object Slot</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the containment reference list '
     *         <em>Object Slot</em>'.
     * @see org.eclipse.eodm.owl.Individual#getObjectSlot()
     * @see #getIndividual()
     * @generated
     */
    EReference getIndividual_ObjectSlot();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.OWLAllDifferent <em>All Different</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>All Different</em>'.
     * @see org.eclipse.eodm.owl.OWLAllDifferent
     * @generated
     */
    EClass getOWLAllDifferent();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLAllDifferent#getOWLDistinctMembers <em>OWL Distinct Members</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>OWL Distinct Members</em>'.
     * @see org.eclipse.eodm.owl.OWLAllDifferent#getOWLDistinctMembers()
     * @see #getOWLAllDifferent()
     * @generated
     */
    EReference getOWLAllDifferent_OWLDistinctMembers();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.OWLDataRange <em>Data Range</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Data Range</em>'.
     * @see org.eclipse.eodm.owl.OWLDataRange
     * @generated
     */
    EClass getOWLDataRange();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.OWLDataRange#getOWLOneOf <em>OWL One Of</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '<em>OWL One Of</em>'.
     * @see org.eclipse.eodm.owl.OWLDataRange#getOWLOneOf()
     * @see #getOWLDataRange()
     * @generated
     */
    EReference getOWLDataRange_OWLOneOf();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.OWLAnnotationProperty <em>Annotation Property</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Annotation Property</em>'.
     * @see org.eclipse.eodm.owl.OWLAnnotationProperty
     * @generated
     */
    EClass getOWLAnnotationProperty();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.DatatypeSlot <em>Datatype Slot</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Datatype Slot</em>'.
     * @see org.eclipse.eodm.owl.DatatypeSlot
     * @generated
     */
    EClass getDatatypeSlot();

    /**
     * Returns the meta object for the container reference '
     * {@link org.eclipse.eodm.owl.DatatypeSlot#getIndividual <em>Individual</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the container reference '<em>Individual</em>'.
     * @see org.eclipse.eodm.owl.DatatypeSlot#getIndividual()
     * @see #getDatatypeSlot()
     * @generated
     */
    EReference getDatatypeSlot_Individual();

    /**
     * Returns the meta object for the containment reference list '
     * {@link org.eclipse.eodm.owl.DatatypeSlot#getContent <em>Content</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the containment reference list '
     *         <em>Content</em>'.
     * @see org.eclipse.eodm.owl.DatatypeSlot#getContent()
     * @see #getDatatypeSlot()
     * @generated
     */
    EReference getDatatypeSlot_Content();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.DatatypeSlot#getProperty <em>Property</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>Property</em>'.
     * @see org.eclipse.eodm.owl.DatatypeSlot#getProperty()
     * @see #getDatatypeSlot()
     * @generated
     */
    EReference getDatatypeSlot_Property();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.ObjectSlot <em>Object Slot</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Object Slot</em>'.
     * @see org.eclipse.eodm.owl.ObjectSlot
     * @generated
     */
    EClass getObjectSlot();

    /**
     * Returns the meta object for the container reference '
     * {@link org.eclipse.eodm.owl.ObjectSlot#getIndividual <em>Individual</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the container reference '<em>Individual</em>'.
     * @see org.eclipse.eodm.owl.ObjectSlot#getIndividual()
     * @see #getObjectSlot()
     * @generated
     */
    EReference getObjectSlot_Individual();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.ObjectSlot#getContent <em>Content</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '<em>Content</em>'.
     * @see org.eclipse.eodm.owl.ObjectSlot#getContent()
     * @see #getObjectSlot()
     * @generated
     */
    EReference getObjectSlot_Content();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.ObjectSlot#getProperty <em>Property</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>Property</em>'.
     * @see org.eclipse.eodm.owl.ObjectSlot#getProperty()
     * @see #getObjectSlot()
     * @generated
     */
    EReference getObjectSlot_Property();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.EnumeratedClass <em>Enumerated Class</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Enumerated Class</em>'.
     * @see org.eclipse.eodm.owl.EnumeratedClass
     * @generated
     */
    EClass getEnumeratedClass();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.EnumeratedClass#getOWLOneOf <em>OWL One Of</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '<em>OWL One Of</em>'.
     * @see org.eclipse.eodm.owl.EnumeratedClass#getOWLOneOf()
     * @see #getEnumeratedClass()
     * @generated
     */
    EReference getEnumeratedClass_OWLOneOf();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.IntersectionClass <em>Intersection Class</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Intersection Class</em>'.
     * @see org.eclipse.eodm.owl.IntersectionClass
     * @generated
     */
    EClass getIntersectionClass();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.IntersectionClass#getOWLIntersectionOf <em>OWL Intersection Of</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '
     *         <em>OWL Intersection Of</em>'.
     * @see org.eclipse.eodm.owl.IntersectionClass#getOWLIntersectionOf()
     * @see #getIntersectionClass()
     * @generated
     */
    EReference getIntersectionClass_OWLIntersectionOf();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.UnionClass <em>Union Class</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Union Class</em>'.
     * @see org.eclipse.eodm.owl.UnionClass
     * @generated
     */
    EClass getUnionClass();

    /**
     * Returns the meta object for the reference list '
     * {@link org.eclipse.eodm.owl.UnionClass#getOWLUnionOf <em>OWL Union Of</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference list '<em>OWL Union Of</em>'.
     * @see org.eclipse.eodm.owl.UnionClass#getOWLUnionOf()
     * @see #getUnionClass()
     * @generated
     */
    EReference getUnionClass_OWLUnionOf();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.HasValueRestriction <em>Has Value Restriction</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Has Value Restriction</em>'.
     * @see org.eclipse.eodm.owl.HasValueRestriction
     * @generated
     */
    EClass getHasValueRestriction();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.HasValueRestriction#getOWLHasValue <em>OWL Has Value</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>OWL Has Value</em>'.
     * @see org.eclipse.eodm.owl.HasValueRestriction#getOWLHasValue()
     * @see #getHasValueRestriction()
     * @generated
     */
    EReference getHasValueRestriction_OWLHasValue();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.AllValuesFromRestriction <em>All Values From Restriction</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>All Values From Restriction</em>'.
     * @see org.eclipse.eodm.owl.AllValuesFromRestriction
     * @generated
     */
    EClass getAllValuesFromRestriction();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.AllValuesFromRestriction#getOWLAllValuesFrom <em>OWL All Values From</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>OWL All Values From</em>'.
     * @see org.eclipse.eodm.owl.AllValuesFromRestriction#getOWLAllValuesFrom()
     * @see #getAllValuesFromRestriction()
     * @generated
     */
    EReference getAllValuesFromRestriction_OWLAllValuesFrom();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.SomeValuesFromRestriction <em>Some Values From Restriction</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Some Values From Restriction</em>'.
     * @see org.eclipse.eodm.owl.SomeValuesFromRestriction
     * @generated
     */
    EClass getSomeValuesFromRestriction();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.SomeValuesFromRestriction#getOWLSomeValuesFrom <em>OWL Some Values From</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>OWL Some Values From</em>'.
     * @see org.eclipse.eodm.owl.SomeValuesFromRestriction#getOWLSomeValuesFrom()
     * @see #getSomeValuesFromRestriction()
     * @generated
     */
    EReference getSomeValuesFromRestriction_OWLSomeValuesFrom();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.CardinalityRestriction <em>Cardinality Restriction</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Cardinality Restriction</em>'.
     * @see org.eclipse.eodm.owl.CardinalityRestriction
     * @generated
     */
    EClass getCardinalityRestriction();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.CardinalityRestriction#getOWLCardinality <em>OWL Cardinality</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>OWL Cardinality</em>'.
     * @see org.eclipse.eodm.owl.CardinalityRestriction#getOWLCardinality()
     * @see #getCardinalityRestriction()
     * @generated
     */
    EReference getCardinalityRestriction_OWLCardinality();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.MaxCardinalityRestriction <em>Max Cardinality Restriction</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Max Cardinality Restriction</em>'.
     * @see org.eclipse.eodm.owl.MaxCardinalityRestriction
     * @generated
     */
    EClass getMaxCardinalityRestriction();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.MaxCardinalityRestriction#getOWLMaxCardinality <em>OWL Max Cardinality</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>OWL Max Cardinality</em>'.
     * @see org.eclipse.eodm.owl.MaxCardinalityRestriction#getOWLMaxCardinality()
     * @see #getMaxCardinalityRestriction()
     * @generated
     */
    EReference getMaxCardinalityRestriction_OWLMaxCardinality();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.MinCardinalityRestriction <em>Min Cardinality Restriction</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Min Cardinality Restriction</em>'.
     * @see org.eclipse.eodm.owl.MinCardinalityRestriction
     * @generated
     */
    EClass getMinCardinalityRestriction();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.MinCardinalityRestriction#getOWLMinCardinality <em>OWL Min Cardinality</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>OWL Min Cardinality</em>'.
     * @see org.eclipse.eodm.owl.MinCardinalityRestriction#getOWLMinCardinality()
     * @see #getMinCardinalityRestriction()
     * @generated
     */
    EReference getMinCardinalityRestriction_OWLMinCardinality();

    /**
     * Returns the meta object for class '
     * {@link org.eclipse.owl.ComplementClass <em>Complement Class</em>}'. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for class '<em>Complement Class</em>'.
     * @see org.eclipse.eodm.owl.ComplementClass
     * @generated
     */
    EClass getComplementClass();

    /**
     * Returns the meta object for the reference '
     * {@link org.eclipse.eodm.owl.ComplementClass#getOWLComplementOf <em>OWL Complement Of</em>}'.
     * <!-- begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the meta object for the reference '<em>OWL Complement Of</em>'.
     * @see org.eclipse.eodm.owl.ComplementClass#getOWLComplementOf()
     * @see #getComplementClass()
     * @generated
     */
    EReference getComplementClass_OWLComplementOf();

    /**
     * Returns the factory that creates the instances of the model. <!--
     * begin-user-doc --> <!-- end-user-doc -->
     * 
     * @return the factory that creates the instances of the model.
     * @generated
     */
    OWLFactory getOWLFactory();

} //OWLPackage
